<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 *******************************************************************************
 *
 * The main global configuration file
 *
 *******************************************************************************
 *
 * <i>DO NOT CHANGE THIS FILE or untermStrich will not work</i>
 *
 * @package config
 * @version $Id: config-global.php 25140 2023-02-14 13:40:58Z christian $
 */

/**
 * Deactivate (<samp>0</samp>) html based error messages
 *
 * {@source}
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global  boolean $config['php_html_errors']
 */
$config['php_html_errors'] = 0;
ini_set('html_errors', $config['php_html_errors']);

/**
 * Index file
 *
 * {@source}
 *
 * Typically this will be your index.php file, unless you've renamed it to
 * something else. If you are using mod_rewrite to remove the page set this
 * variable so that it is blank.
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['index_page']
 */
$config['index_page'] = '';


/**
 * URI protocol
 *
 * {@source}
 *
 * This item determines which server global should be used to retrieve the
 * URI string.  The default setting of "AUTO" works for most servers.
 * If your links do not seem to work, try one of the other delicious flavors:
 *
 *      <samp>'AUTO'</samp>              Default - auto detects
 *      <samp>'PATH_INFO'</samp>         Uses the PATH_INFO
 *      <samp>'QUERY_STRING'</samp>      Uses the QUERY_STRING
 *      <samp>'REQUEST_URI'</samp>       Uses the REQUEST_URI
 *      <samp>'ORIG_PATH_INFO'</samp>    Uses the ORIG_PATH_INFO
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['uri_protocol']
 */
$config['uri_protocol']	= 'AUTO';

/**
 * URL suffix
 *
 * {@source}
 *
 * This option allows you to add a suffix to all URLs generated by CodeIgniter.
 * For more information please see the user guide.
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @link   https://codeigniter.com/user_guide/general/urls.html
 * @global string $config['url_suffix']
 */

$config['url_suffix'] = '';

/**
 * Default Character Set
 *
 * {@source}
 *
 * This determines which character set is used by default in various methods
 * that require a character set to be provided.
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['charset']
 */
$config['charset'] = 'UTF-8';

/**
 * Enable/Disable System Hooks
 *
 * {@source}
 *
 * If you would like to use the "hooks" feature you must enable it by
 * setting this variable to true.
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global boolean $config['enable_hooks']
 */
$config['enable_hooks'] = false;


/**
 * Class Extension Prefix
 *
 * {@source}
 *
 * This item allows you to set the filename/classname prefix when extending
 * native libraries.  For more information please see the user guide.
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @link    https://codeigniter.com/user_guide/general/core_classes.html
 * @link    https://codeigniter.com/user_guide/general/creating_libraries.html
 * @global string $config['subclass_prefix']
 */
$config['subclass_prefix'] = 'My_';

/**
 * Allowed URL Characters
 *
 * {@source}
 *
 * This lets you specify with a regular expression which characters are permitted
 * within your URLs.  When someone tries to submit a URL with disallowed
 * characters they will get a warning message.
 *
 * As a security measure you are STRONGLY encouraged to restrict URLs to
 * as few characters as possible.  By default only these are allowed: a-z 0-9~%.:_-
 *
 * Leave blank to allow all characters -- but only if you are insane.
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['permitted_uri_chars']
 */
$config['permitted_uri_chars'] = 'a-z 0-9~%.:_\- ßäüöÄÜÖ@';


/**
 *******************************************************************************
 * Enable Query Strings
 *******************************************************************************
 * Please note that some of the helpers won't work as expected when
 * this feature is enabled, since CodeIgniter is designed primarily to
 * use segment based URLs.
 *******************************************************************************
 */

/**
 * By default CodeIgniter uses search-engine friendly segment based URLs:
 *
 * {@source}
 *
 * <samp>example.com/who/what/where/</samp>
 *
 * You can optionally enable standard query string based URLs:
 *
 * <samp>example.com?who=me&what=something&where=here</samp>
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global bool $config['enable_query_strings']
 */
$config['enable_query_strings'] = false;

/**
 * Let you set the query string "words" that will invoke your controllers and its functions:
 *
 * {@source}
 *
 * <samp>example.com/index.php?c=controller&m=function</samp>
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['controller_trigger']
 */
$config['controller_trigger'] 	= 'c';

/**
 * Let you set the query string "words" that will invoke your controllers and its functions:
 *
 * {@source}
 *
 * <samp>example.com/index.php?c=controller&m=function</samp>
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['function_trigger']
 */
$config['function_trigger'] 	= 'm';

/**
 * Let you set the query string "words" that will invoke your controllers and its functions:
 *
 * {@source}
 *
 * <samp>example.com/index.php?c=controller&m=function</samp>
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['directory_trigger']
 */
$config['directory_trigger'] 	= 'd'; // experimental not currently in use

/**
 *******************************************************************************
 * Error logging
 *******************************************************************************
 */

/**
 * Error Logging Directory Path
 *
 * {@source}
 *
 * Leave this BLANK unless you would like to set something other than the default
 * system/logs/ folder.  Use a full server path with trailing slash.
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['log_path']
 */
$config['log_path'] = WRITEABLEPATH . 'logs/';

/**
 * Date Format for Logs
 *
 * {@source}
 *
 * Each item that is logged has an associated date. You can use PHP date
 * codes to set your own date formatting
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['log_date_format']
 */
$config['log_date_format'] = 'Y-m-d H:i:s';

/**
 *******************************************************************************
 * Cache
 *******************************************************************************
 */

/**
 * Cache Directory Path
 *
 * {@source}
 *
 * Leave this BLANK unless you would like to set something other than the default
 * system/cache/ folder.  Use a full server path with trailing slash.
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['cache_path']
 */
$config['cache_path'] = WRITEABLEPATH . 'cache/';

/**
 *******************************************************************************
 * Cookies
 *******************************************************************************
 */

/**
 * Set a prefix if you need to avoid collisions
 *
 * {@source}
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['cookie_prefix']
 */
$config['cookie_prefix']	= 'us_';

/**
 * Set to .your-domain.com for site-wide cookies
 *
 * {@source}
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['cookie_domain']
 */
$config['cookie_domain']	= '';

/**
 * Typically will be a forward slash
 *
 * {@source}
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['cookie_path']
 */
$config['cookie_path']		= '/';

/**
 * Only activate on full HTTPS systems,
 * otherwise no login will be possible
 * 
 * https://webservices.untermstrich.com/h4/de:installation:https_only_cookie
 *
 * {@source}
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['cookie_path']
 */
$config['cookie_secure']	= false;

/**
 *******************************************************************************
 * Security
 *******************************************************************************
 */

/**
 * Global XSS Filtering
 *
 * {@source}
 *
 * Determines whether the XSS filter is always active when GET, POST or
 * COOKIE data is encountered.
 *
 * UntermStrich was developed with this feature on.
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global bool $config['global_xss_filtering']
 */
$config['global_xss_filtering'] = true;

/**
 *******************************************************************************
 * Some basic stuff
 *******************************************************************************
 */

/**
 * Output Compression
 *
 * {@source}
 *
 * Enables Gzip output compression for faster page loads.  When enabled,
 * the output class will test whether your server supports Gzip.
 * Even if it does, however, not all browsers support compression
 * so enable only if you are reasonably sure your visitors can handle it.
 *
 * VERY IMPORTANT:  If you are getting a blank page when compression is enabled it
 * means you are prematurely outputting something to your browser. It could
 * even be a line of whitespace at the end of one of your scripts.  For
 * compression to work, nothing can be sent before the output buffer is called
 * by the output class.  Do not "echo" any values with compression enabled.
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global bool $config['compress_output']
 */
$config['compress_output'] = false;

/**
 * Master Time Reference
 *
 * {@source}
 *
 * Options are <samp>'local'</samp> or <samp>'gmt'</samp>.  This pref tells the system whether to use
 * your server's local time as the master "now" reference, or convert it to
 * GMT.  See the "date helper" page of the user guide for information
 * regarding date handling.
 *
 * Not used for times within untermStrich except for the last communication info within the browser
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['time_reference']
 */
$config['time_reference'] = 'local';

/**
 * Rewrite PHP Short Tags
 *
 * {@source}
 *
 * If your PHP installation does not have short tag support enabled CI
 * can rewrite the tags on-the-fly, enabling you to utilize that syntax
 * in your view files.  Options are true or false (boolean).
 *
 * Not necessary with untermStrich
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global bool $config['rewrite_short_tags']
 */
$config['rewrite_short_tags'] = false;

/**
 * Reverse Proxy IPs
 *
 * {@source}
 *
 * If your server is behind a reverse proxy, you must whitelist the proxy IP
 * addresses from which CodeIgniter should trust the HTTP_X_FORWARDED_FOR
 * header in order to properly identify the visitor's IP address.
 * Comma-delimited, e.g. '10.0.1.200,10.0.1.201'.
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['proxy_ips']
 */
$config['proxy_ips'] = '';

/**
 * Timeout for url_get_contents
 *
 * {@source}
 *
 * Allows to increase the timeouts for url_get_contents
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['us_stream_timeout']
 */
$config['us_stream_timeout'] = 15;

/**
 * Timeout for url_get_contents ping
 *
 * {@source}
 *
 * Allows to increase the timeouts for url_get_contents when calling /ping
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['us_stream_timeout']
 */
$config['us_stream_timeout_ping'] = 2;


/**
 *******************************************************************************
 * Smarty Library settings
 *******************************************************************************
 */

/**
 * The template directory used by smarty
 *
 * {@source}
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['smarty_template_dir']
 */
$config['smarty_template_dir'] = APPPATHLIVE . 'views/';

/**
 * The compile directory used by smarty
 *
 * {@source}
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['smarty_compile_dir']
 */
$config['smarty_compile_dir'] = WRITEABLEPATH . 'cache/smarty/';

/**
 * The cache directory used by smarty
 *
 * {@source}
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['smarty_compile_dir']
 */
$config['smarty_cache_dir'] = WRITEABLEPATH . 'cache/smarty/';

/**
 * The plugin directories used by smarty
 *
 * {@source}
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global array $config['smarty_plugins_dirs']
 */
$config['smarty_plugins_dirs'] = array(
        'plugins', // the default under SMARTY_DIR
        APPPATHLIVE.'libraries/smarty_plugins'
);

/**
 *******************************************************************************
 * untermStrich updates config
 *******************************************************************************
 */
/**
 * Updates directory
 *
 * {@source}
 *
 * Default: <samp>WRITEABLEPATH . 'updates'</samp>
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['us_updatesdir']
 */
$config['us_updatesdir'] = WRITEABLEPATH . 'updates/';

/**
 *******************************************************************************
 * untermStrich reports config
 *******************************************************************************
 */
/**
 * Reporting temp directory
 *
 * {@source}
 *
 * Default: <samp>WRITEABLEPATH . 'temp'</samp>
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['us_tempdir']
 */
$config['us_tempdir'] = WRITEABLEPATH . 'temp';

/**
 * Server temp directory
 *
 * {@source}
 *
 * Default: <samp>WRITEABLEPATH . 'temp/server'</samp>
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['us_tempdir']
 */
$config['us_servertempdir'] = WRITEABLEPATH . 'temp/server';

/**
 * Filter config directory
 *
 * {@source}
 *
 * Default: <samp>APPPATHLIVE . 'filterconfig'</samp>
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['us_filterconfig']
 */
$config['us_filterconfig'] = APPPATHLIVE . 'filterconfig';

/**
 * Reporting config directory
 *
 * {@source}
 *
 * Default: <samp>APPPATHLIVE . 'reportsconfig'</samp>
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['us_reportsconfig']
 */
$config['us_reportsconfig'] = APPPATHLIVE . 'reportingconfig';

/**
 *******************************************************************************
 * untermStrich config
 *******************************************************************************
 */

/**
 * Javascript path
 *
 * {@source}
 *
 * Default: <samp>jsc</samp>
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['us_js_path']
 */
$config['us_js_path'] = 'jsc';

/**
 * CSS path
 *
 * {@source}
 *
 * Default: <samp>cssc</samp>
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['us_css_path']
 */
$config['us_css_path'] = 'cssc';

/**
 * Mobile path
 *
 * {@source}
 *
 * Default: <samp>mobile</samp>
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['us_mobile_path']
 */
$config['us_mobile_path'] = 'mobile_assets';

/**
 * Default connector ip
 *
 * {@source}
 *
 * Default: <samp>127.0.0.1</samp>
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['us_connector_ip']
 */
$config['us_connector_ip'] = '127.0.0.1';

/**
 * Default connector port
 *
 * {@source}
 *
 * Default: <samp>17342</samp>
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global string $config['us_connector_ip']
 */
$config['us_connector_port'] = 17342;

/**
 * Version of untermStrich
 *
 * {@source}
 *
 * Used to update the javascript and CSS files
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global int $config['us_version']
 */
$config['us_version'] = '14.5.3.27066';

/**
 * Flag to allow external butlers to check if the current
 * installed X version already supports the new butler link methods
 */
$config['version_supports_bulterlinks'] = true;

/**
 * External portlet packages
 *
 * {@source}
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global int $config['portlet_packages']
 */
$config['portlet_packages'] = WRITEABLEPATH.'applications/';

/**
 * External portlet packages url
 *
 * {@source}
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 * @global int $config['portlet_packages']
 */
$config['portlet_packages_url'] = false;

/**
 *******************************************************************************
 * Portlet base setup
 *******************************************************************************
 */


/**
 * Defines which portlets_pages are existing by default
 *
 * @global array $config['portlets_pages']
 */
$config['portlet_pages'] = array(
    array(
        'id'                => 1,
        'name'              => 'basic_portlets',
    ),    
    array(
        'id'                => 2,
        'name'              => 'basic_projectevaluation',
    ),
    array(
        'id'                => 3,
        'name'              => 'basic_datacollection',
    ),  
    array(
        'id'                => 4,
        'name'              => 'basic_whatiswhere',
    )    ,
    array(
        'id'                => 5,
        'name'              => 'basic_holidayadmin',
    ),
    array(
        'id'                => 6,
        'name'              => 'basic_resourceplanner',
    )    
);

/**
 * Defines which portlets_tabs are existing by default
 *
 * @global array $config['portlets_tabs']
 */
$config['portlet_tabs'] = array();
$config['portlet_tabs'][1] = array(
    array(
        'id'        => 'add',
        'name'      => 'portlet_first_tab',
        'columns'   => 3,
        'sort'      => 0,
    ) 
);

$config['portlet_tabs'][2] = array(
    array(
        'id'        => 'add',
        'name'      => 'portlet_project_overview_chart',
        'columns'   => 1,
        'sort'      => 0,
        'color'     => 2,
    ),
    array(
        'id'        => 'add',
        'name'      => 'portlet_project_comparison',
        'columns'   => 1,
        'sort'      => 1,
        'color'     => 2,
    ),
    array(
        'id'        => 'add',
        'name'      => 'basic_projectadmin',
        'columns'   => 1,
        'sort'      => 2,
        'color'     => 2,
    ),
    array(
        'id'        => 'add',
        'name'      => 'portlet_g_project_overview',
        'columns'   => 1,
        'sort'      => 3,
        'color'     => 2,
    ),
    array(
        'id'        => 'add',
        'name'      => 'portlet_started_work',
        'columns'   => 1,
        'sort'      => 4,
        'color'     => 2,
    ),
    array(
        'id'        => 'add',
        'name'      => 'portlet_b_timekeyword',
        'columns'   => 1,
        'sort'      => 5,
        'color'     => 3,
    ),    
    array(
        'id'        => 'add',
        'name'      => 'portlet_ec_extraskeyword',
        'columns'   => 2,
        'sort'      => 6,
        'color'     => 3,
    ),       
    array(
        'id'        => 'add',
        'name'      => 'basic_staff',
        'columns'   => 2,
        'sort'      => 7,
        'color'     => 3,
    ),       
    array(
        'id'        => 'add',
        'name'      => 'portlet_s_projectmatrix',
        'columns'   => 1,
        'sort'      => 8,
        'color'     => 3,
    ),       
    array(
        'id'        => 'add',
        'name'      => 'portlet_time_lists',
        'columns'   => 1,
        'sort'      => 9,
        'color'     => 3,
    ),       
    array(
        'id'        => 'add',
        'name'      => 'portlet_s_timelog',
        'columns'   => 1,
        'sort'      => 10,
        'color'     => 3,
    ),       
    array(
        'id'        => 'add',
        'name'      => 'portlet_s_hours',
        'columns'   => 1,
        'sort'      => 11,
        'color'     => 3,
    ),       
    array(
        'id'        => 'add',
        'name'      => 'portlet_key_data_chart',
        'columns'   => 1,
        'sort'      => 12,
        'color'     => 2,
    ),       
    array(
        'id'        => 'add',
        'name'      => 'portlet_g_success_evaluation',
        'columns'   => 1,
        'sort'      => 13,
        'color'     => 2,
    ),       
    array(
        'id'        => 'add',
        'name'      => 'portlet_g_pep7',
        'columns'   => 1,
        'sort'      => 14,
        'color'     => 2,
    ),       
    array(
        'id'        => 'add',
        'name'      => 'portlet_d_addresscomments',
        'columns'   => 1,
        'sort'      => 15,
        'color'     => 7,
    ),       
    array(
        'id'        => 'add',
        'name'      => 'basic_numbergeneration',
        'columns'   => 1,
        'sort'      => 16,
        'color'     => 6,
    ),       
    array(
        'id'        => 'add',
        'name'      => 'portlet_time_modifications',
        'columns'   => 1,
        'sort'      => 17,
        'color'     => 6,
    ),       
    array(
        'id'        => 'add',
        'name'      => 'portlet_modifications_deletions',
        'columns'   => 2,
        'sort'      => 18,
        'color'     => 6,
    ),       
);

$config['portlet_tabs'][3] = array(
    array(
        'id'        => 'add',
        'name'      => 'portlet_data_for_project',
        'columns'   => 1,
        'sort'      => 0,
    ),
    array(
        'id'        => 'add',
        'name'      => 'portlet_data_for_address',
        'columns'   => 1,
        'sort'      => 1,
    ),
    array(
        'id'        => 'add',
        'name'      => 'portlet_data_for_day_overview',
        'columns'   => 1,
        'sort'      => 2,
    ),
    array(
        'id'        => 'add',
        'name'      => 'portlet_data_for_fulltext_search',
        'columns'   => 1,
        'sort'      => 3,
    )
);

$config['portlet_tabs'][4] = array(
    array(
        'id'        => 'add',
        'name'      => 'portlet_whatiswhere',
        'columns'   => 1,
        'sort'      => 0,
    )
);

$config['portlet_tabs'][5] = array(
    array(
        'id'        => 'add',
        'name'      => 'basic_holidayadmin',
        'columns'   => 1,
        'sort'      => 0,
    )
);
  
$config['portlet_tabs'][6] = array(
    array(
        'id'        => 'add',
        'name'      => 'portlet_work_packages_overview',
        'columns'   => 1,
        'sort'      => 0,
        'color'     => 2,
    ),
    array(
        'id'        => 'add',
        'name'      => 'basic_resourceplanner',
        'columns'   => 1,
        'sort'      => 1,
    ),
    array(
        'id'        => 'add',
        'name'      => 'portlet_critical_skill_grps',
        'columns'   => 1,
        'sort'      => 2,
    ),
    array(
        'id'        => 'add',
        'name'      => 'portlet_skill_group_workload_week',
        'columns'   => 1,
        'sort'      => 3,
    ),
);
  
/**
 * Defines which portlets are shown on which page and position by default
 *
 * @global array $config['portlets']
 */
$config['portlets'] = array();

$config['portlets'][1] = array(
    'midblockcontent'  =>  array(
        array( 
            array(  'portlet_id' => 'Sysinfo_portlet', 
                    'open' => 1, 
                    'page_id'=> 1,
                    'tab_id' => $config['portlet_tabs'][1][0]['id'], 
                    'tab_name' => $config['portlet_tabs'][1][0]['name'], 
                    'tab_sort' => $config['portlet_tabs'][1][0]['sort']), 
            
        ),
        array(
            array(  'portlet_id' => 'Next_opentasks', 
                    'open' => 1, 
                    'page_id'=> 1,                
                    'tab_id' => $config['portlet_tabs'][1][0]['id'], 
                    'tab_name' => $config['portlet_tabs'][1][0]['name'], 
                    'tab_sort' => $config['portlet_tabs'][1][0]['sort']), 
        ),
        array(
            array(  'portlet_id' => 'Next_personalappointments', 
                    'open' => 1, 
                    'page_id'=> 1,                
                    'tab_id' => $config['portlet_tabs'][1][0]['id'], 
                    'tab_name' => $config['portlet_tabs'][1][0]['name'], 
                    'tab_sort' => $config['portlet_tabs'][1][0]['sort']),
        )
    ),
    'rightblockcontent'  =>  array(
        array(
            array('portlet_id' => 'Updateinfo_view', 'open' => 1, 'page_id' => 1),
            array('portlet_id' => 'Webinar_view', 'open' => 1, 'page_id' => 1),
            array('portlet_id' => 'Oauth_login', 'open' => 1, 'page_id' => 1),
        )
    )
);

$config['portlets'][2] = array(
    'midblockcontent'  =>  array(
        array( //col 0
            array(  'portlet_id' => 'Project_overview_chart', //Projektdiagramm
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][0]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][0]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][0]['sort']), 
                    array(  'portlet_id' => 'Project_comparison_chart', //Projektvergleich
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][1]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][1]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][1]['sort']),   
                    array(  'portlet_id' => 'Portlet_abbreviated_analysis', //Projekte
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][2]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][2]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][2]['sort']),                            
                    array(  'portlet_id' => 'Portlet_detailed_evaluation', //Projekte
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][2]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][2]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][2]['sort']),              
                    array(  'portlet_id' => 'G_project_overview', //Projekt­über­sicht
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][3]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][3]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][3]['sort']),        
                    array(  'portlet_id' => 'started_work', //Globale Projektauswertung
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][4]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][4]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][4]['sort']),      
                    array(  'portlet_id' => 'B_timekeyword', //Zeit­raum / Stich­wort
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][5]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][5]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][5]['sort']),                                     
                    array(  'portlet_id' => 'Ec_extraskeyword', //Nebenkosten
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][6]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][6]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][6]['sort']),                                     
                    array(  'portlet_id' => 'S_overtime', //Mitarbeiter
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][7]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][7]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][7]['sort']),                                     
                    array(  'portlet_id' => 'S_projectmatrix', //Projektmatrix
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][8]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][8]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][8]['sort']),                                     
                    array(  'portlet_id' => 'S_timeyearprotocol', //Stundenlisten
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][9]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][9]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][9]['sort']),                                     
                    array(  'portlet_id' => 'S_timeprotocol', //Stundenlisten
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][9]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][9]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][9]['sort']),                                     
                    array(  'portlet_id' => 'Staff_timeprotocol_butler', //Stundenlisten
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][9]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][9]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][9]['sort']),                                     
                    array(  'portlet_id' => 'S_timelog', //Stundennachweis
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][10]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][10]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][10]['sort']),                                     
                    array(  'portlet_id' => 'S_hours', //Soll-ist-Stunden
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][11]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][11]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][11]['sort']),                                     
                    array(  'portlet_id' => 'Key_data_chart', //Kenn­zahlen­dia­gramm
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][12]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][12]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][12]['sort']),                                     
                    array(  'portlet_id' => 'G_success_evaluation', // Erfolgs­auswertung
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][13]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][13]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][13]['sort']),                                     
                    array(  'portlet_id' => 'G_pep7', // PeP-7
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][14]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][14]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][14]['sort']),                                     
                    array(  'portlet_id' => 'D_addresscomments', // Adressbeschreibungen
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][15]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][15]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][15]['sort']),                                     
                    array(  'portlet_id' => 'D_numbergeneration', // Nummern
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][16]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][16]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][16]['sort']),                                     
                    array(  'portlet_id' => 'D_modified_times', // Änderungen Stunden
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][17]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][17]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][17]['sort']),                                     
                    array(  'portlet_id' => 'D_modified_extras', // Änderungen Stunden
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][17]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][17]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][17]['sort']),                                     
                    array(  'portlet_id' => 'D_modified_travels', // Änderungen Stunden
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][17]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][17]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][17]['sort']),                                     
                    array(  'portlet_id' => 'D_deletions', // Änderung/Löschungen
                    'open' => 1, 
                    'page_id'=> 2,
                    'tab_id' => $config['portlet_tabs'][2][18]['id'], 
                    'tab_name' => $config['portlet_tabs'][2][18]['name'], 
                    'tab_sort' => $config['portlet_tabs'][2][18]['sort']),                                     
        ),
        array( //col 1
            array(  'portlet_id' => 'Ec_travelkeyword', //Nebenkosten
            'open' => 1, 
            'page_id'=> 2,
            'tab_id' => $config['portlet_tabs'][2][6]['id'], 
            'tab_name' => $config['portlet_tabs'][2][6]['name'], 
            'tab_sort' => $config['portlet_tabs'][2][6]['sort']),    
            array(  'portlet_id' => 'S_start_end_times', //Mitarbeiter
            'open' => 1, 
            'page_id'=> 2,
            'tab_id' => $config['portlet_tabs'][2][7]['id'], 
            'tab_name' => $config['portlet_tabs'][2][7]['name'], 
            'tab_sort' => $config['portlet_tabs'][2][7]['sort']),       
            array(  'portlet_id' => 'D_modifications', // Änderung/Löschungen
            'open' => 1, 
            'page_id'=> 2,
            'tab_id' => $config['portlet_tabs'][2][18]['id'], 
            'tab_name' => $config['portlet_tabs'][2][18]['name'], 
            'tab_sort' => $config['portlet_tabs'][2][18]['sort']),                      
        )        
    ),
    'rightblockcontent'  =>  array(
        array(
        )
    )
);

$config['portlets'][3] = array(
    'midblockcontent'  =>  array(
        array( 
            array(  'portlet_id' => 'Portlet_datacollection_projects', 
                    'open' => 1, 
                    'page_id'=> 3,
                    'tab_id' => $config['portlet_tabs'][3][0]['id'], 
                    'tab_name' => $config['portlet_tabs'][3][0]['name'], 
                    'tab_sort' => $config['portlet_tabs'][3][0]['sort']), 
            array(  'portlet_id' => 'Portlet_datacollection_address', 
                    'open' => 1, 
                    'page_id'=> 3,
                    'tab_id' => $config['portlet_tabs'][3][1]['id'], 
                    'tab_name' => $config['portlet_tabs'][3][1]['name'], 
                    'tab_sort' => $config['portlet_tabs'][3][1]['sort']), 
            array(  'portlet_id' => 'Portlet_datacollection_day_overview', 
                    'open' => 1, 
                    'page_id'=> 3,
                    'tab_id' => $config['portlet_tabs'][3][2]['id'], 
                    'tab_name' => $config['portlet_tabs'][3][2]['name'], 
                    'tab_sort' => $config['portlet_tabs'][3][2]['sort']),  
            array(  'portlet_id' => 'Portlet_datacollection_fulltext_search', 
                    'open' => 1, 
                    'page_id'=> 3,
                    'tab_id' => $config['portlet_tabs'][3][3]['id'], 
                    'tab_name' => $config['portlet_tabs'][3][3]['name'], 
                    'tab_sort' => $config['portlet_tabs'][3][3]['sort']), 
        )        
    ),
    'rightblockcontent'  =>  array(
        array(
        )
    )
);

$config['portlets'][4] = array(
    'midblockcontent'  =>  array(
        array( 
            array(  'portlet_id' => 'Portlet_whatiswhere', 
                    'open' => 1, 
                    'page_id'=> 4,
                    'tab_id' => $config['portlet_tabs'][4][0]['id'], 
                    'tab_name' => $config['portlet_tabs'][4][0]['name'], 
                    'tab_sort' => $config['portlet_tabs'][4][0]['sort']) 
            )
           
    ),
    'rightblockcontent'  =>  array(
        array(
        )
    )
);

$config['portlets'][5] = array(
    'midblockcontent'  =>  array(
        array( 
            array(  'portlet_id' => 'Portlet_holidayadmin', 
                    'open' => 1, 
                    'page_id'=> 5,
                    'tab_id' => $config['portlet_tabs'][5][0]['id'], 
                    'tab_name' => $config['portlet_tabs'][5][0]['name'], 
                    'tab_sort' => $config['portlet_tabs'][5][0]['sort'])
        )        
    ),
    'rightblockcontent'  =>  array(
        array(
        )
    )
);


$config['portlets'][6] = array(
    'midblockcontent'  =>  array(
        array( 
            array(  'portlet_id' => 'Work_packages_overview', 
                    'open' => 1, 
                    'page_id'=> 6,
                    'tab_id' => $config['portlet_tabs'][6][0]['id'], 
                    'tab_name' => $config['portlet_tabs'][6][0]['name'], 
                    'tab_sort' => $config['portlet_tabs'][6][0]['sort']),
            array(  'portlet_id' => 'Resource_planner_portlet', 
                    'open' => 1, 
                    'page_id'=> 6,
                    'tab_id' => $config['portlet_tabs'][6][1]['id'], 
                    'tab_name' => $config['portlet_tabs'][6][1]['name'], 
                    'tab_sort' => $config['portlet_tabs'][6][1]['sort']),
            array(  'portlet_id' => 'Critical_skill_grps', 
                    'open' => 1, 
                    'page_id'=> 6,
                    'tab_id' => $config['portlet_tabs'][6][2]['id'], 
                    'tab_name' => $config['portlet_tabs'][6][2]['name'], 
                    'tab_sort' => $config['portlet_tabs'][6][2]['sort']),
            array(  'portlet_id' => 'Skill_group_workload', 
                    'open' => 1, 
                    'page_id'=> 6,
                    'tab_id' => $config['portlet_tabs'][6][3]['id'], 
                    'tab_name' => $config['portlet_tabs'][6][3]['name'], 
                    'tab_sort' => $config['portlet_tabs'][6][3]['sort']),
        )        
    ),
    'rightblockcontent'  =>  array(
        array(
        )
    )
);
