<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 *******************************************************************************
 *
 * DATABASE CONNECTIVITY SETTINGS
 *
 *******************************************************************************
 *
 * This file will contain the settings needed to access your database.
 *
 * @package config
 * @version $Id: database-default.php 23075 2021-10-20 12:54:59Z christian $
 */

/**
 *******************************************************************************
 * Main database
 *******************************************************************************
 */

/**
 * The system main DB - The hostname of your database server
 *
 * @global  string  $db['default']['hostname']
 */
$db['default']['hostname'] = '##hostname##';
$db['default']['port'] = ##port##;
/**
 * The system main DB - The username used to connect to the database
 *
 * @global  string  $db['default']['username']
 */
$db['default']['username'] = '##username##';
/**
 * The system main DB - The password used to connect to the database
 *
 * @global  string  $db['default']['password']
 */
$db['default']['password'] = '##password##';
/**
 * The system main DB - The name of the database you want to connect to
 *
 * @global  string  $db['default']['database']
 */
$db['default']['database'] = '##database##';
/**
 * The system main DB - The database type
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 *
 * @global  string  $db['default']['dbdriver']
 */
$db['default']['dbdriver'] = '##dbdriver##';
/**
 * The system main DB - Add an optional prefix, which will be added to the table name when using the Active Record class
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 *
 * @global  string  $db['default']['dbprefix']
 */
$db['default']['dbprefix'] = '';
/**
 * The system main DB - Whether to use a persistent connection
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 *
 * @global  boolean $db['default']['pconnect']
 */
$db['default']['pconnect'] = true;
/**
 * The system main DB - Whether database errors should be displayed
 *
 * @global  boolean $db['default']['db_debug']
 */
$db['default']['db_debug'] = true;
/**
 * The system main DB - Enables/disables query caching - force
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 *
 * @global  boolean $db['default']['cache_on']
 */
$db['default']['cache_on'] = false;
/**
 * The system main DB - The path to the folder where cache files should be stored
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 *
 * @global  string  $db['default']['cachedir']
 */
$db['default']['cachedir'] = WRITEABLEPATH.'cache/';

/**
 *******************************************************************************
 * The temporary database - Used by reports
 *******************************************************************************
 */

/**
 * The temp DB - The hostname of your database server
 *
 * @global  string  $db['temp']['hostname']
 */
$db['temp']['hostname'] = $db['default']['hostname'];
$db['temp']['port'] = $db['default']['port'];
/**
 * The temp DB - The username used to connect to the database
 *
 * @global  string  $db['temp']['username']
 */
$db['temp']['username'] = $db['default']['username'];
/**
 * The temp DB - The password used to connect to the database
 *
 * @global  string  $db['temp']['password']
 */
$db['temp']['password'] = $db['default']['password'];
/**
 * The temp DB - The name of the database you want to connect to
 *
 * @global  string  $db['temp']['database']
 */
$db['temp']['database'] = $db['default']['database'];
/**
 * The temp DB - The database type
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 *
 * @global  string  $db['temp']['dbdriver']
 */
$db['temp']['dbdriver'] = '##dbdriver##';
/**
 * The temp DB - Add an optional prefix, which will be added to the table name when using the Active Record class
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 *
 * @global  string  $db['temp']['dbprefix']
 */
$db['temp']['dbprefix'] = '';
/**
 * The temp DB - Whether to use a persistent connection
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 *
 * @global  boolean $db['temp']['pconnect']
 */
$db['temp']['pconnect'] = true;
/**
 * The temp DB - Whether database errors should be displayed
 *
 * @global  boolean $db['temp']['db_debug']
 */
$db['temp']['db_debug'] = true;
/**
 * The temp DB - Enables/disables query caching - force
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 *
 * @global  boolean $db['temp']['cache_on']
 */
$db['temp']['cache_on'] = false;
/**
 * The temp DB - The path to the folder where cache files should be stored
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 *
 * @global  string  $db['temp']['cachedir']
 */
$db['temp']['cachedir'] = WRITEABLEPATH.'cache/';

/**
 *******************************************************************************
 * Global settings
 *******************************************************************************
 */

/**
 * The default active group
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 *
 * @global  string  $active_group
 */
$active_group = 'default';

/**
 * Enable the active record class
 *
 * <i>DO NOT CHANGE THIS or untermStrich will not work</i>
 *
 * @global  string  $active_record
 */
$active_record = true;

/* End of file database.php */