<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');
/*
  | -------------------------------------------------------------------
  | USER AGENT TYPES
  | -------------------------------------------------------------------
  | This file contains four arrays of user agent data.  It is used by the
  | User Agent Class to help identify browser, platform, robot, and
  | mobile device data.  The array keys are used to identify the device
  | and the array values are used to set the actual name of the item.
  |
 */

$platforms = array(
    'windows nt 10.0' => 'Windows 10',
    'windows nt 6.3' => 'Windows 8.1 / RT 8.1 / / Server 2012 R2',
    'windows nt 6.2' => 'Windows 8 / RT 8 / Phone 8 / Server 2012',
    'windows nt 6.1' => 'Windows 7 / Server 2008',
    'windows nt 6.0' => 'Windows Vista',
    'windows nt 5.2' => 'Windows 2003',
    'windows nt 5.1' => 'Windows XP',
    'windows nt 5.0' => 'Windows 2000',
    'windows nt 4.0' => 'Windows NT 4.0',
    'winnt4.0' => 'Windows NT 4.0',
    'winnt 4.0' => 'Windows NT',
    'winnt' => 'Windows NT',
    'windows 98' => 'Windows 98',
    'win98' => 'Windows 98',
    'windows 95' => 'Windows 95',
    'win95' => 'Windows 95',
    'windows' => 'Unknown Windows OS',
    'mac os x 10.14' => 'Mac OS X 10.14',
    'mac os x 10.13' => 'Mac OS X 10.13',
    'mac os x 10.12' => 'Mac OS X 10.12',
    'mac os x 10.11' => 'Mac OS X 10.11',
    'mac os x 10.10' => 'Mac OS X 10.10',
    'mac os x 10.9' => 'Mac OS X 10.9',
    'mac os x 10.8' => 'Mac OS X 10.8',
    'mac os x 10.7' => 'Mac OS X 10.7',
    'mac os x 10.6' => 'Mac OS X 10.6',
    'mac os x 10.5' => 'Mac OS X 10.5',
    'mac os x 10.4' => 'Mac OS X 10.4',
    'ppc mac os x' => 'Mac OS X (Power PC)',
    'os x' => 'Mac OS X',
    'ppc mac' => 'Power PC Mac',
    'ppc' => 'Macintosh',
    'ubuntu/11.10' => 'Ubuntu 11.10 Oneiric Ocelot',
    'ubuntu/11.04' => 'Ubuntu 11.04 Natty Narwhal',
    'ubuntu/10.10' => 'Ubuntu 10.10 Maverick Meerkat',
    'ubuntu/10.04' => 'Ubuntu 10.04 LTS Lucid Lynx',
    'ubuntu/9.10' => 'Ubuntu 9.10 Karmic Koala',
    'ubuntu/9.04' => 'Ubuntu 9.04 Jaunty Jackalope',
    'ubuntu/8.04' => 'Ubuntu 8.04 LTS Hardy Heron',
    'kubuntu' => 'Kubuntu',
    'ubuntu' => 'Ubuntu',
    'debian' => 'Debian',
    'suse' => 'SUSE',
    'fedora' => 'Fedora',
    'gentoo' => 'Gentoo',
    'centos' => 'CentOS',
    'slackware' => 'Slackware',
    'linux' => 'Linux',
    'freebsd' => 'FreeBSD',
    'debian' => 'Debian',
    'sunos' => 'Sun Solaris',
    'beos' => 'BeOS',
    'apachebench' => 'ApacheBench',
    'aix' => 'AIX',
    'irix' => 'Irix',
    'osf' => 'DEC OSF',
    'hp-ux' => 'HP-UX',
    'netbsd' => 'NetBSD',
    'bsdi' => 'BSDi',
    'openbsd' => 'OpenBSD',
    'gnu' => 'GNU/Linux',
    'unix' => 'Unknown Unix OS'
);


$browsers = array(
    'OPR' => 'Opera',
    'Edge' => 'Edge',
    'Flock' => 'Flock',
    'Chrome' => 'Chrome',
    'Opera' => 'Opera',
    'MSIE' => 'Internet Explorer',
    'Internet Explorer' => 'Internet Explorer',
    'Trident.* rv' => 'Internet Explorer',
    'Trident' => 'Trident (Internet Explorer)',
    'Shiira' => 'Shiira',
    'Firefox' => 'Firefox',
    'Chimera' => 'Chimera',
    'Phoenix' => 'Phoenix',
    'Firebird' => 'Firebird',
    'Camino' => 'Camino',
    'Netscape' => 'Netscape',
    'OmniWeb' => 'OmniWeb',
    'Safari' => 'Safari',
    'Mozilla' => 'Mozilla',
    'Konqueror' => 'Konqueror',
    'icab' => 'iCab',
    'Lynx' => 'Lynx',
    'Links' => 'Links',
    'hotjava' => 'HotJava',
    'amaya' => 'Amaya',
    'IBrowse' => 'IBrowse'
);

$mobiles = array(
    'mobileexplorer' => 'Mobile Explorer',
    'palmsource' => 'Palm',
    'palmscape' => 'Palmscape',
    'motorola' => "Motorola",
    'nokia' => "Nokia",
    'palm' => "Palm",
    'iphone' => "Apple iPhone",
    'ipad' => "iPad",
    'ipod' => "Apple iPod Touch",
    'sony' => "Sony Ericsson",
    'ericsson' => "Sony Ericsson",
    'blackberry' => "BlackBerry",
    'cocoon' => "O2 Cocoon",
    'blazer' => "Treo",
    'lg' => "LG",
    'amoi' => "Amoi",
    'xda' => "XDA",
    'mda' => "MDA",
    'vario' => "Vario",
    'htc' => "HTC",
    'samsung' => "Samsung",
    'sharp' => "Sharp",
    'sie-' => "Siemens",
    'alcatel' => "Alcatel",
    'benq' => "BenQ",
    'ipaq' => "HP iPaq",
    'mot-' => "Motorola",
    'playstation portable' => "PlayStation Portable",
    'hiptop' => "Danger Hiptop",
    'nec-' => "NEC",
    'panasonic' => "Panasonic",
    'philips' => "Philips",
    'sagem' => "Sagem",
    'sanyo' => "Sanyo",
    'spv' => "SPV",
    'zte' => "ZTE",
    'sendo' => "Sendo",
    'android' => 'Android',
    'symbian' => "Symbian",
    'SymbianOS' => "SymbianOS",
    'elaine' => "Palm",
    'palm' => "Palm",
    'series60' => "Symbian S60",
    'windows ce' => "Windows CE",
    'obigo' => "Obigo",
    'netfront' => "Netfront Browser",
    'openwave' => "Openwave Browser",
    'mobilexplorer' => "Mobile Explorer",
    'opera mobi' => "Opera Mobile",
    'operamini' => "Opera Mini",
    'opera mini' => "Opera Mini",
    'mobile safari' => 'Mobile Safari',
    'digital paths' => "Digital Paths",
    'avantgo' => "AvantGo",
    'xiino' => "Xiino",
    'novarra' => "Novarra Transcoder",
    'vodafone' => "Vodafone",
    'docomo' => "NTT DoCoMo",
    'o2' => "O2",
    'mobile' => "Generic Mobile",
    'wireless' => "Generic Mobile",
    'j2me' => "Generic Mobile",
    'midp' => "Generic Mobile",
    'cldc' => "Generic Mobile",
    'up.link' => "Generic Mobile",
    'up.browser' => "Generic Mobile",
    'smartphone' => "Generic Mobile",
    'cellphone' => "Generic Mobile"
);

$robots = array(
    'googlebot' => 'Googlebot',
    'msnbot' => 'MSNBot',
    'slurp' => 'Inktomi Slurp',
    'yahoo' => 'Yahoo',
    'askjeeves' => 'AskJeeves',
    'fastcrawler' => 'FastCrawler',
    'infoseek' => 'InfoSeek Robot 1.0',
    'lycos' => 'Lycos'
);

/* End of file user_agents.php */
/* Location: ./application/config/user_agents.php */