<?php
/**
 * CodeIgniter Controller
 *
 * @category CodeIgniter
 * @license /_licenses/untermStrich/agb_normal.pdf
 * @author Christian Koller
 * @copyright 2009 untermStrich
 * @package controllers
 * @version $Id: start.php 24857 2022-12-21 14:57:27Z christian $
*/

/**
 * The main Qplan controller for untermStrich
 */
class Q extends My_Controller
{
    /**
     * The main function
     * 
     * @return void
     */
    public function index()
    {
        if ( !$this->login->is_logged_in() ) {
            redirect($this->config->item('sess_login_page'));
        } else {
            header_no_cache();
            
            $this->session->sess_update(true);

            $this->load->model('Staff_model', 'staff');
            $this->login->refresh_login_data(false);
            
            $this->load->helper('user_options');
            $this->load->helper('xajax_header_helper');
            $this->load->library('US_Smarty', array('mode'=>self::M_DIRECT), 'smarty');
            
            $headers = xajax_header(true);
            $this->smarty->assign('headers', $headers);
            $this->smarty->assign('xsrf', $this->login->get_xsrf());
            $this->smarty->assign('unique', $this->login->get_rand_key());
            $this->smarty->assign('theme_settings', us_json_encode(get_theme(), true));
            $this->smarty->assign('user_options', get_user_options());
            
            $lang = $this->web_settings->getLanguage();
            $this->smarty->assign('language', $lang);
            $this->smarty->assign('language_short', Languages::shortened($lang) );
            $this->smarty->assign('us_version_ue', urlencode($this->config->item('us_version')) );
            
            $this->smarty->view('q/index');
        }
    }
}