<?php
/**
 * CodeIgniter Controller
 *
 * @category CodeIgniter
 * @license /_licenses/untermStrich/agb_normal.pdf
 * @author Christian Koller
 * @copyright 2009 untermStrich
 * @package controllers
 * @version $Id: start.php 16153 2018-07-11 09:58:46Z christian $
*/

/**
 * The user css controller for untermStrich
 */
class Ucss extends My_Controller
{
    public function __construct()
    {
        $this->in_simple_mode = true;
        parent::__construct();
    }
    
    /**
     * Remap all requests
     *
     * @param   string  $object_called  Name of the called object
     * @return  void
     */
    public function _remap($object_called)
    {
        $this->user();
    }

    /**
     * User CSS
     * 
     * @return void
     */
    public function user()
    {
        header('Content-type: text/css', true);
        $expiry = 3600 * 12; //hours
        header('Expires: '.gmdate('D, d M Y H:i:s', time()+$expiry) . ' GMT'); // 1/2 day for GA
        header('Cache-Control: private, max-age='.$expiry);
        
        $this->load->helper('user_options');
        
        $this->load->library('US_Smarty', array('mode'=>self::M_DIRECT), 'smarty');
        
        $datesetting = $this->web_settings->getDateSetting();
        $this->smarty->assign('theme', get_theme());
        if ($datesetting=='arab') {
            $this->smarty->assign('view_weekend', false);
        } else {
            $this->smarty->assign('view_weekend', true);
        }
        
        $this->smarty->view('r_basic/cssheader');
    }
    
}
