<?php
/**
 * Smarty shared plugin
 * @package Smarty
 * @subpackage PluginsShared
 */


/**
 * Function: smarty_make_timestamp<br>
 * Purpose:  used by other smarty functions to make a timestamp
 *           from a string.
 * @author   Monte Ohrt <monte at ohrt dot com>
 * @param string $string
 * @return string
 */
function smarty_make_timestamp($string)
{
    if (!isset($string) || empty($string)) {
        $time = time();

    } elseif (preg_match('/^\d{14}$/', $string)) {
        $time = mktime(substr($string, 8, 2),substr($string, 10, 2),substr($string, 12, 2),
                       substr($string, 4, 2),substr($string, 6, 2),substr($string, 0, 4));
        
    } elseif (is_numeric($string)) {
        $time = (int)$string;
        
    } else {
        $time = strtotime($string);
        if ($time == -1 || $time === false) {
            $time = time();
        }
    }
    return $time;

}
?>
