<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet
    version="1.0"
    xmlns:xhtml="http://www.w3.org/1999/xhtml"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    exclude-result-prefixes="xhtml xsl"
    >
    <xsl:template match="head">
        <h1>
            <xsl:value-of select="./title"/>
            <span id="wait" title="Loading..."></span>
            <span class="print_btn" onclick="window.print();" title="Print preview"><input type="text" value="" maxlength="8" size="8" style="display:none; height:0; width:0; border:0 none; padding:0; margin:0;" /></span>
        </h1>
        <p>
            <xsl:for-each select="./filters/filter">
                <xsl:if test="not(starts-with(@name, 'print_'))">
                    <xsl:choose>
                        <xsl:when test="@name = 'fee_multipliers_inactive'">
                            <span class="warningani"><xsl:value-of select="@title"/>: <xsl:value-of select="."/></span>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:value-of select="@title"/>
                            <xsl:if test="@title != .">
                                <xsl:text>: </xsl:text>
                                <xsl:value-of select="."/>
                            </xsl:if>
                        </xsl:otherwise>
                    </xsl:choose>
                    <xsl:if test="position() != last()">
                        <xsl:text>; </xsl:text>
                    </xsl:if>
                </xsl:if>
            </xsl:for-each>
        </p>
    </xsl:template>
</xsl:stylesheet>