<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
                xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0"
                xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0"
                xmlns:msoxl="http://schemas.microsoft.com/office/excel/formula"
                >
    <xsl:param name="background_color_heading" />
    <xsl:param name="background_color_subheading" />
    <xsl:param name="border_color_table" />
    <xsl:param name="font_global" />
    <xsl:param name="font_size_global" />

    <xsl:template match="*">
        <!-- Cell format for heading -->
        <style:style style:name="heading" style:family="table-cell" style:parent-style-name="Default">
            <style:table-cell-properties>
                <xsl:attribute name="fo:background-color"><xsl:value-of select="$background_color_heading"/></xsl:attribute>
                <xsl:attribute name="fo:border">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
            </style:table-cell-properties>
            <style:text-properties fo:font-weight="bold" style:font-weight-asian="bold" style:font-weight-complex="bold">
                <xsl:attribute name="style:font-name"><xsl:value-of select="$font_global"/></xsl:attribute>
                <xsl:attribute name="fo:font-size"><xsl:value-of select="$font_size_global"/>pt</xsl:attribute>
            </style:text-properties>
        </style:style>
        <style:style style:name="heading0" style:family="table-cell" style:parent-style-name="heading">
            <style:paragraph-properties fo:text-align="start" fo:margin-left="0cm" />
        </style:style>
        <style:style style:name="heading1" style:family="table-cell" style:parent-style-name="heading">
            <style:paragraph-properties fo:text-align="start" fo:margin-left="0.5cm" />
        </style:style>
        <style:style style:name="heading2" style:family="table-cell" style:parent-style-name="heading">
            <style:paragraph-properties fo:text-align="start" fo:margin-left="1cm" />
        </style:style>
        <style:style style:name="heading3" style:family="table-cell" style:parent-style-name="heading">
            <style:paragraph-properties fo:text-align="start" fo:margin-left="1.5cm" />
        </style:style>
        <style:style style:name="heading4" style:family="table-cell" style:parent-style-name="heading">
            <style:paragraph-properties fo:text-align="start" fo:margin-left="2cm" />
        </style:style>
        <style:style style:name="heading5" style:family="table-cell" style:parent-style-name="heading">
            <style:paragraph-properties fo:text-align="start" fo:margin-left="2.5cm" />
        </style:style>

        <!-- Cell format for heading centered -->
        <style:style style:name="headingcen" style:family="table-cell" style:parent-style-name="heading">
            <style:paragraph-properties fo:text-align="center" />
            <style:text-properties>
                <xsl:attribute name="style:font-name"><xsl:value-of select="$font_global"/></xsl:attribute>
                <xsl:attribute name="fo:font-size"><xsl:value-of select="$font_size_global"/>pt</xsl:attribute>
            </style:text-properties>
        </style:style>
        <style:style style:name="headingcen0" style:family="table-cell" style:parent-style-name="heading">
            <style:paragraph-properties fo:text-align="center" fo:margin-left="0cm" />
        </style:style>
        <style:style style:name="headingcen1" style:family="table-cell" style:parent-style-name="heading">
            <style:paragraph-properties fo:text-align="center" fo:margin-left="0.5cm" />
        </style:style>
        <style:style style:name="headingcen2" style:family="table-cell" style:parent-style-name="heading">
            <style:paragraph-properties fo:text-align="center" fo:margin-left="1cm" />
        </style:style>
        <style:style style:name="headingcen3" style:family="table-cell" style:parent-style-name="heading">
            <style:paragraph-properties fo:text-align="center" fo:margin-left="1.5cm" />
        </style:style>
        <style:style style:name="headingcen4" style:family="table-cell" style:parent-style-name="heading">
            <style:paragraph-properties fo:text-align="center" fo:margin-left="2cm" />
        </style:style>
        <style:style style:name="headingcen5" style:family="table-cell" style:parent-style-name="heading">
            <style:paragraph-properties fo:text-align="center" fo:margin-left="2.5cm" />
        </style:style>

        <!-- Cell format for subheading = in data heading -->
        <style:style style:name="subheading" style:family="table-cell" style:parent-style-name="Default">
            <style:table-cell-properties>
                <xsl:attribute name="fo:background-color"><xsl:value-of select="$background_color_subheading"/></xsl:attribute>
                <xsl:attribute name="fo:border-left">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
                <xsl:attribute name="fo:border-right">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
                <xsl:attribute name="fo:border-bottom">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
            </style:table-cell-properties>
            <style:text-properties>
                <xsl:attribute name="style:font-name"><xsl:value-of select="$font_global"/></xsl:attribute>
                <xsl:attribute name="fo:font-size"><xsl:value-of select="$font_size_global"/>pt</xsl:attribute>
            </style:text-properties>
        </style:style>
        <style:style style:name="subheading0" style:family="table-cell" style:parent-style-name="subheading">
            <style:paragraph-properties fo:text-align="start" fo:margin-left="0cm" />
        </style:style>
        <style:style style:name="subheading1" style:family="table-cell" style:parent-style-name="subheading">
            <style:paragraph-properties fo:text-align="start" fo:margin-left="0.5cm" />
        </style:style>
        <style:style style:name="subheading2" style:family="table-cell" style:parent-style-name="subheading">
            <style:paragraph-properties fo:text-align="start" fo:margin-left="1cm" />
        </style:style>
        <style:style style:name="subheading3" style:family="table-cell" style:parent-style-name="subheading">
            <style:paragraph-properties fo:text-align="start" fo:margin-left="1.5cm" />
        </style:style>
        <style:style style:name="subheading4" style:family="table-cell" style:parent-style-name="subheading">
            <style:paragraph-properties fo:text-align="start" fo:margin-left="2cm" />
        </style:style>
        <style:style style:name="subheading5" style:family="table-cell" style:parent-style-name="subheading">
            <style:paragraph-properties fo:text-align="start" fo:margin-left="2.5cm" />
        </style:style>

        <!-- Cell format for totals -->
        <style:style style:name="total" style:family="table-cell" style:parent-style-name="Default">
            <style:table-cell-properties>
                <xsl:attribute name="fo:border-left">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
                <xsl:attribute name="fo:border-right">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
                <xsl:attribute name="fo:border-bottom">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
            </style:table-cell-properties>
            <style:text-properties>
                <xsl:attribute name="style:font-name"><xsl:value-of select="$font_global"/></xsl:attribute>
                <xsl:attribute name="fo:font-size"><xsl:value-of select="$font_size_global"/>pt</xsl:attribute>
            </style:text-properties>
        </style:style>
        <style:style style:name="total0" style:family="table-cell" style:parent-style-name="total">
            <style:paragraph-properties fo:text-align="start" fo:margin-left="0cm" />
        </style:style>
        <style:style style:name="total1" style:family="table-cell" style:parent-style-name="total">
            <style:paragraph-properties fo:text-align="start" fo:margin-left="0.5cm" />
        </style:style>
        <style:style style:name="total2" style:family="table-cell" style:parent-style-name="total">
            <style:paragraph-properties fo:text-align="start" fo:margin-left="1cm" />
        </style:style>
        <style:style style:name="total3" style:family="table-cell" style:parent-style-name="total">
            <style:paragraph-properties fo:text-align="start" fo:margin-left="1.5cm" />
        </style:style>
        <style:style style:name="total4" style:family="table-cell" style:parent-style-name="total">
            <style:paragraph-properties fo:text-align="start" fo:margin-left="2cm" />
        </style:style>
        <style:style style:name="total5" style:family="table-cell" style:parent-style-name="total">
            <style:paragraph-properties fo:text-align="start" fo:margin-left="2.5cm" />
        </style:style>
        
        <!-- Data formats -->
        <number:float-style style:name="float2style">
            <number:number number:decimal-places="2" number:min-integer-digits="1" number:grouping="true"/>
        </number:float-style>
        <number:currency-style style:name="currencystyle">
            <number:number number:decimal-places="2" number:min-integer-digits="1" number:grouping="true"/>
            <number:text><xsl:text> </xsl:text></number:text>
            <number:currency-symbol><xsl:value-of select="$company_currency"/></number:currency-symbol>
        </number:currency-style>
        <number:boolean-style style:name="booleanstyle">
            <number:boolean/>
        </number:boolean-style>
        <number:date-style style:name="datenumberstyle">
            <number:day number:style="long"/>
            <number:text>.</number:text>
            <number:month number:style="long"/>
            <number:text>.</number:text>
            <number:year/>
        </number:date-style>
        <number:time-style style:name="timenumberstyle">
            <number:hours number:style="long"/>
            <number:text>:</number:text>
            <number:minutes number:style="long"/>
        </number:time-style>

        <!-- Cell format for contents -->
        <style:style style:name="content" style:family="table-cell" style:parent-style-name="Default">
            <style:table-cell-properties>
                <xsl:attribute name="fo:border-left">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
                <xsl:attribute name="fo:border-right">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
                <xsl:attribute name="fo:border-bottom">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
            </style:table-cell-properties>
            <style:text-properties>
                <xsl:attribute name="style:font-name"><xsl:value-of select="$font_global"/></xsl:attribute>
                <xsl:attribute name="fo:font-size"><xsl:value-of select="$font_size_global"/>pt</xsl:attribute>
            </style:text-properties>
        </style:style>
        <style:style style:name="float2" style:family="table-cell" style:parent-style-name="Default" style:data-style-name="float2style">
            <style:table-cell-properties>
                <xsl:attribute name="fo:border-left">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
                <xsl:attribute name="fo:border-right">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
                <xsl:attribute name="fo:border-bottom">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
            </style:table-cell-properties>
            <style:text-properties>
                <xsl:attribute name="style:font-name"><xsl:value-of select="$font_global"/></xsl:attribute>
                <xsl:attribute name="fo:font-size"><xsl:value-of select="$font_size_global"/>pt</xsl:attribute>
            </style:text-properties>
        </style:style>
        <style:style style:name="currency" style:family="table-cell" style:parent-style-name="Default" style:data-style-name="currencystyle">
            <style:table-cell-properties>
                <xsl:attribute name="fo:border-left">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
                <xsl:attribute name="fo:border-right">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
                <xsl:attribute name="fo:border-bottom">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
            </style:table-cell-properties>
            <style:text-properties>
                <xsl:attribute name="style:font-name"><xsl:value-of select="$font_global"/></xsl:attribute>
                <xsl:attribute name="fo:font-size"><xsl:value-of select="$font_size_global"/>pt</xsl:attribute>
            </style:text-properties>
        </style:style>
        <style:style style:name="boolean" style:family="table-cell" style:parent-style-name="Default" style:data-style-name="booleanstyle">
            <style:table-cell-properties>
                <xsl:attribute name="fo:border-left">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
                <xsl:attribute name="fo:border-right">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
                <xsl:attribute name="fo:border-bottom">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
            </style:table-cell-properties>
            <style:text-properties>
                <xsl:attribute name="style:font-name"><xsl:value-of select="$font_global"/></xsl:attribute>
                <xsl:attribute name="fo:font-size"><xsl:value-of select="$font_size_global"/>pt</xsl:attribute>
            </style:text-properties>
            <style:map style:condition="cell-content()=1" style:apply-style-name="greentablecell" />
            <style:map style:condition="cell-content()=msoxl:TRUE" style:apply-style-name="greentablecell" />
        </style:style>
        <style:style style:name="datestyle" style:family="table-cell" style:parent-style-name="Default" style:data-style-name="datenumberstyle">
            <style:table-cell-properties>
                <xsl:attribute name="fo:border-left">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
                <xsl:attribute name="fo:border-right">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
                <xsl:attribute name="fo:border-bottom">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
            </style:table-cell-properties>
            <style:text-properties>
                <xsl:attribute name="style:font-name"><xsl:value-of select="$font_global"/></xsl:attribute>
                <xsl:attribute name="fo:font-size"><xsl:value-of select="$font_size_global"/>pt</xsl:attribute>
            </style:text-properties>
        </style:style>
        <style:style style:name="timestyle" style:family="table-cell" style:parent-style-name="Default" style:data-style-name="timenumberstyle">
            <style:table-cell-properties>
                <xsl:attribute name="fo:border-left">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
                <xsl:attribute name="fo:border-right">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
                <xsl:attribute name="fo:border-bottom">0.002cm solid <xsl:value-of select="$border_color_table"/></xsl:attribute>
            </style:table-cell-properties>
            <style:text-properties>
                <xsl:attribute name="style:font-name"><xsl:value-of select="$font_global"/></xsl:attribute>
                <xsl:attribute name="fo:font-size"><xsl:value-of select="$font_size_global"/>pt</xsl:attribute>
            </style:text-properties>
        </style:style>
    </xsl:template>

</xsl:stylesheet>