<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0"
                xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"
                xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
                >
    <xsl:template match="*[local-name()='cell']">
        <table:table-cell>
            <xsl:choose>
                <xsl:when test="@type='number'">
                    <xsl:attribute name="office:value-type">float</xsl:attribute>
                    <xsl:attribute name="table:style-name">content</xsl:attribute>
                    <xsl:attribute name="office:value"><xsl:value-of select="."/></xsl:attribute>
                </xsl:when>
                <xsl:when test="@type='number2'">
                    <xsl:attribute name="office:value-type">float</xsl:attribute>
                    <xsl:attribute name="table:style-name">float2</xsl:attribute>
                    <xsl:attribute name="office:value"><xsl:value-of select="."/></xsl:attribute>
                </xsl:when>
                <xsl:when test="@type='currency'">
                    <xsl:attribute name="office:value-type">currency</xsl:attribute>
                    <xsl:attribute name="table:style-name">currency</xsl:attribute>
                    <xsl:attribute name="office:value"><xsl:value-of select="."/></xsl:attribute>
                    <text:p>
                        <xsl:value-of select="@usnumber"/>
                        <xsl:text> </xsl:text>
                        <xsl:value-of select="$company_currency"/>
                    </text:p>
                </xsl:when>
                <xsl:when test="@type='bool'">
                    <xsl:attribute name="table:style-name">boolean</xsl:attribute>
                    <xsl:attribute name="office:value-type">boolean</xsl:attribute>
                    <xsl:attribute name="office:boolean-value"><xsl:value-of select="."/></xsl:attribute>
                </xsl:when>
                <xsl:when test="@type='date'">
                    <xsl:attribute name="office:value-type">date</xsl:attribute>
                    <xsl:attribute name="table:style-name">datestyle</xsl:attribute>
                    <xsl:attribute name="office:date-value"><xsl:value-of select="@xlsdate"/></xsl:attribute>
                </xsl:when>
                <xsl:when test="@type='time'">
                    <xsl:choose>
                        <xsl:when test="@xlsdate = ''">
                            <xsl:attribute name="table:style-name">content</xsl:attribute>
                            <xsl:attribute name="office:value-type">string</xsl:attribute>
                            <text:p/>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:attribute name="table:style-name">timestyle</xsl:attribute>
                            <xsl:attribute name="office:value-type">time</xsl:attribute><!-- That's a hack which works for OO and MSO -->
                            <xsl:attribute name="office:date-value"><xsl:value-of select="@xlsdate"/></xsl:attribute>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:when>
                <xsl:when test="@type='timespan'">
                    <xsl:attribute name="office:value-type">float</xsl:attribute>
                    <xsl:attribute name="table:style-name">content</xsl:attribute>
                    <xsl:attribute name="office:value"><xsl:value-of select="."/></xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:attribute name="table:style-name">content</xsl:attribute>
                    <xsl:attribute name="office:value-type">string</xsl:attribute>
                    <text:p>
                        <xsl:value-of select="."/>
                    </text:p>
                </xsl:otherwise>
            </xsl:choose>
        </table:table-cell>
    </xsl:template>

    <xsl:template name="tablecell">
        <xsl:text> </xsl:text>
        <xsl:param name="fieldinfo" />
        <xsl:value-of select="$fieldinfo/."/><xsl:text>: </xsl:text>
        <xsl:call-template name="cellout" />
        <xsl:text> </xsl:text>
    </xsl:template>
    
    <xsl:template name="cellout">
        <xsl:choose>
            <xsl:when test="@type='number'">
                <xsl:value-of select="@usnumber"/>
            </xsl:when>
            <xsl:when test="@type='number2'">
                <xsl:value-of select="@usnumber"/>
            </xsl:when>
            <xsl:when test="@type='currency'">
                <xsl:value-of select="@usnumber"/>
                <xsl:text> </xsl:text>
                <xsl:value-of select="$company_currency"/>
            </xsl:when>
            <xsl:when test="@type='date'">
                <xsl:value-of select="@usdate"/>
            </xsl:when>
            <xsl:when test="@type='time'">
                <xsl:value-of select="@ustime"/>
            </xsl:when>
            <xsl:when test="@type='timespan'">
                <xsl:value-of select="@ustimespan"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:value-of select="."/>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

</xsl:stylesheet>