<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output
        method="text"
        version="1.0"
        encoding="Windows-1252"
        indent="no"
        media-type="text/csv"
        omit-xml-declaration="yes"
        />

    <xsl:template match="*">
        <xsl:apply-templates select="/report/head/columns"/><!-- Heading -->
        <xsl:text>&#10;</xsl:text>
        <xsl:apply-templates select="/report/data/row"/> <!-- Values -->
    </xsl:template>

    <xsl:template match="/report/head/columns">
      <xsl:text>"currency";</xsl:text>
      <xsl:for-each select="field">
        <xsl:text>"</xsl:text>
        <xsl:value-of select="@name"/>
        <xsl:text>"</xsl:text>
        <xsl:if test="position() != last()">
            <xsl:text>;</xsl:text>
        </xsl:if>
      </xsl:for-each>
    </xsl:template>

    <xsl:template match="/report/data/row">
        <xsl:text>"EUR";</xsl:text>
        <xsl:for-each select="*">
            <xsl:choose>
                <xsl:when test="@type='number'">
                    <xsl:value-of select="."/>
                </xsl:when>
                <xsl:when test="@type='number2'">
                  <xsl:choose>
                    <xsl:when test="@name='value' or @name='value_pre_tax'">
                      <xsl:value-of select="translate(format-number(., '+#.#;-#.#'), '.', ',')"/>
                    </xsl:when>
                    <xsl:otherwise>
                      <xsl:value-of select="@usnumber"/>
                    </xsl:otherwise>
                  </xsl:choose>
                </xsl:when>
                <xsl:when test="@type='currency'">
                    <xsl:value-of select="."/>
                </xsl:when>
                <xsl:when test="@type='date'">
                  <xsl:choose>
                    <xsl:when test="@name='fee_date'">
                      <xsl:value-of select="substring(translate(@usdate, '.', ''), 1, 4)"/>
                    </xsl:when>
                    <xsl:otherwise>
                      <xsl:value-of select="translate(@usdate, '.', '')"/>
                    </xsl:otherwise>
                  </xsl:choose>
                </xsl:when>
                <xsl:when test="@type='time'">
                    <xsl:value-of select="."/>
                </xsl:when>
                <xsl:when test="@type='timespan'">
                    <xsl:value-of select="."/>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:text>"</xsl:text>
                    <xsl:value-of select="normalize-space(.)"/>
                    <xsl:text>"</xsl:text>
                </xsl:otherwise>
            </xsl:choose>
            <xsl:if test="position() != last()">
                <xsl:text>;</xsl:text>
            </xsl:if>
        </xsl:for-each>
        <xsl:text>&#10;</xsl:text>
    </xsl:template>

</xsl:stylesheet>
