<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output
        method="text"
        version="1.0"
        encoding="UTF-8"
        indent="no"
        media-type="text/csv"
        omit-xml-declaration="yes"
        />

    <xsl:template match="*">
        <xsl:apply-templates select="/report/head/columns/*[local-name()='field']"/><!-- Heading -->
        <xsl:text>&#10;</xsl:text>
        <xsl:apply-templates select="/report/data/row"/> <!-- Values -->
    </xsl:template>

    <xsl:template match="/report/head/columns/*[local-name()='field']">
        <xsl:text>"</xsl:text>
        <xsl:value-of select="@name"/>
        <xsl:text>"</xsl:text>
        <xsl:if test="position() != last()">
            <xsl:text>,</xsl:text>
        </xsl:if>
    </xsl:template>

    <xsl:template match="/report/data/row">
        <xsl:for-each select="*">
            <xsl:choose>
                <xsl:when test="@type='number'">
                    <xsl:value-of select="."/>
                </xsl:when>
                <xsl:when test="@type='number2'">
                    <xsl:value-of select="."/>
                </xsl:when>
                <xsl:when test="@type='currency'">
                    <xsl:value-of select="."/>
                </xsl:when>
                <xsl:when test="@type='date'">
                    <xsl:value-of select="."/>
                </xsl:when>
                <xsl:when test="@type='time'">
                    <xsl:value-of select="@ustime"/>
                </xsl:when>
                <xsl:when test="@type='timespan'">
                    <xsl:value-of select="."/>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:text>"</xsl:text>
                    <xsl:value-of select="normalize-space(.)"/>
                    <xsl:text>"</xsl:text>
                </xsl:otherwise>
            </xsl:choose>
            <xsl:if test="position() != last()">
                <xsl:text>,</xsl:text>
            </xsl:if>
        </xsl:for-each>
        <xsl:text>&#10;</xsl:text>
    </xsl:template>

</xsl:stylesheet>