<?php
/**
 * CodeIgniter library
 *
 * @category CodeIgniter
 * @license /_licenses/untermStrich/agb_normal.pdf
 * @author Christian Wengg
 * @copyright 2009 untermStrich
 * @package us_libraries
 * @version $Id: address_group_values.php 23227 2021-12-03 13:33:05Z christian $
*/

if (!defined('BASEPATH')) exit('No direct script access allowed');

require_once APPPATH.'us_libraries/Value_object.php';

/**
 * Used to save an address-group
 *
 * @property    My_Controller           $CI                     The main CI object
 */
class Address_group_values extends Value_object
{

    protected $name;
    protected $project_id;

    /**
     * Init the address-group values from $_POST
     *
     * @return  object  An Address_group_values object with all values out of the post array
     */
    public static function init_from_post()
    {
        $obj = new Address_group_values();
        $obj->CI = CI_Controller::get_instance();
        $obj->add_or_id = $obj->CI->input->post('address_group_edit');
        $obj->name = $obj->CI->input->post('address_group_name');
        $obj->project_id = $obj->CI->input->post('address_group_project') ? $obj->CI->input->post('address_group_project') : null;
        return $obj;
    }

    /**
     * Validate and ensure all values are appropriate
     *
     * @return  mixed   false on success, else the error message
     *
     * @todo    implement!!
     */
    public function validate()
    {
        if ($this->add_or_id!=='add' && !is_numeric($this->add_or_id)) {
            return 'Address-group ID has to be "add" or an ID';
        }
        return false;
    }

    /**
     * Get address-group to save
     *
     * @return  array
     */
    public function get_address_group_to_save()
    {
        $data = array(
            'name'        =>  $this->name,
            'project_id'  =>  $this->project_id,
        );

        return $data;
    }

} // END class Address_group_values
