<?php
/**
 * CodeIgniter library
 *
 * @categories CodeIgniter
 * @license /_licenses/untermStrich/agb_normal.pdf
 * @author Christian Koller
 * @copyright 2009 untermStrich
 * @package us_libraries
 * @version $Id: address_values.php 329 2010-05-04 17:28:24Z christian $
*/

if (!defined('BASEPATH')) exit('No direct script access allowed');

/**
 * Used to save an address derive default values
 *
 * @property    My_Controller           $CI                     The main CI object
 */
class Addresses_derive_default_values extends stdClass
{

    public $name;
    public $comp_supp;
    public $title;
    public $academic_title;
    public $first_name;
    public $contact_person;
    public $street;
    public $zip_town;
    public $country;
    public $phone1;
    public $phone2;
    public $mobile_phone;
    public $fax;
    public $modem;
    public $url;
    public $email;
    public $vat;
    public $categories;
    public $active;
    public $master_title;
    public $street2;
    public $longitude;
    public $latitude;

    /**
     * Constructor
     *
     * @param   boolean $name           Derive?
     * @param   boolean $comp_supp      Derive?
     * @param   boolean $title          Derive?
     * @param   boolean $academic_title Derive?
     * @param   boolean $first_name     Derive?
     * @param   boolean $contact_person Derive?
     * @param   boolean $street         Derive?
     * @param   boolean $zip_town       Derive?
     * @param   boolean $country        Derive?
     * @param   boolean $phone1         Derive?
     * @param   boolean $phone2         Derive?
     * @param   boolean $mobile_phone   Derive?
     * @param   boolean $fax            Derive?
     * @param   boolean $modem          Derive?
     * @param   boolean $url            Derive?
     * @param   boolean $email          Derive?
     * @param   boolean $vat            Derive?
     * @param   boolean $categories     Derive?
     * @param   boolean $active         Derive?
     * @param   boolean $master_title   Derive?
     * @param   boolean $street2        Derive?
     * @param   boolean $longitude      Derive?
     * @param   boolean $latitude       Derive?
     */
    public function __construct($name, $comp_supp, $title, $academic_title, $first_name, $contact_person, $street, $zip_town, $country, $phone1, $phone2, $mobile_phone, $fax, $modem, $url, $email, $vat, $categories, $active, $master_title, $street2, $longitude, $latitude)
    {
        $this->name = $name;
        $this->comp_supp = $comp_supp;
        $this->title = $title;
        $this->academic_title = $academic_title;
        $this->master_title = $master_title;
        $this->first_name = $first_name;
        $this->contact_person = $contact_person;
        $this->street = $street;
        $this->street2 = $street2;
        $this->zip_town = $zip_town;
        $this->country = $country;
        $this->phone1 = $phone1;
        $this->phone2 = $phone2;
        $this->mobile_phone = $mobile_phone;
        $this->fax = $fax;
        $this->modem = $modem;
        $this->url = $url;
        $this->email = $email;
        $this->vat = $vat;
        $this->categories = $categories;
        $this->active = $active;
        $this->longitude = $longitude;
        $this->latitude = $latitude;
    }

    /**
     * Create from string
     *
     * @param   string  $val    The string representation of this object
     * @return  Addresses_derive_default_values
     */
    public static function from_string($val)
    {
        $CI = CI_Controller::get_instance();
        $CI->load->helper('array');

        $vals = explode('|', $val ?? '');
        return new Addresses_derive_default_values(
            element(8, $vals, false) ? true : false,//$name
            element(5, $vals, false) ? true : false,//$comp_supp
            element(0, $vals, false) ? true : false,//$title
            element(12, $vals, false) ? true : false,//$academic_title
            element(14, $vals, false) ? true : false,//$first_name
            element(1, $vals, false) ? true : false,//$contact_person
            element(9, $vals, false) ? true : false,//$street
            element(15, $vals, false) ? true : false,//$zip_town
            element(16, $vals, false) ? true : false,//$country
            element(10, $vals, false) ? true : false,//$phone1
            element(11, $vals, false) ? true : false,//$phone2
            element(6, $vals, false) ? true : false,//$mobile_phone
            element(4, $vals, false) ? true : false,//$fax
            element(7, $vals, false) ? true : false,//$modem
            element(13, $vals, false) ? true : false,//$url
            element(2, $vals, false) ? true : false,//$email
            element(3, $vals, false) ? true : false,//$vat
            element(17, $vals, false) ? true : false,//$categories
            element(18, $vals, false) ? true : false,//$active
            element(19, $vals, false) ? true : false,//$master_title
            element(20, $vals, false) ? true : false,//$street2
            element(21, $vals, false) ? true : false,//$longitude
            element(22, $vals, false) ? true : false//$latitude
        );
    }

    /**
     * Create the string representation
     *
     * @return  string  The string representation of this object
     */
    public function __toString()
    {
        $vals = array(
            $this->title ? 1 : 0,
            $this->contact_person ? 1 : 0,
            $this->email ? 1 : 0,
            $this->vat ? 1 : 0,
            $this->fax ? 1 : 0,
            $this->comp_supp ? 1 : 0,
            $this->mobile_phone ? 1 : 0,
            $this->modem ? 1 : 0,
            $this->name ? 1 : 0,
            $this->street ? 1 : 0,
            $this->phone1 ? 1 : 0,
            $this->phone2 ? 1 : 0,
            $this->academic_title ? 1 : 0,
            $this->url ? 1 : 0,
            $this->first_name ? 1 : 0,
            $this->zip_town ? 1 : 0,
            $this->country ? 1 : 0,
            $this->categories ? 1 : 0,
            $this->active ? 1 : 0,
            $this->master_title ? 1 : 0,
            $this->street2 ? 1 : 0,
            $this->longitude ? 1 : 0,
            $this->latitude ? 1 : 0
        );
        return implode('|', $vals);
    }



}