<?php

/**
 * CodeIgniter library
 *
 * @category CodeIgniter
 * @license /_licenses/untermStrich/agb_normal.pdf
 * @author Michael Pfeilstöcker
 * @copyright 2009 untermStrich
 * @package us_libraries
 * @version $Id: whatiswhere_filings_values.php 23723 2022-04-08 05:26:06Z christian $
 */
if (!defined('BASEPATH'))
    exit('No direct script access allowed');

require_once APPPATH . 'us_libraries/Value_object.php';

/**
 * Used to save a whatiswhere item
 *
 * @property    My_Controller           $CI                     The main CI object
 */
class Whatiswhere_filings_values extends Value_object {

    protected $filing;
    protected $parentid;

    /**
     * Init the whatiswhere values from $_POST
     *
     * @return  object  An Whatiswhere_filings_values object with all values out of the post array
     */
    public static function init_from_post() {
        
        $obj = new Whatiswhere_filings_values();
        $obj->CI = CI_Controller::get_instance();
        $obj->add_or_id = $obj->CI->input->post('whatiswhere_roratrfi_edit');
        $obj->filing = $obj->CI->input->post('whatiswhere_roratrfi_title');
        $obj->parentid = $obj->CI->input->post('whatiswhere_roratrfi_parentid');
        
        return $obj;
    }

    /**
     * Validate and ensure all values are appropriate
     *
     * @return  mixed   false on success, else the error message
     *
     * @todo    implement!!
     */
    public function validate() {
        if ($this->add_or_id !== 'add' && !is_numeric($this->add_or_id)) {
            return 'Whatiswere_filings ID has to be "add" or an ID';
        }
        return false;
    }

    /**
     * Get task to save
     *
     * @return  array
     */
    public function get_filings_items_to_save() {
       
        $data = array(
            'title' => $this->filing,
            'tray_id' => $this->parentid,
        );

        return $data;
    }

}

