<?php

namespace PhpOffice\PhpSpreadsheet\Calculation\LookupRef;

use PhpOffice\PhpSpreadsheet\Calculation\Exception;
use PhpOffice\PhpSpreadsheet\Calculation\Functions;

abstract class LookupBase
{
    protected static function validateIndexLookup($lookup_array, $index_number)
    {
        if (!is_numeric($index_number) || $index_number < 1) {
            throw new Exception(Functions::VALUE());
        }

        if ((!is_array($lookup_array)) || (empty($lookup_array))) {
            throw new Exception(Functions::REF());
        }

        return (int) $index_number;
    }

    protected static function checkMatch(
        bool $bothNumeric,
        bool $bothNotNumeric,
        $notExactMatch,
        int $rowKey,
        string $cellDataLower,
        string $lookupLower,
        ?int $rowNumber
    ): ?int {
        if ($bothNumeric || $bothNotNumeric) {
            if ($notExactMatch) {
                $rowNumber = $rowKey;
            } elseif (($cellDataLower == $lookupLower) && (($rowNumber === null) || ($rowKey < $rowNumber))) {
                $rowNumber = $rowKey;
            }
        }

        return $rowNumber;
    }
}
