{if !$dav_install_status.use_https && !$dav_install_status.use_http}
    <div class="warning ui-corner-all">
        {$i.pages_dav_no_connect|markdown}
    </div>
{else if !$dav_install_status.use_https}
    <div class="warning ui-corner-all">
        {$i.pages_dav_no_https|markdown}
    </div>
{else if $dav_install_status.use_https && isset($dav_install_status.ssl_self_signed_fallback) && $dav_install_status.ssl_self_signed_fallback}
    <div class="warning ui-corner-all">
        {$i.pages_dav_self_signed_https|markdown}
    </div>
{/if}

{$have_both = true}
{if isset($dav_install_status.have_caldav) && $dav_install_status.have_caldav}
    <div>
        {$info = $i.pages_dav_install_have_caldav|markdown}
        {if isset($dav_install_status.dav_path)}{str_replace('/.../dav', $dav_install_status.dav_path, $info)}{else}{$info}{/if}
        <a href="{if $dav_install_status.use_https}https://{else}http://{/if}{$dav_install_status.well_known_uri}caldav"
           onclick="window.open(this.href); return false;" class="dialog_make_text_btn ui-corner-all">
            {$i.masterdatamanagement_dav_redirect_test} - CalDAV
        </a>
    </div>
{else}
    {$have_both = false}
    <div class="warning ui-corner-all">
        {$info = $i.pages_dav_install_fail_caldav|markdown}
        {if isset($dav_install_status.dav_path)}{str_replace('/.../dav', $dav_install_status.dav_path, $info)}{else}{$info}{/if}
        {if isset($dav_install_status.well_known_uri)}
        <a href="{if $dav_install_status.use_https}https://{else}http://{/if}{$dav_install_status.well_known_uri}caldav"
           onclick="window.open(this.href); return false;" class="dialog_make_text_btn ui-corner-all">
            {$i.masterdatamanagement_dav_redirect_test} - CalDAV
        </a>
        {/if}
    </div>
{/if}
{if isset($dav_install_status.have_carddav) && $dav_install_status.have_carddav}
    <div>
        {$info = $i.pages_dav_install_have_carddav|markdown}
        {if isset($dav_install_status.dav_path)}{str_replace('/.../dav', $dav_install_status.dav_path, $info)}{else}{$info}{/if}
        <a href="{if $dav_install_status.use_https}https://{else}http://{/if}{$dav_install_status.well_known_uri}carddav"
           onclick="window.open(this.href); return false;" class="dialog_make_text_btn ui-corner-all">
            {$i.masterdatamanagement_dav_redirect_test} - CardDAV
        </a>
    </div>
{else}
    {$have_both = false}
    <div class="warning ui-corner-all">
        {$info = $i.pages_dav_install_fail_carddav|markdown}
        {if isset($dav_install_status.dav_path)}{str_replace('/.../dav', $dav_install_status.dav_path, $info)}{else}{$info}{/if}
        {if isset($dav_install_status.well_known_uri)}
        <a href="{if $dav_install_status.use_https}https://{else}http://{/if}{$dav_install_status.well_known_uri}carddav"
           onclick="window.open(this.href); return false;" class="dialog_make_text_btn ui-corner-all">
            {$i.masterdatamanagement_dav_redirect_test} - CardDAV
        </a>
        {/if}
    </div>
{/if}

{if isset($dav_install_status.dav_htaccess_path)}
    <div style="margin: 10px 0;">
        {if !$dav_install_status.dav_htaccess_exists}
            {$dav_install_status.dav_htaccess_path} does not exist or is not readable
        {else}
            File {$dav_install_status.dav_htaccess_path}:<br />
            <code style="white-space: pre;">{$dav_install_status.dav_htaccess|htmlspecialchars}</code>
        {/if}
        {if isset($dav_install_status.dav_htaccess_error)}
            <p class="errorsmall ui-corner-all">
                {$dav_install_status.dav_htaccess_error}
            </p>
        {/if}
    </div>
{/if}


<a href="{site_url url="/start/open/masterdatamanagement_dav/install_redirect_do/`$xjxcookie`"}"
    onclick="return openx('masterdatamanagement_dav', 'install_redirect');" class="dialog_make_text_btn ui-corner-all">
    {if !$have_both}
        <span class="dialog_make_btn16 ok ui-corner-all"></span>
    {/if}
    {$i.masterdatamanagement_dav_install_redirect}
</a>
<span 
    style="margin-right: 1.5vw; display: inline-block;"
    class="dialog_make_text_btn ui-corner-all" onclick="$(this).hide(); masterdatamanagement.view('dav');">
    <span class="dialog_make_btn16 update ui-corner-all"></span>
    {$i.basic_update}
</span>
<span
    style="display: inline-block;"
    title="{$i.masterdatamanagement_dav_synctoken_incremented}"
    onclick="if (basicForm.requestBigConfirm(lang_masterdata.dav_synctoken_incremented)) openx('masterdatamanagement_dav', 'dav_synctoken_incremented');" class="dialog_make_text_btn ui-corner-all">
    <span class="dialog_make_btn16 maintenance ui-corner-all"></span>
    {$i.masterdatamanagement_dav_synctoken_incremented}
</span>

<div id="progressbar" style="margin: 10px">
</div>