<?php
/**
 * CodeIgniter report view
 *
 * @category CodeIgniter
 * @license /_licenses/untermStrich/agb_normal.pdf
 * @author Christian Koller
 * @copyright 2009 untermStrich
 * @package views
 * @version $Id: View_fillodsxlsx.php 23466 2022-02-02 13:24:33Z christian $
*/

if (!defined('BASEPATH')) exit('No direct script access allowed');

require_once APPPATH.'us_libraries/US_report_view_result.php';

/**
 * A view for fillodsxlsx
 */
class View_fillodsxlsx extends US_report_view_result
{
    
    /**
     * Process the report based on the view mode
     *
     * @param   integer $mode   One of the US_report_view_result::M_... modes
     * @return  mixed   Either void or the filename
     *
     * @see US_report_view_result::M_DIRECT
     * @see US_report_view_result::M_FILE
     */
    protected function process($mode)
    {
        $fills_list = Report_config::get_fills($this->report_id, $real_path, $invalid);
        
        if (empty($fills_list) && empty($invalid)) {
            $fills_list = Report_config::install_presets($this->report_id, $real_path);
        }
        
        $file_id = Report::file_id_from_name($this->file_name);
        $xjxcookie = $this->CI->login->get_xsrf();
        $url = site_url('reportportlet/'.$xjxcookie.'/report_fillodsxlsx/process/'.$file_id).'/';
        
        $this->CI->smarty->assign('found_invalid', $invalid);
        $this->CI->smarty->assign('real_path', $real_path);
        $this->CI->smarty->assign('main_report_id', $this->report_id);
        $this->CI->smarty->assign('url', $url);
        $this->CI->smarty->assign('file_id', $file_id);
        $this->CI->smarty->assign('fills_list', $fills_list);
        $this->CI->smarty->assign('get_whole_html', $this->get_whole_html);
        $reply = $this->CI->smarty->view('Reports/fillodsxlsx/select_file', true);
        
        if ($mode===US_report_view_result::M_FILE) {
            return $reply;
        } else {
            echo $reply;
        }
    }

} // END class View_fillodsxlsx
