/******************************************************************************
 * Nested Set Structure template - organigram - 1
 ******************************************************************************/
#work_package_view_style1 {
    box-shadow: inset 1px 1px 0px #A1F913;
}

.work_package_tree ul {
    padding-left: 3px;
}

.work_package_tree div {
    display: block;
}
.work_package_tree ul {
    padding-top: 20px;
    position: relative;

    transition: all 0.5s;
}

.work_package_tree li {
    display: inline-block;
    vertical-align: top;
    text-align: center;
    list-style-type: none;
    position: relative;
    padding: 20px 5px 0 5px;

    transition: all 0.5s;
}

/*We will use ::before and ::after to draw the connectors*/
.work_package_tree li::before, .work_package_tree li::after{
    content: '';
    position: absolute; 
    top: 0; 
    right: 50%;
    border-top: 1px solid #ccc;
    width: 50%; 
    height: 20px;
}
.work_package_tree li::after{
    right: auto; 
    left: 50%;
    border-left: 1px solid #ccc;
}

/*We need to remove left-right connectors from elements without any siblings*/
.work_package_tree li:only-child::after, .work_package_tree li:only-child::before {
    display: none;
}

/*Remove space from the top of single children*/
.work_package_tree li:only-child{ padding-top: 0;}

/*Remove left connector from first child and right connector from last child*/
.work_package_tree li:first-child::before, .work_package_tree li:last-child::after{
    border: 0 none;
}
/*Adding back the vertical connector to the last nodes*/
.work_package_tree li:last-child::before{
    border-right: 1px solid #ccc;
    border-radius: 0 5px 0 0;
}
.work_package_tree li:first-child::after{
    border-radius: 5px 0 0 0;
}

/*Downward connectors from parents*/
.work_package_tree ul ul::before{
    content: '';
    position: absolute; 
    top: 0; 
    left: 50%;
    border-left: 1px solid #ccc;
    width: 0; 
    height: 20px;
}

.work_package_tree .first_row{
    width: 100%;
}
.work_package_tree .second_row{
    width: 100%;
    text-align: center;
}

{include file='r_work_packages/global.css.tpl'}