<pd4ml:page.break ifSpaceBelowLessThan=400>
<table style="border-color: {$border_color_table}; margin-bottom: 20px;">
    <colgroup>
        <col style="width: 36mm;" />
        <col style="width: 84mm;" />
        <col style="width: 36mm;" />
        <col style="width: 84mm;" />
    </colgroup>
    <thead>
        <tr>
            <th colspan="4" style="text-align: left; background-color: {$background_color_heading}">
                <h3>
                    {$row.name}
                    {if $row.comp_supp}
                        <br />
                        {$row.comp_supp}
                    {/if}
                </h3>
            </th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>{$i.reporting_rep_title}</td>
            <td>{$row.title}</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td>{$i.reporting_rep_academic_title}</td>
            <td>{$row.academic_title}</td>
            <td>{$i.reporting_rep_phone1}</td>
            <td>{$row.phone1}</td>
        </tr>
        <tr>
            <td>{$i.reporting_rep_first_name}</td>
            <td>{$row.first_name}</td>
            <td>{$i.reporting_rep_phone2}</td>
            <td>{$row.phone2}</td>
        </tr>
        <tr>
            <td>{$i.reporting_rep_contact_person}</td>
            <td>{$row.contact_person}</td>
            <td>{$i.reporting_rep_fax}</td>
            <td>{$row.fax}</td>
        </tr>
        <tr>
            <td>{$i.reporting_rep_master_title}</td>
            <td>{$row.master_title}</td>
            <td>{$i.reporting_rep_mobile_phone}</td>
            <td>{$row.mobile_phone}</td>
        </tr>        
        <tr>
            <td>{$i.reporting_rep_street}</td>
            <td>{$row.street}</td>
            <td>{$i.reporting_rep_email}</td>
            <td>{$row.email}</td>
        </tr>
        <tr>
            <td>{$i.reporting_rep_street2}</td>
            <td>{$row.street2}</td>
            <td>{$i.reporting_rep_url}</td>
            <td>{$row.url}</td>
        </tr>        
        <tr>
            <td>{$i.reporting_rep_town}</td>
            <td>{$row.town}</td>
            <td>{$i.reporting_rep_vat}</td>
            <td>{$row.vat}</td>
        </tr>
        <tr>
            <td>{$i.reporting_rep_zip}</td>
            <td>{$row.zip}</td>
            {if $row.creditor_no eq ''}
                <td colspan="2"></td>
            {else}
                <td>{$i.reporting_rep_creditor_no}</td>
                <td>{$row.creditor_no}</td>
            {/if}
        </tr>
        <tr>
            <td>{$i.reporting_rep_country}</td>
            <td>{$row.country}</td>
            {if $row.debtor_no eq ''}
                <td colspan="2"></td>
            {else}
                <td>{$i.reporting_rep_debtor_no}</td>
                <td>{$row.debtor_no}</td>
            {/if}
        </tr>
        {if $row.image neq ''}
            <tr>
                <td colspan="4">
                    <span class="preview">
                        {$row.image}
                        <img src="{$row.image64}" />
                    </span>
                </td>
            </tr>
        {/if}
        {if $row.more eq 'true'}
            {if $row.longitude neq ''}
                <tr>
                    <td>{$i.reporting_rep_longitude}</td>
                    <td>{$row.longitude}</td>
                    <td>{$i.reporting_rep_latitude}</td>
                    <td>{$row.latitude}</td>
                </tr>
            {/if}
        {/if}
        <tr>
            <td colspan="4">&nbsp;</td>
        </tr>
        <tr>
            <td colspan="4" style="text-align: left; background-color: {$background_color_heading}"><em>Gespeicherte Daten</em></td>
        </tr>
        {*<tr>
            <td>{$i.basic_opentasks}</td>
            <td>{$row.opentasks} {$i.reporting_rep_x_del_info}</td>
            <td>{$i.basic_externalexpenses}</td>
            <td>{$row.externalexpenses} {$i.reporting_rep_x_del_info}</td>
        </tr>
        <tr>
            <td>{$i.basic_feeadmin}</td>
            <td>{$row.fees} {$i.reporting_rep_x_del_info}</td>
            <td>{$i.basic_drawingandproductdirectory}</td>
            <td>{$row.drawings} {$i.reporting_rep_x_del_info}</td>
        </tr>*}
        
        {*<tr>
            <td colspan="4">&nbsp;</td>
        </tr>*}
        <tr>
            <td>{$i.basic_personalappointmentplaner}</td>
            <td>{count($row.personalapp)} {$i.reporting_rep_x_del_info}</td>
            <td colspan="2"></td>
        </tr>
        {if $row.more eq 'true'}
            {foreach item=field from=$row.personalapp}
                <tr>
                    <td style="text-align: right"><small>{$field.date.usdate}: </small></td>
                    <td><small>{$field.time_from.ustime} - {$field.time_to.ustime}</small></td>
                    <td colspan="2"><small>{$field.location}</small></td>
                </tr>
            {/foreach}
        {/if}
        
        
        {*<tr>
            <td colspan="4">&nbsp;</td>
        </tr>*}
        <tr>
            <td>{$i.reporting_drawings_outbox_shortlist}</td>
            <td>{count($row.drawings_outbox)} {$i.reporting_rep_x_del_info}</td>
            <td colspan="2"></td>
        </tr>
        {if $row.more eq 'true'}
            {foreach item=field from=$row.drawings_outbox}
                <tr>
                    <td style="text-align: right"><small>{$field.date.usdate}: </small></td>
                    <td colspan="3"><small>{$field.drawing_plan_info}</small></td>
                </tr>
            {/foreach}
        {/if}
        
        {if $row.has_mail_right eq 'true'}
            {*<tr>
                <td colspan="4">&nbsp;</td>
            </tr>*}
            <tr>
                <td>{$i.basic_mailinbox}</td>
                <td>{count($row.inbox)} {$i.reporting_rep_x_del_info}</td>
                <td colspan="2"></td>
            </tr>
            {if $row.more eq 'true'}
                {foreach item=field from=$row.inbox}
                    <tr>
                        <td style="text-align: right"><small>{$field.date.usdate}: </small></td>
                        <td colspan="3"><small>{$field.content}</small></td>
                    </tr>
                {/foreach}
            {/if}

            {*<tr>
                <td colspan="4">&nbsp;</td>
            </tr>*}
            <tr>
                <td>{$i.basic_mailoutbox}</td>
                <td>{count($row.outbox)} {$i.reporting_rep_x_del_info}</td>
                <td colspan="2"></td>
            </tr>
            {if $row.more eq 'true'}
                {foreach item=field from=$row.outbox}
                    <tr>
                        <td style="text-align: right"><small>{$field.date.usdate}: </small></td>
                        <td colspan="3"><small>{$field.content}</small></td>
                    </tr>
                {/foreach}
            {/if}
        {/if}

        {if $row.has_corr_right eq 'true'}
            {*<tr>
                <td colspan="4">&nbsp;</td>
            </tr>*}
            <tr>
                <td>{$i.basic_correspondence}</td>
                <td>{count($row.correspondence)} {$i.reporting_rep_x_del_info}</td>
                <td colspan="2"></td>
            </tr>
            {if $row.more eq 'true'}
                {foreach item=field from=$row.correspondence}
                    <tr>
                        <td style="text-align: right"><small>{$field.date.usdate}: </small></td>
                        <td colspan="3"><small>{$field.subject}</small></td>
                    </tr>
                {/foreach}
            {/if}
        {/if}
        
        {*<tr>
            <td colspan="4">&nbsp;</td>
        </tr>*}
        <tr>
            <td>{$i.reporting_rep_x_call_phone}</td>
            <td>{count($row.calls)} {$i.reporting_rep_x_del_info}</td>
            <td colspan="2"></td>
        </tr>
        {if $row.more eq 'true'}
            {foreach item=field from=$row.calls}
                <tr>
                    <td style="text-align: right"><small>{$field.date_from.usdate}: </small></td>
                    <td><small>{$field.time_from.ustime} - {$field.time_to.ustime}</small></td>
                    <td><small>{if $field.active_call eq 'true'}{$i.reporting_rep_x_call_active_call}{else}{$i.reporting_rep_x_call_received}{/if}</small></td>
                    <td><small>{$field.phone}</small></td>
                </tr>
            {/foreach}
        {/if}
    </tbody>
</table>