<?php
/**
 * Fulltest controller
 *
 * @property Installation     $installation
 * @author christian.k
 */
class Fulltest extends My_Controller
{

    public function  __construct()
    {
        parent::__construct();
        
        date_default_timezone_set($this->config->item('date_default_timezone'));

        if ($this->agent->supports_lang('de')) {
            define('LANG', 'german');
        } else {
            define('LANG', 'english');
        }
        $this->lang->load('basic', LANG);
        
        //Preload libraries
        $this->load->library('Security', null, 'security');
    }

    public function index()
    {
        //Error checks
        $this->to_view = array(
            'error_files_exists' => $this->us_installation->file_exists_errors(),
        );

        if (!$this->us_installation->get_proceed()) {
            $this->global_error();
            return;
        }
        
        $this->load->view('header');

        //Checks
        $this->us_installation->activate_positive_feedback(true);
        $errors = array(
            'error_version' => $this->us_installation->version_errors(),
            'error_apache' => $this->us_installation->apache_errors(),
            'error_php' => $this->us_installation->php_errors(),
            'system_ok' => $this->us_installation->get_proceed(),
            'error_files' => $this->us_installation->file_load(),
            'error_after_files' => !$this->us_installation->get_proceed(),
            'error_dirs' => $this->us_installation->dir_errors(),
            'all_ok' => $this->us_installation->get_proceed(),
        );

        $this->load->view('fulltest', $errors);

        if (!$errors['all_ok']) {
            log_message('error', print_r($errors, true));
        }
        
        $this->load->view('footer');
    }

}