<?php

if ( ! function_exists('print_heading')) {
    /**
     * Print a message as heading
     *
     * @param   string  $msg    The message
     * @return  void
     */
    function print_heading($msg)
    {
        echo '<h2>'.$msg.'</h2>';
    }
}


if ( ! function_exists('print_errorinfo')) {
    /**
     * Print an error info
     *
     * @param   string  $msg    The message
     * @return  void
     */
    function print_errorinfo($msg)
    {
        echo '<span class="errorinfo errorsmall ui-corner-all" style="display:block;">'.$msg.'</span>';
    }
}

if ( ! function_exists('print_greeninfo')) {
    /**
     * Print an green info
     *
     * @param   string  $msg    The message
     * @return  void
     */
    function print_greeninfo($msg)
    {
        echo '<span class="greeninfo errorsmall ui-corner-all">'.$msg.'</span>';
    }
}

if ( ! function_exists('print_greenonlyinfo')) {
    /**
     * Print an green only info
     *
     * @param   string  $msg    The message
     * @return  void
     */
    function print_greenonlyinfo($msg)
    {
        echo '<span class="greeninfo ui-corner-all">'.$msg.'</span>';
    }
}

if ( ! function_exists('test_again')) {
    /**
     * Print test again
     *
     * @return  void
     */
    function test_again()
    {
        echo '<p class="formstyle buttonline"><a href="javascript:window.location.reload();" class="errornext ui-corner-all">TEST AGAIN</a></p>';
    }
}

if ( ! function_exists('next_button')) {
    /**
     * Print a next button
     *
     * @return  void
     */
    function next_button($url, $title)
    {
        echo '<p class="formstyle buttonline"><a href="'.$url.'" class="next ui-corner-all">'.$title.'</a></p>';
    }
}