CREATE TABLE `01migrate_11_12` (
  `elem` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `info` varchar(500) COLLATE utf8mb4_general_ci NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=ARCHIVE DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `01migrate_11_12_steps` (
  `stepname` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `ablagetab` (
  `ablage` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `lfdnrAblage` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `ablagetab_lfdnrablage` (`lfdnrAblage`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `address_emails` (
  `id` int NOT NULL AUTO_INCREMENT,
  `address_id` int NOT NULL,
  `email` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `created_by_id` int DEFAULT NULL,
  `changed_by_id` int DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `change_date` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `address_relations` (
  `id` int NOT NULL AUTO_INCREMENT,
  `address_id` int NOT NULL,
  `unique_add_id` varchar(140) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `from_staff_id` int DEFAULT NULL,
  `from_address_id` int DEFAULT NULL,
  `from_personalapp_id` int DEFAULT NULL,
  `description` text COLLATE utf8mb4_general_ci NOT NULL,
  `date` datetime DEFAULT NULL,
  `created_by_id` int DEFAULT NULL,
  `changed_by_id` int DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `change_date` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `address_signatures` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `main` longtext COLLATE utf8mb4_general_ci,
  `main_plain` longtext COLLATE utf8mb4_general_ci,
  `main_subject` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `appoi` longtext COLLATE utf8mb4_general_ci,
  `appoi_plain` longtext COLLATE utf8mb4_general_ci,
  `appoi_subject` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `opta` longtext COLLATE utf8mb4_general_ci,
  `opta_plain` longtext COLLATE utf8mb4_general_ci,
  `opta_subject` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `adrbeschr` (
  `beschreibung` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `LfdNr_Adr` int DEFAULT NULL,
  `unique_add_id` varchar(140) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `call_id` int DEFAULT NULL,
  `wann` datetime DEFAULT NULL,
  `wer` int DEFAULT NULL,
  `prioritaet` smallint DEFAULT NULL,
  `LfdNr_Proj` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `adrbeschr_lfdnr_adr` (`LfdNr_Adr`),
  KEY `adrbeschr_wer` (`wer`),
  KEY `adrbeschr_lfdnr_proj` (`LfdNr_Proj`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `adressen` (
  `name` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Strasse` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Strasse2` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Ort` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Pltz` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Telefon1` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Telefon2` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Mobil` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Fax` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Modem` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `EMail` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `URL` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `Ansprechpartner` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Kategorie` int DEFAULT NULL,
  `Beschreibung` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `UserNum` int DEFAULT NULL,
  `Art` int DEFAULT NULL,
  `Firma` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `ErstAm` datetime DEFAULT NULL,
  `ErstVon` int DEFAULT NULL,
  `AendAm` datetime DEFAULT NULL,
  `AendVon` int DEFAULT NULL,
  `Anrede` varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Titel` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Master_Titel` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Vorname` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Aktiv` tinyint unsigned NOT NULL DEFAULT '0',
  `bName` tinyint unsigned NOT NULL DEFAULT '0',
  `bStrasse` tinyint unsigned NOT NULL DEFAULT '0',
  `bStrasse2` tinyint(1) DEFAULT '0',
  `bPltzOrt` tinyint unsigned NOT NULL DEFAULT '0',
  `bTelefon1` tinyint unsigned NOT NULL DEFAULT '0',
  `bTelefon2` tinyint unsigned NOT NULL DEFAULT '0',
  `bMobil` tinyint unsigned NOT NULL DEFAULT '0',
  `bFax` tinyint unsigned NOT NULL DEFAULT '0',
  `bModem` tinyint unsigned NOT NULL DEFAULT '0',
  `bEMail` tinyint unsigned NOT NULL DEFAULT '0',
  `bURL` tinyint unsigned NOT NULL DEFAULT '0',
  `bAnsprech` tinyint unsigned NOT NULL DEFAULT '0',
  `bFirma` tinyint unsigned NOT NULL DEFAULT '0',
  `bAnrede` tinyint unsigned NOT NULL DEFAULT '0',
  `bTitel` tinyint unsigned NOT NULL DEFAULT '0',
  `bMaster_Titel` tinyint(1) DEFAULT '0',
  `bVorname` tinyint unsigned NOT NULL DEFAULT '0',
  `bAktiv` tinyint unsigned NOT NULL DEFAULT '0',
  `bKategorien` tinyint unsigned NOT NULL DEFAULT '0',
  `Parent` int DEFAULT NULL,
  `ebene` int DEFAULT NULL,
  `Firmen_ID` int DEFAULT NULL,
  `Land` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `bLand` tinyint unsigned NOT NULL DEFAULT '0',
  `IsLoooped` tinyint unsigned NOT NULL DEFAULT '0',
  `UID_Nr` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `bUID_Nr` tinyint unsigned NOT NULL DEFAULT '0',
  `Bilddatei` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `debtor_no` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '',
  `dsgvo_delete_date` datetime DEFAULT NULL,
  `dsgvo_data_from` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `creditor_no` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '',
  `longitude` double DEFAULT NULL,
  `latitude` double DEFAULT NULL,
  `latitude_deri` tinyint(1) DEFAULT '0',
  `longitude_deri` tinyint(1) DEFAULT '0',
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  `comment_main` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '',
  `comment_main_staff` int DEFAULT NULL,
  `comment_main_date` datetime DEFAULT NULL,
  `comment_main_more` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `sabre_synctoken` bigint unsigned NOT NULL,
  `sabre_card_data` mediumblob,
  `sabre_uri` varbinary(255) NOT NULL,
  `sabre_uid` varbinary(255) NOT NULL,
  `sabre_etag` varbinary(40) NOT NULL,
  PRIMARY KEY (`LfdNr`),
  UNIQUE KEY `sabre_unique` (`sabre_uri`),
  KEY `adressen_telefon1` (`Telefon1`),
  KEY `adressen_telefon2` (`Telefon2`),
  KEY `adressen_mobil` (`Mobil`),
  KEY `adressen_email` (`EMail`),
  KEY `adressen_usernum` (`UserNum`),
  KEY `adressen_erstvon` (`ErstVon`),
  KEY `adressen_aendvon` (`AendVon`),
  KEY `adressen_firmen_id` (`Firmen_ID`),
  KEY `adressen_parent` (`Parent`),
  KEY `sabre_synctoken_index` (`sabre_synctoken`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;-- EOC
-- EOC

CREATE TABLE `adrgruppendef` (
  `GruppenName` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `LfdNr_Projekt` int DEFAULT NULL,
  `company_id` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `adrgruppendef_lfdnr_projekt` (`LfdNr_Projekt`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `adrgruppenmitglieder` (
  `AdressNr` int DEFAULT NULL,
  `GruppenNr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `adrgruppenmitglieder_adressnr` (`AdressNr`),
  KEY `adrgruppenmitglieder_gruppennr` (`GruppenNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `adrkat_lut` (
  `LfdNr_Adr` int DEFAULT NULL,
  `LfdNr_Kat` int DEFAULT NULL,
  `NotStored` tinyint unsigned NOT NULL DEFAULT '0',
  `Deleted` tinyint unsigned NOT NULL DEFAULT '0',
  KEY `adrkat_lut_lfdnr_adr` (`LfdNr_Adr`),
  KEY `adrkat_lut_lfdnr_kat` (`LfdNr_Kat`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `adrkategorien` (
  `Bezeichnung` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Beschreibung` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `UserNum` int DEFAULT NULL,
  `EditDatum` datetime DEFAULT NULL,
  `company_id` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `adrkategorien_usernum` (`UserNum`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `arbbeschtxte` (
  `ArbBeschTxt` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `OrdnNr` smallint DEFAULT NULL,
  `active` tinyint unsigned NOT NULL DEFAULT '1',
  `company_id` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `artikeltab` (
  `Artikel` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `autor` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `buchtitel` int DEFAULT NULL,
  `seite` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `raum` int DEFAULT NULL,
  `regal` int DEFAULT NULL,
  `fach` int DEFAULT NULL,
  `ablage` int DEFAULT NULL,
  `memofeld` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `adressat` int DEFAULT NULL,
  `adressatJN` tinyint unsigned NOT NULL DEFAULT '0',
  `File` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `artikeltab_buchtitel` (`buchtitel`),
  KEY `artikeltab_adressat` (`adressat`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `attendance_clock` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `staff_id` int DEFAULT NULL,
  `start_date` datetime DEFAULT NULL,
  `end_date` datetime DEFAULT NULL,
  `current` tinyint unsigned NOT NULL DEFAULT '0',
  `purpose` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `purpose_internal` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `area_id` int DEFAULT NULL,
  `is_client_changed` tinyint unsigned NOT NULL DEFAULT '0',
  `changed` tinyint unsigned NOT NULL DEFAULT '0',
  `imported` tinyint unsigned NOT NULL DEFAULT '0',
  `skill_grp_id` int DEFAULT NULL,
  `work_package_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_id` (`project_id`),
  KEY `staff_id` (`staff_id`),
  KEY `work_package_id` (`work_package_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `aufschlag` (
  `OrdNr` smallint DEFAULT NULL,
  `Aufschlag` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Beschreibung` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `SatzNr` int DEFAULT NULL,
  `is_standard` tinyint(1) DEFAULT '0',
  `is_r2` tinyint(1) DEFAULT '0',
  `is_r3` tinyint(1) DEFAULT '0',
  `is_r4` tinyint(1) DEFAULT '0',
  `Arbeitskosten` tinyint unsigned NOT NULL DEFAULT '0',
  `MAuswert` tinyint unsigned NOT NULL DEFAULT '0',
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `buchtiteltab` (
  `buchtitel` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `ausgabe` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `eingelangtAm` datetime DEFAULT NULL,
  `autor` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `BTRaum` int DEFAULT NULL,
  `BTRregal` int DEFAULT NULL,
  `BTFach` int DEFAULT NULL,
  `BTAblage` int DEFAULT NULL,
  `BTadressat` int DEFAULT NULL,
  `BTadressatJN` tinyint unsigned NOT NULL DEFAULT '0',
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `buchtiteltab_btraum` (`BTRaum`),
  KEY `buchtiteltab_btrregal` (`BTRregal`),
  KEY `buchtiteltab_btfach` (`BTFach`),
  KEY `buchtiteltab_btablage` (`BTAblage`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `cache_project_measurement` (
  `project_id` int NOT NULL,
  `name_german` varchar(500) COLLATE utf8mb4_general_ci NOT NULL,
  `name_germanarch` varchar(500) COLLATE utf8mb4_general_ci NOT NULL,
  `name_germanch` varchar(500) COLLATE utf8mb4_general_ci NOT NULL,
  `name_english` varchar(500) COLLATE utf8mb4_general_ci NOT NULL,
  `name_french` varchar(500) COLLATE utf8mb4_general_ci NOT NULL,
  UNIQUE KEY `project_id` (`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `calculateaccordingexpenditure` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `staff_id` int DEFAULT NULL,
  `description` text COLLATE utf8mb4_general_ci,
  `date` datetime NOT NULL,
  `is_project` int DEFAULT '1',
  `is_woa` int DEFAULT '1',
  `is_staff` int DEFAULT '0',
  `created_date` datetime DEFAULT NULL,
  `created_by_id` int DEFAULT NULL,
  `change_date` datetime DEFAULT NULL,
  `changed_by_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `company_installation` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `address` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `telephone` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `company_id` int NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `company_id` (`company_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `correspondence_temp_edit` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `correspondence_id` int NOT NULL,
  `staff_id` int NOT NULL,
  `oauth_account_id` int DEFAULT NULL,
  `path` varchar(500) COLLATE utf8mb4_general_ci NOT NULL,
  `type` int unsigned DEFAULT NULL,
  `change_date` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `correspondence_id` (`correspondence_id`),
  KEY `staff_id` (`staff_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `currencies` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `abbreviation` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `currency_code` varchar(3) COLLATE utf8mb4_general_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `abbreviation` (`abbreviation`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `currencies_translation` (
  `currency_id_from` int NOT NULL,
  `currency_id_to` int NOT NULL,
  `exchange_rate` double NOT NULL,
  `online` text COLLATE utf8mb4_general_ci,
  PRIMARY KEY (`currency_id_from`,`currency_id_to`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `dateien` (
  `Pfad` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Beschreibung` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Projekt` int DEFAULT NULL,
  `Ebene` int DEFAULT NULL,
  `Titel` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Root` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `ErstAm` datetime DEFAULT NULL,
  `ErstVon` int DEFAULT NULL,
  `AendAm` datetime DEFAULT NULL,
  `AendVon` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `dateien_projekt` (`Projekt`),
  KEY `dateien_erstvon` (`ErstVon`),
  KEY `dateien_aendvon` (`AendVon`),
  KEY `dateien_titel` (`Titel`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `dokattachments` (
  `LfdNr_Dok` int DEFAULT NULL,
  `Att_Pfad` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `real_name` varchar(255) COLLATE utf8mb4_general_ci DEFAULT '',
  `Beschreibung` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `ustrDok` tinyint unsigned NOT NULL DEFAULT '0',
  `Stufe` smallint DEFAULT NULL,
  `security_zip` tinyint unsigned NOT NULL DEFAULT '0',
  `Betreff` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `orig_correspondence_id` int DEFAULT NULL,
  `created_by_id` int DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `drawing_id` int DEFAULT NULL,
  `addressfile_id` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `dokattachments_lfdnr_dok` (`LfdNr_Dok`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `drawings` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `plan_no` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `plan_content` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `plan_index` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `type_id` int DEFAULT NULL,
  `area` double DEFAULT NULL,
  `signed_by` int DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  `received_from` int DEFAULT NULL,
  `replaced_by` int DEFAULT NULL,
  `re_destinations` int DEFAULT NULL,
  `is_done` tinyint unsigned NOT NULL DEFAULT '0',
  `sub_plan` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `size_id` int DEFAULT NULL,
  `redline_remarks` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `scale` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `cad_file` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `plot_file` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `created_date` datetime DEFAULT NULL,
  `created_by_id` int DEFAULT NULL,
  `change_date` datetime DEFAULT NULL,
  `changed_by_id` int DEFAULT NULL,
  `purpose` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `clipboard` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `approved` tinyint unsigned NOT NULL DEFAULT '0',
  `approved_external` tinyint unsigned NOT NULL DEFAULT '0',
  `approval_deadline` datetime DEFAULT NULL,
  `work_area_id` int DEFAULT NULL,
  `is_autopath` tinyint(1) DEFAULT NULL,
  `work_package_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_id` (`project_id`),
  KEY `type_id` (`type_id`),
  KEY `signed_by` (`signed_by`),
  KEY `replaced_by` (`replaced_by`),
  KEY `re_destinations` (`re_destinations`),
  KEY `size_id` (`size_id`),
  KEY `created_by_id` (`created_by_id`),
  KEY `changed_by_id` (`changed_by_id`),
  KEY `work_package_id` (`work_package_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `drawings_autopath_log` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int NOT NULL,
  `hash` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `change_date` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `project_id` (`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `drawings_deleted_log` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int NOT NULL,
  `filename` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `deleted_date` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `project_filename` (`project_id`,`filename`(185))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `email_accounts` (
  `id` int NOT NULL AUTO_INCREMENT,
  `password_salt` int DEFAULT NULL,
  `auth_mode` enum('basic','oauth') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT 'basic',
  `oauth_account` int DEFAULT NULL,
  `oauth_token_staff_id` int DEFAULT NULL,
  `password_mode` int NOT NULL DEFAULT '1',
  `password_mode_info` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `email` varchar(256) COLLATE utf8mb4_general_ci NOT NULL,
  `owner_id` int DEFAULT NULL,
  `address_signature_id` int DEFAULT '1',
  `smtp_ldap_auth_staff_id` int DEFAULT NULL,
  `imap_ldap_auth_staff_id` int DEFAULT NULL,
  `smtp_host` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `smtp_user` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `smtp_pass` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `smtp_port` int NOT NULL,
  `smtp_mode` enum('plain','ssl','tls') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT 'plain',
  `smtp_service_flags` varchar(254) COLLATE utf8mb4_general_ci NOT NULL,
  `imap_host` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `imap_user` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `imap_pass` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `imap_port` int NOT NULL,
  `imap_mode` enum('plain','ssl','tls') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT 'plain',
  `imap_mailbox` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `imap_mailbox_out` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `imap_mbox_delimiter` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `imap_save_sent` tinyint(1) DEFAULT '1',
  `imap_mailbox_trash` varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `imap_service_flags` varchar(254) COLLATE utf8mb4_general_ci NOT NULL,
  `auto_expunge` tinyint(1) DEFAULT '0',
  `import_eml_later` tinyint(1) DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `email_cache_data` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `email_cache_mbox_id` int NOT NULL,
  `uid` int NOT NULL,
  `email_cache_hash` varchar(500) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `message_id` varchar(500) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `subject` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `from` varchar(500) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `to` longtext COLLATE utf8mb4_general_ci,
  `to_count` int DEFAULT '0',
  `cc` longtext COLLATE utf8mb4_general_ci,
  `cc_count` int DEFAULT '0',
  `bcc` longtext COLLATE utf8mb4_general_ci,
  `bcc_count` int DEFAULT '0',
  `in_reply_to` varchar(500) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `attachments` longtext COLLATE utf8mb4_general_ci,
  `attachments_count` int DEFAULT '0',
  `date` datetime NOT NULL,
  `size` double DEFAULT NULL,
  `delete` tinyint(1) DEFAULT '0',
  `text` longtext COLLATE utf8mb4_general_ci,
  `ignored` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `unique_mbox_uid` (`email_cache_mbox_id`,`uid`),
  KEY `date` (`date`),
  KEY `email_cache_mbox_id` (`email_cache_mbox_id`),
  KEY `message_id` (`message_id`(200))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `email_cache_mboxes` (
  `id` int NOT NULL AUTO_INCREMENT,
  `imap_host` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `imap_user` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `imap_mbox` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `last_check_start` datetime NOT NULL,
  `last_check_stop` datetime DEFAULT NULL,
  `pid` varchar(50) COLLATE utf8mb4_general_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `unique_imap` (`imap_host`(50),`imap_user`(40),`imap_mbox`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `email_favourite_mboxes` (
  `id` int NOT NULL AUTO_INCREMENT,
  `email_account_id` int NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `is_out` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `email_ignored` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `email_cache_mbox_id` int NOT NULL,
  `message_id` varchar(500) COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `email_cache_mbox_id` (`email_cache_mbox_id`),
  KEY `message_id` (`message_id`(200))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `email_projects` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int NOT NULL,
  `email_account_id` int NOT NULL,
  `inbox` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `outbox` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `security` int NOT NULL DEFAULT '3',
  `delete_after_save` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `erased` (
  `Wann` datetime DEFAULT NULL,
  `Wer` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `staff_id` int DEFAULT NULL,
  `Wo` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `Was` longblob,
  `item_model` varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `item_title` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `item_id` int DEFAULT NULL,
  `ModNr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  `isCompressed` tinyint DEFAULT '0',
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `external` (
  `id` int NOT NULL AUTO_INCREMENT,
  `type` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `url_id` int DEFAULT NULL,
  `keyid` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `value` longtext COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='For external systems';
-- EOC

CREATE TABLE `externalexpenses` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `purpose` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `value` double DEFAULT NULL,
  `surcharge_used` double DEFAULT NULL,
  `address_id` int DEFAULT NULL,
  `area_id` int DEFAULT NULL,
  `creator_id` int DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `created_by_id` int DEFAULT NULL,
  `change_date` datetime DEFAULT NULL,
  `changed_by_id` int DEFAULT NULL,
  `cost_centre_id` int DEFAULT NULL,
  `is_hon_decr` tinyint unsigned NOT NULL DEFAULT '0',
  `is_calc_from_expenses` tinyint unsigned NOT NULL DEFAULT '0',
  `charge_date` datetime DEFAULT NULL,
  `charged` double DEFAULT NULL,
  `turnover_rate` double DEFAULT NULL,
  `is_deducted` tinyint unsigned DEFAULT NULL,
  `calcexp_id` int DEFAULT NULL,
  `deducted_day` datetime DEFAULT NULL,
  `is_ignore` tinyint unsigned NOT NULL DEFAULT '0',
  `work_package_id` int DEFAULT NULL,
  `fee_category_id` int DEFAULT NULL,
  `currency_id` int DEFAULT NULL,
  `value_otcurr` double DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `is_hon_decr` (`is_hon_decr`),
  KEY `is_calc_from_expenses` (`is_calc_from_expenses`),
  KEY `date` (`date`),
  KEY `project_id` (`project_id`),
  KEY `address_id` (`address_id`),
  KEY `creator_id` (`creator_id`),
  KEY `cost_centre_id` (`cost_centre_id`),
  KEY `created_by_id` (`created_by_id`),
  KEY `changed_by_id` (`changed_by_id`),
  KEY `work_package_id` (`work_package_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `externalexpenses_planned` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `purpose` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `value` double DEFAULT NULL,
  `surcharge_used` double DEFAULT NULL,
  `address_id` int DEFAULT NULL,
  `area_id` int DEFAULT NULL,
  `creator_id` int DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `created_by_id` int DEFAULT NULL,
  `change_date` datetime DEFAULT NULL,
  `changed_by_id` int DEFAULT NULL,
  `cost_centre_id` int DEFAULT NULL,
  `is_hon_decr` tinyint unsigned NOT NULL DEFAULT '0',
  `is_calc_from_expenses` tinyint unsigned NOT NULL DEFAULT '0',
  `charge_date` datetime DEFAULT NULL,
  `charged` double DEFAULT NULL,
  `is_transfered` tinyint unsigned NOT NULL DEFAULT '0',
  `turnover_rate` double DEFAULT NULL,
  `work_package_id` int DEFAULT NULL,
  `valid_from` datetime DEFAULT NULL,
  `fee_category_id` int DEFAULT NULL,
  `currency_id` int DEFAULT NULL,
  `value_otcurr` double DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `is_hon_decr` (`is_hon_decr`),
  KEY `is_calc_from_expenses` (`is_calc_from_expenses`),
  KEY `date` (`date`),
  KEY `project_id` (`project_id`),
  KEY `address_id` (`address_id`),
  KEY `creator_id` (`creator_id`),
  KEY `cost_centre_id` (`cost_centre_id`),
  KEY `created_by_id` (`created_by_id`),
  KEY `changed_by_id` (`changed_by_id`),
  KEY `work_package_id` (`work_package_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `extras` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `staff_id` int DEFAULT NULL,
  `purpose` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `number` double DEFAULT NULL,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `is_client_changed` tinyint unsigned NOT NULL DEFAULT '0',
  `addi_val1` double NOT NULL DEFAULT '0',
  `addi_val2` double NOT NULL DEFAULT '0',
  `DATE` datetime DEFAULT NULL,
  `price_per_unit` double DEFAULT NULL,
  `type_id` int DEFAULT NULL,
  `area_id` int DEFAULT NULL,
  `cost_centre_id` int DEFAULT NULL,
  `cost_per_unit` double DEFAULT NULL,
  `is_deducted` tinyint unsigned DEFAULT NULL,
  `calcexp_id` int DEFAULT NULL,
  `deducted_day` datetime DEFAULT NULL,
  `number_external` double DEFAULT NULL,
  `change_date` datetime DEFAULT NULL,
  `changed_by_id` int DEFAULT NULL,
  `is_ignore` tinyint unsigned NOT NULL DEFAULT '0',
  `company_id` int DEFAULT NULL,
  `company_cost_per_unit` double DEFAULT NULL,
  `company_cost_per_unit_ex` double NOT NULL DEFAULT '1',
  `company_cost_per_unit_id` int DEFAULT NULL,
  `company_price_per_unit` double DEFAULT NULL,
  `company_price_per_unit_ex` double NOT NULL DEFAULT '1',
  `company_price_per_unit_id` int DEFAULT NULL,
  `vat` double DEFAULT NULL,
  `work_package_id` int DEFAULT NULL,
  `staff_cost_centre` int DEFAULT '0',
  `auto_assigned_wp` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `project_id` (`project_id`),
  KEY `DATE` (`DATE`),
  KEY `staff_id` (`staff_id`),
  KEY `type_id` (`type_id`),
  KEY `cost_centre_id` (`cost_centre_id`),
  KEY `changed_by_id` (`changed_by_id`),
  KEY `company_id` (`company_id`),
  KEY `is_deducted` (`is_deducted`),
  KEY `work_package_id` (`work_package_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `extras_logging` (
  `id` int DEFAULT NULL,
  `project_id` int DEFAULT NULL,
  `staff_id` int DEFAULT NULL,
  `purpose` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `number` double DEFAULT NULL,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `date` datetime DEFAULT NULL,
  `type_id` int DEFAULT NULL,
  `area_id` int DEFAULT NULL,
  `cost_centre_id` int DEFAULT NULL,
  `cost_per_unit` double DEFAULT NULL,
  `is_deducted` tinyint unsigned DEFAULT NULL,
  `deducted_day` datetime DEFAULT NULL,
  `changed_by_id` int DEFAULT NULL,
  `is_ignore` tinyint unsigned NOT NULL DEFAULT '0',
  `log_change_mode` smallint DEFAULT NULL,
  `log_change_date` datetime DEFAULT NULL,
  `log_changed_by_id` int DEFAULT NULL,
  `company_id` int DEFAULT NULL,
  `is_client_changed` tinyint unsigned NOT NULL DEFAULT '0',
  `addi_val1` double NOT NULL DEFAULT '0',
  `addi_val2` double NOT NULL DEFAULT '0',
  `work_package_id` int DEFAULT NULL,
  KEY `project_id` (`project_id`),
  KEY `date` (`date`),
  KEY `staff_id` (`staff_id`),
  KEY `type_id` (`type_id`),
  KEY `cost_centre_id` (`cost_centre_id`),
  KEY `changed_by_id` (`changed_by_id`),
  KEY `log_change_date` (`log_change_date`),
  KEY `log_changed_by_id` (`log_changed_by_id`),
  KEY `company_id` (`company_id`),
  KEY `is_deducted` (`is_deducted`),
  KEY `work_package_id` (`work_package_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `fachtab` (
  `fach` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `lfdnrFach` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `fachtab_lfdnrfach` (`lfdnrFach`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `fee_categories` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `fee_number_log` (
  `id` int NOT NULL AUTO_INCREMENT,
  `last_number` varchar(20) COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `last_number` (`last_number`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `fees` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `purpose` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `value` double DEFAULT NULL,
  `value_otcurr` double DEFAULT NULL,
  `address_id` int DEFAULT NULL,
  `area_id` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `fee_date` datetime DEFAULT NULL,
  `fee_no` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `created_by_id` int DEFAULT NULL,
  `change_date` datetime DEFAULT NULL,
  `changed_by_id` int DEFAULT NULL,
  `cost_centre_id` int DEFAULT NULL,
  `entry_date` datetime DEFAULT NULL,
  `is_done` tinyint unsigned NOT NULL DEFAULT '0',
  `done_date` datetime DEFAULT NULL,
  `fee_account_id` int DEFAULT NULL,
  `turnover_rate` double DEFAULT NULL,
  `remited` double DEFAULT NULL,
  `remit_purpose` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `predecessor_id` int DEFAULT NULL,
  `successor_id` int DEFAULT NULL,
  `due_date` datetime DEFAULT NULL,
  `reminder_level` smallint DEFAULT NULL,
  `last_reminder_date` datetime DEFAULT NULL,
  `is_percentage` tinyint unsigned NOT NULL DEFAULT '0',
  `deduction` double DEFAULT NULL,
  `correspondence_id` int DEFAULT NULL,
  `is_calcexp` tinyint(1) DEFAULT NULL,
  `discount` double DEFAULT NULL,
  `discount_date` datetime DEFAULT NULL,
  `finally_invoiced` tinyint(1) DEFAULT NULL,
  `work_package_id` int DEFAULT NULL,
  `e_invoice_json` longtext,
  `ebinterface_json` longtext,
  `zugferd_json` longtext,
  `xrechnung_json` longtext,
  `peppol_json` longtext,
  `fatturapa_json` longtext,
  `swissqr_json` longtext,
  `e_invoice_used` int DEFAULT NULL,
  `fee_category_id` int DEFAULT NULL,
  `currency_id` int DEFAULT NULL,
  `remited_otcurr` double DEFAULT NULL,
  `deduction_otcurr` double DEFAULT NULL,
  `retention_type` int NOT NULL DEFAULT '0',
  `retention_date` datetime DEFAULT NULL,
  `retention` double NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `fee_date` (`fee_date`),
  KEY `is_done` (`is_done`),
  KEY `project_id` (`project_id`),
  KEY `address_id` (`address_id`),
  KEY `user_id` (`user_id`),
  KEY `fee_account_id` (`fee_account_id`),
  KEY `predecessor_id` (`predecessor_id`),
  KEY `successor_id` (`successor_id`),
  KEY `cost_centre_id` (`cost_centre_id`),
  KEY `created_by_id` (`created_by_id`),
  KEY `changed_by_id` (`changed_by_id`),
  KEY `work_package_id` (`work_package_id`),
  KEY `fee_no` (`fee_no`),
  KEY `correspondence_id` (`correspondence_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `fees_collective_bill` (
  `id` int NOT NULL AUTO_INCREMENT,
  `collective_id` int NOT NULL COMMENT 'correspondence ID of collective bill',
  `fees_id` int NOT NULL,
  `correspondence_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `fees_planned` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `purpose` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `value` double DEFAULT NULL,
  `address_id` int DEFAULT NULL,
  `area_id` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `fee_date` datetime DEFAULT NULL,
  `fee_no` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `created_by_id` int DEFAULT NULL,
  `change_date` datetime DEFAULT NULL,
  `changed_by_id` int DEFAULT NULL,
  `cost_centre_id` int DEFAULT NULL,
  `entry_date` datetime DEFAULT NULL,
  `is_done` tinyint unsigned NOT NULL DEFAULT '0',
  `done_date` datetime DEFAULT NULL,
  `fee_account_id` int DEFAULT NULL,
  `turnover_rate` double DEFAULT NULL,
  `remited` double DEFAULT NULL,
  `remit_purpose` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `predecessor_id` int DEFAULT NULL,
  `successor_id` int DEFAULT NULL,
  `due_date` datetime DEFAULT NULL,
  `reminder_level` smallint DEFAULT NULL,
  `last_reminder_date` datetime DEFAULT NULL,
  `is_percentage` tinyint unsigned NOT NULL DEFAULT '0',
  `deduction` double DEFAULT NULL,
  `due_date_planned` datetime DEFAULT NULL,
  `correspondence_id` int DEFAULT NULL,
  `is_calcexp` tinyint(1) DEFAULT NULL,
  `discount` double DEFAULT NULL,
  `discount_date` datetime DEFAULT NULL,
  `finally_invoiced` tinyint(1) DEFAULT NULL,
  `work_package_id` int DEFAULT NULL,
  `e_invoice_json` longtext,
  `ebinterface_json` longtext,
  `zugferd_json` longtext,
  `xrechnung_json` longtext,
  `peppol_json` longtext,
  `fatturapa_json` longtext,
  `swissqr_json` longtext,
  `e_invoice_used` int DEFAULT NULL,
  `fee_category_id` int DEFAULT NULL,
  `currency_id` int DEFAULT NULL,
  `value_otcurr` double DEFAULT NULL,
  `remited_otcurr` double DEFAULT NULL,
  `deduction_otcurr` double DEFAULT NULL,
  `retention_type` int NOT NULL DEFAULT '0',
  `retention_date` datetime DEFAULT NULL,
  `retention` double NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `fee_date` (`fee_date`),
  KEY `project_id` (`project_id`),
  KEY `address_id` (`address_id`),
  KEY `user_id` (`user_id`),
  KEY `fee_account_id` (`fee_account_id`),
  KEY `predecessor_id` (`predecessor_id`),
  KEY `successor_id` (`successor_id`),
  KEY `cost_centre_id` (`cost_centre_id`),
  KEY `created_by_id` (`created_by_id`),
  KEY `changed_by_id` (`changed_by_id`),
  KEY `work_package_id` (`work_package_id`),
  KEY `fee_no` (`fee_no`),
  KEY `correspondence_id` (`correspondence_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `feiertage` (
  `Satz` int DEFAULT NULL,
  `Datum` datetime DEFAULT NULL,
  `Beschreibung` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Stunden` double DEFAULT NULL,
  `Faktor` double DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `feiertage_satz` (`Satz`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `feiertagsatz` (
  `Beschreibung` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  `is_active` int DEFAULT '1',
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `filter_settings_main` (
  `id` int NOT NULL AUTO_INCREMENT,
  `staff_id` int NOT NULL,
  `xml_id` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `name` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `security` smallint NOT NULL DEFAULT '0',
  `request_settings` longtext COLLATE utf8mb4_general_ci NOT NULL,
  `request_settings_addable` longtext COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Filter settings';
-- EOC

CREATE TABLE `firmen` (
  `Name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `address_id` int DEFAULT NULL,
  `canDel` tinyint unsigned NOT NULL DEFAULT '0',
  `aktiv` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `currency_id` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `folder_translation` (
  `id` int NOT NULL AUTO_INCREMENT,
  `target` enum('WIN','UNIX','MAC') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `path` varchar(254) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `trans_path` varchar(254) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `auto_translate_project_paths` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `formart` (
  `Art` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Text1` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Text2` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `rtfDefault` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `VorlagenDatei` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `gueltig` tinyint unsigned NOT NULL DEFAULT '0',
  `ErstAm` datetime DEFAULT NULL,
  `ErstVon` int DEFAULT NULL,
  `AendAm` datetime DEFAULT NULL,
  `AendVon` int DEFAULT NULL,
  `Sicherheit` smallint NOT NULL DEFAULT '3',
  `security_zip` tinyint unsigned NOT NULL DEFAULT '0',
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  `special_type` varchar(30) COLLATE utf8mb4_general_ci DEFAULT '' COMMENT 'Special Type',
  PRIMARY KEY (`LfdNr`),
  KEY `formart_erstvon` (`ErstVon`),
  KEY `formart_aendvon` (`AendVon`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `formart_struktur` (
  `LfdNr_Parent` int DEFAULT NULL,
  `OrdnerBezeichnung` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `VorlagenPfad` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `formart_struktur_lfdnr_parent` (`LfdNr_Parent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `formular` (
  `Person` int DEFAULT NULL,
  `Projekt` int DEFAULT NULL,
  `ArtForm` int DEFAULT NULL,
  `Betrifft` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Empfaenger` int DEFAULT NULL,
  `Text` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `Datum` datetime DEFAULT NULL,
  `nurText` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `Serie` tinyint unsigned NOT NULL DEFAULT '0',
  `Datei` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `ErstAm` datetime DEFAULT NULL,
  `ErstVon` int DEFAULT NULL,
  `AendAm` datetime DEFAULT NULL,
  `AendVon` int DEFAULT NULL,
  `Stufe` smallint DEFAULT '3',
  `security_zip` tinyint unsigned NOT NULL DEFAULT '0',
  `Seiten` smallint DEFAULT NULL,
  `Att_Anz` smallint DEFAULT NULL,
  `Kopien_Anz` smallint DEFAULT NULL,
  `PoAusWieOft` int DEFAULT NULL,
  `archiviert` tinyint unsigned NOT NULL DEFAULT '0',
  `InHonverwExp` tinyint unsigned NOT NULL DEFAULT '0',
  `RechnungsBetrag` double DEFAULT NULL,
  `RechnungsNummer` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `FaelligAm` datetime DEFAULT NULL,
  `ust` double DEFAULT NULL,
  `Rechnungsdatum` datetime DEFAULT NULL,
  `Arbeitsbereich__old` int DEFAULT NULL,
  `HonZus` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `add_image` longblob,
  `is_valid` tinyint unsigned NOT NULL DEFAULT '1',
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  `related_id` int DEFAULT NULL COMMENT 'Related item ID',
  `related_type` varchar(30) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'Related item Type',
  `work_package_id` int DEFAULT NULL,
  `Arbeitsbereich` int DEFAULT NULL,
  `timestamp_file` datetime DEFAULT NULL COMMENT 'Timestamp of modification of file',
  `last_autofulltext` datetime DEFAULT NULL COMMENT 'Last check for file changes',
  `last_autofulltext_staff_id` int DEFAULT NULL COMMENT 'Last check for file changes started by',
  `last_fulltext_update` datetime DEFAULT NULL COMMENT 'Last actual update of fulltext',
  `discount` double DEFAULT '0',
  `discount_date` datetime DEFAULT NULL,
  `fee_account_id` int DEFAULT NULL,
  `fee_currency_id` int DEFAULT NULL,
  `fee_value_otcurr` double DEFAULT NULL,
  `gobd_date` datetime DEFAULT NULL,
  `gobd_hash` varchar(40) COLLATE utf8mb4_general_ci DEFAULT NULL,
  PRIMARY KEY (`LfdNr`),
  KEY `formular_projekt` (`Projekt`),
  KEY `formular_person` (`Person`),
  KEY `formular_artform` (`ArtForm`),
  KEY `formular_empfaenger` (`Empfaenger`),
  KEY `formular_erstvon` (`ErstVon`),
  KEY `formular_aendvon` (`AendVon`),
  KEY `formular_arbeitsbereich` (`Arbeitsbereich__old`),
  KEY `date` (`Datum`),
  KEY `is_exported_to_fees` (`InHonverwExp`),
  KEY `formular_stufe` (`Stufe`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `gruppen` (
  `company_id` int DEFAULT NULL,
  `KurzBesch` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Beschreibung` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `LfdNr_Mitarb` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `gruppen_lfdnr_mitarb` (`LfdNr_Mitarb`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `gruppen_zeit` (
  `LfdNr_Grp` int DEFAULT NULL,
  `von` datetime DEFAULT NULL,
  `bis` datetime DEFAULT NULL,
  `Satz1` double DEFAULT NULL,
  `Satz2` double DEFAULT NULL,
  `Satz3` double DEFAULT NULL,
  `Satz4` double DEFAULT NULL,
  `Satz5` double DEFAULT NULL,
  `Satz6` double DEFAULT NULL,
  `Satz7` double DEFAULT NULL,
  `Satz8` double DEFAULT NULL,
  `Satz9` double DEFAULT NULL,
  `Betrag1` double DEFAULT NULL,
  `Betrag2` double DEFAULT NULL,
  `Betrag3` double DEFAULT NULL,
  `Betrag4` double DEFAULT NULL,
  `Betrag5` double DEFAULT NULL,
  `Betrag6` double DEFAULT NULL,
  `Betrag7` double DEFAULT NULL,
  `Betrag8` double DEFAULT NULL,
  `Betrag9` double DEFAULT NULL,
  `currency_id` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `gruppen_zeit_lfdnr_grp` (`LfdNr_Grp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `home_office` (
  `id` int NOT NULL AUTO_INCREMENT,
  `staff_id` int NOT NULL,
  `date` date NOT NULL,
  `in_home_office` tinyint NOT NULL,
  `change_date` datetime NOT NULL,
  `changed_by_id` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `honkonten` (
  `Blz` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Bank` varchar(35) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `KNR` varchar(35) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `KontoBez` varchar(35) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Firmen_ID` int DEFAULT NULL,
  `inaktiv` tinyint unsigned NOT NULL DEFAULT '0',
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `honkonten_firmen_id` (`Firmen_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `honverwmahnung` (
  `Hon_LfdNr` int DEFAULT NULL,
  `MahnStufe` smallint DEFAULT NULL,
  `MahnDatum` datetime DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `honverwmahnung_hon_lfdnr` (`Hon_LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `inbox` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `no` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `content` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `date` datetime DEFAULT NULL,
  `inbox_index` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `address_id` int DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `created_by_id` int DEFAULT NULL,
  `change_date` datetime DEFAULT NULL,
  `changed_by_id` int DEFAULT NULL,
  `dispatch_mode_id` int DEFAULT NULL,
  `msg_file` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `attached_file` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `is_archived` tinyint unsigned NOT NULL DEFAULT '0',
  `mail_attachments` int DEFAULT NULL,
  `mail_size` int DEFAULT NULL,
  `security` int DEFAULT NULL,
  `area_id` int DEFAULT NULL,
  `recipient_id` int DEFAULT NULL,
  `work_package_id` int DEFAULT NULL,
  `email_cache_id` bigint DEFAULT NULL,
  `email_cache_hash` varchar(500) DEFAULT NULL,
  `email_account_id` int DEFAULT NULL,
  `pid` varchar(50) DEFAULT NULL,
  `email_import_start` datetime DEFAULT NULL,
  `email_import_attempts` int DEFAULT '0',
  `projectmail_account_id` int DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `project_id` (`project_id`),
  KEY `date` (`date`),
  KEY `address_id` (`address_id`),
  KEY `dispatch_mode_id` (`dispatch_mode_id`),
  KEY `created_date` (`created_date`),
  KEY `created_by_id` (`created_by_id`),
  KEY `change_date` (`change_date`),
  KEY `changed_by_id` (`changed_by_id`),
  KEY `recipient_id` (`recipient_id`),
  KEY `work_package_id` (`work_package_id`),
  KEY `emailcount_test` (`created_by_id`,`email_cache_id`,`email_account_id`,`pid`,`email_import_start`,`email_import_attempts`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `installation` (
  `Ablauf` datetime DEFAULT NULL,
  `Mod01` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod02` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod03` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod04` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod05` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod06` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod07` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod08` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod09` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod10` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod11` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod12` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod13` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod14` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod15` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod16` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod17` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod18` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod19` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod20` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod21` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod22` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod23` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod24` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod25` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod26` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod27` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod28` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod29` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod30` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod31` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod32` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod33` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod34` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod35` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod36` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod37` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod38` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod39` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod40` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod41` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod42` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod43` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod44` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod45` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod46` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod47` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod48` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod49` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod50` tinyint unsigned NOT NULL DEFAULT '0',
  `Seriennummer` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `R1` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `R2` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `R3` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `InstName` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `InstAdresse` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `InstTel` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `DemoVersion` tinyint unsigned NOT NULL DEFAULT '0',
  `Mod51` smallint DEFAULT NULL,
  `Mod52` smallint DEFAULT NULL,
  `Mod53` smallint DEFAULT NULL,
  `Mod54` smallint DEFAULT NULL,
  `Mod55` smallint DEFAULT NULL,
  `Mod56` smallint DEFAULT NULL,
  `Mod57` smallint DEFAULT NULL,
  `Mod58` smallint DEFAULT NULL,
  `Mod59` smallint DEFAULT NULL,
  `Mod60` smallint DEFAULT NULL,
  `InstInfo` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `kopiekat` (
  `OrdNr` int DEFAULT NULL,
  `Bezeichnung` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Einheit` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `KostenEinheit` double DEFAULT NULL,
  `company_id` int DEFAULT NULL,
  `currency_id` int DEFAULT NULL,
  `MwStKopie` double DEFAULT NULL,
  `active` int DEFAULT '1',
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `kopienan` (
  `LfdNr_Dok` int DEFAULT NULL,
  `Lfdnr_Empf` int DEFAULT NULL,
  `OrdNr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `kopienan_lfdnr_empf` (`Lfdnr_Empf`),
  KEY `kopienan_lfdnr_dok` (`LfdNr_Dok`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `kostenstellen` (
  `Kostenstelle` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Bemerkung` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `company_id` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  `use_in_reports` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `land` (
  `Bez` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Kennzeichen` varchar(2) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lang_addresses_addi_def` (
  `id` int NOT NULL AUTO_INCREMENT,
  `def_id` int NOT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `lang_addresses_addi_def_unique_1` (`name`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lang_correspondence_addi_def` (
  `id` int NOT NULL AUTO_INCREMENT,
  `def_id` int NOT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `lang_correspondence_addi_def_unique_1` (`name`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lang_drawings_addi_def` (
  `id` int NOT NULL AUTO_INCREMENT,
  `def_id` int NOT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lang_externalexpenses_addi_merged_def` (
  `id` int NOT NULL AUTO_INCREMENT,
  `def_id` int NOT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `lang_externalexpenses_addi_merged_def_unique_1` (`name`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lang_fees_addi_merged_def` (
  `id` int NOT NULL AUTO_INCREMENT,
  `def_id` int NOT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `lang_fees_addi_merged_def_unique_1` (`name`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lang_inbox_addi_def` (
  `id` int NOT NULL AUTO_INCREMENT,
  `def_id` int NOT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `lang_inbox_addi_def_unique_1` (`name`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lang_opentasks_addi_def` (
  `id` int NOT NULL AUTO_INCREMENT,
  `def_id` int NOT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `lang_opentasks_addi_def_unique_1` (`name`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lang_outbox_addi_def` (
  `id` int NOT NULL AUTO_INCREMENT,
  `def_id` int NOT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `lang_outbox_addi_def_unique_1` (`name`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lang_project_participants_addi_def` (
  `id` int NOT NULL AUTO_INCREMENT,
  `def_id` int NOT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `lang_project_participants_addi_def_unique_1` (`name`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lang_projects_addi_def` (
  `id` int NOT NULL AUTO_INCREMENT,
  `def_id` int NOT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `lang_projects_addi_def_unique_1` (`name`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lang_staff_additional_def` (
  `id` int NOT NULL AUTO_INCREMENT,
  `def_id` int NOT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `lang_staff_additional_def_unique_1` (`name`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lang_whatiswhere_addi_def` (
  `id` int NOT NULL AUTO_INCREMENT,
  `def_id` int NOT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `langs_address_categories` (
  `id` int NOT NULL AUTO_INCREMENT,
  `address_category_id` int NOT NULL,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `purpose` longtext COLLATE utf8mb4_general_ci,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `langs_address_categories_unique_1` (`name`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `langs_cost_centres` (
  `id` int NOT NULL AUTO_INCREMENT,
  `cost_centre_id` int NOT NULL,
  `name` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `remark` varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `langs_cost_centres_unique_1` (`cost_centre_id`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `langs_countries` (
  `id` int NOT NULL AUTO_INCREMENT,
  `country_name_id` varchar(50) COLLATE utf8mb4_general_ci NOT NULL,
  `name` varchar(50) COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `langs_countries_unique_1` (`country_name_id`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `langs_dispatch_modes` (
  `id` int NOT NULL AUTO_INCREMENT,
  `mode_id` varchar(50) COLLATE utf8mb4_general_ci NOT NULL,
  `name` varchar(50) COLLATE utf8mb4_general_ci NOT NULL,
  `purpose` varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `langs_dispatch_modes_unique_1` (`mode_id`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `langs_drawing_types` (
  `id` int NOT NULL AUTO_INCREMENT,
  `type_id` varchar(50) COLLATE utf8mb4_general_ci NOT NULL,
  `name` varchar(50) COLLATE utf8mb4_general_ci NOT NULL,
  `purpose` varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `langs_drawing_types_unique_1` (`type_id`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `langs_extras_types` (
  `id` int NOT NULL AUTO_INCREMENT,
  `extras_type_id` int NOT NULL,
  `type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `unit` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `langs_extras_types_unique_1` (`extras_type_id`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `langs_fee_areas` (
  `id` int NOT NULL AUTO_INCREMENT,
  `fee_area_id` int NOT NULL,
  `name` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `langs_fee_areas_unique_1` (`fee_area_id`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `langs_fee_categories` (
  `id` int NOT NULL AUTO_INCREMENT,
  `fee_category_id` int NOT NULL,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `langs_fee_categories_unique_1` (`name`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `langs_fee_multipliers` (
  `id` int NOT NULL AUTO_INCREMENT,
  `fee_multiplier_id` int NOT NULL,
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `purpose` longtext COLLATE utf8mb4_general_ci,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `langs_fee_multipliers_unique_1` (`name`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `langs_measurements` (
  `id` int NOT NULL AUTO_INCREMENT,
  `measurements_id` int NOT NULL,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `langs_measurements_unique_1` (`measurements_id`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `langs_occupation_groups` (
  `id` int NOT NULL AUTO_INCREMENT,
  `occupation_groups_id` int NOT NULL,
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `description` longtext COLLATE utf8mb4_general_ci,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `langs_occupation_groups_unique_1` (`occupation_groups_id`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `langs_overtime_rates` (
  `id` int NOT NULL AUTO_INCREMENT,
  `rate_id` int NOT NULL,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `langs_overtime_rates_unique_1` (`rate_id`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `langs_project_categories` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_categories_id` int NOT NULL,
  `name` varchar(50) COLLATE utf8mb4_general_ci NOT NULL,
  `purpose` longtext COLLATE utf8mb4_general_ci,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `langs_project_categories_unique_1` (`project_categories_id`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `langs_project_phases` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_phase_id` varchar(50) COLLATE utf8mb4_general_ci NOT NULL,
  `name` varchar(50) COLLATE utf8mb4_general_ci NOT NULL,
  `purpose` varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `langs_project_phases_unique_1` (`project_phase_id`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `langs_skill_groups` (
  `id` int NOT NULL AUTO_INCREMENT,
  `skill_id` int DEFAULT NULL,
  `name` longtext COLLATE utf8mb4_general_ci,
  `description` longtext COLLATE utf8mb4_general_ci,
  `language` varchar(50) COLLATE utf8mb4_general_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `langs_task_descriptions` (
  `id` int NOT NULL AUTO_INCREMENT,
  `descr_name_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `langs_task_descriptions_unique_1` (`descr_name_id`(140),`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `langs_travels_types` (
  `id` int NOT NULL AUTO_INCREMENT,
  `travels_type_id` int NOT NULL,
  `type` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `unit` varchar(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `langs_travels_types_unique_1` (`travels_type_id`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `langs_work_areas` (
  `id` int NOT NULL AUTO_INCREMENT,
  `work_area_id` int NOT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `langs_work_areas_unique_1` (`work_area_id`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `langs_work_packages_main` (
  `id` int NOT NULL AUTO_INCREMENT,
  `work_package_id` int DEFAULT NULL,
  `name` longtext COLLATE utf8mb4_general_ci,
  `language` varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `langs_work_packages_main_unique_1` (`work_package_id`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `langs_work_packages_presets` (
  `id` int NOT NULL AUTO_INCREMENT,
  `work_package_preset_id` int DEFAULT NULL,
  `name` longtext COLLATE utf8mb4_general_ci,
  `language` varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `langs_work_packages_presets_unique_1` (`work_package_preset_id`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `langs_work_packages_tags` (
  `id` int NOT NULL AUTO_INCREMENT,
  `work_packages_tags_id` int NOT NULL,
  `name` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `wp_name` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `langs_work_packages_tags_unique_1` (`work_packages_tags_id`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_adr_dateien` (
  `LfdNr_Adr` int DEFAULT NULL,
  `Datei` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `DateiBeschreibung` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `DateiPosition` int DEFAULT NULL,
  `Datum` datetime DEFAULT NULL,
  `ErstAm` datetime DEFAULT NULL,
  `ErstVon` int DEFAULT NULL,
  `AendAm` datetime DEFAULT NULL,
  `AendVon` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `lut_adr_dateien_lfdnr_adr` (`LfdNr_Adr`),
  KEY `lut_adr_dateien_erstvon` (`ErstVon`),
  KEY `lut_adr_dateien_aendvon` (`AendVon`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_arbbeschtxte_proj` (
  `Proj_LfdNr` int DEFAULT NULL,
  `ArbBesch_LfdNr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `lut_arbbeschtxte_proj_proj_lfdnr` (`Proj_LfdNr`),
  KEY `lut_arbbeschtxte_proj_arbbesch_lfdnr` (`ArbBesch_LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_artikel_proj` (
  `LfdNr` int DEFAULT NULL,
  `LfdNr_Artikel` int DEFAULT NULL,
  `LfdNr_Proj` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  KEY `lut_artikel_proj_lfdnr_proj` (`LfdNr_Proj`),
  KEY `lut_artikel_proj_lfdnr_artikel` (`LfdNr_Artikel`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_company_proj` (
  `company_id` int NOT NULL,
  `project_id` int NOT NULL,
  PRIMARY KEY (`company_id`,`project_id`),
  KEY `lut_firm_proj_firmen_id` (`company_id`),
  KEY `lut_firm_proj_projekt_id` (`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_correspondence_addresses` (
  `id` int NOT NULL AUTO_INCREMENT,
  `correspondence_id` int DEFAULT NULL,
  `address_id` int DEFAULT NULL,
  `address_group_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `verteiler_unique` (`correspondence_id`,`address_id`),
  KEY `verteiler_empfaengernr` (`address_id`),
  KEY `verteiler_dokunr` (`correspondence_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_email_accounts_staff` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `email_account_id` int NOT NULL,
  `staff_id` int NOT NULL,
  `right` int NOT NULL,
  `is_default_account` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_fee_areas_offer` (
  `id` int NOT NULL AUTO_INCREMENT,
  `offer_id` int DEFAULT NULL,
  `fee_area_id` int DEFAULT NULL,
  `costs` double DEFAULT NULL,
  `costs_view` double NOT NULL DEFAULT '0',
  `extras` double NOT NULL DEFAULT '0',
  `rebate` double NOT NULL DEFAULT '0',
  `rebate_otcurr` double NOT NULL DEFAULT '0',
  `rebate_is_percentage` tinyint(1) NOT NULL DEFAULT '1',
  `costs_percent` double DEFAULT NULL,
  `costs_sum` double DEFAULT NULL,
  `is_costs_sum` tinyint unsigned NOT NULL DEFAULT '0',
  `work_package_id` int DEFAULT NULL,
  `percent_sum` int DEFAULT '0',
  `costs_otcurr` double DEFAULT NULL,
  `costs_sum_otcurr` double DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `work_package_id` (`work_package_id`),
  KEY `offer_id` (`offer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_fee_wp` (
  `id` int NOT NULL AUTO_INCREMENT,
  `planned_fee_id` int DEFAULT NULL,
  `fee_id` int DEFAULT NULL,
  `project_id` int DEFAULT NULL,
  `wp_id` int DEFAULT NULL,
  `value` double DEFAULT NULL,
  `value_pre_tax` double DEFAULT NULL,
  `diff_pre_tax` double DEFAULT NULL,
  `done_pre_tax` double DEFAULT NULL,
  `value_otcurr` double DEFAULT NULL,
  `value_pre_tax_otcurr` double DEFAULT NULL,
  `done_pre_tax_otcurr` double DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `planned_fee_id` (`planned_fee_id`),
  KEY `fee_id` (`fee_id`),
  KEY `project_id` (`project_id`),
  KEY `wp_id` (`wp_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_formart_struktur` (
  `LfdNr_Struktur` int DEFAULT NULL,
  `LfdNr_FormArt` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `lut_formart_struktur_lfdnr_formart` (`LfdNr_FormArt`),
  KEY `lut_formart_struktur_lfdnr_struktur` (`LfdNr_Struktur`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_lieferscheinadresse` (
  `LfdNrLieferschein` int DEFAULT NULL,
  `LfdNrAdresse` int DEFAULT NULL,
  `OrdNr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `lut_lieferscheinadresse_lfdnrlieferschein` (`LfdNrLieferschein`),
  KEY `lut_lieferscheinadresse_lfdnradresse` (`LfdNrAdresse`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_measurements` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int NOT NULL,
  `measurement_id` int NOT NULL,
  `value` double NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `proj_meas` (`project_id`,`measurement_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_orte_proj` (
  `Proj_LfdNr` int DEFAULT NULL,
  `Ort_LfdNr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `lut_orte_proj_proj_lfdnr` (`Proj_LfdNr`),
  KEY `lut_orte_proj_ort_lfdnr` (`Ort_LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_pers_grp` (
  `LfdNr_Pers` int DEFAULT NULL,
  `unique_add_id` varchar(140) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `LfdNr_Grp` int DEFAULT NULL,
  `von` datetime DEFAULT NULL,
  `bis` datetime DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  PRIMARY KEY (`LfdNr`),
  KEY `lut_pers_grp_lfdnr_pers` (`LfdNr_Pers`),
  KEY `lut_pers_grp_lfdnr_grp` (`LfdNr_Grp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_plan_adr` (
  `LfdNr_Adr` int DEFAULT NULL,
  `LfdNr_Plan` int DEFAULT NULL,
  `unique_add_id` varchar(140) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `isFrei` tinyint unsigned NOT NULL DEFAULT '0',
  `FreiDate` datetime DEFAULT NULL,
  `FreiBis` datetime DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `lut_plan_adr_lfdnr_adr` (`LfdNr_Adr`),
  KEY `lut_plan_adr_lfdnr_plan` (`LfdNr_Plan`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_projektabr` (
  `Projekt` int DEFAULT NULL,
  `SatzExtra` int DEFAULT NULL,
  `SatzRK` int DEFAULT NULL,
  `SatzMA` int DEFAULT NULL,
  `SatzAB` int DEFAULT NULL,
  `warnschwelle` double DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `lut_projektabr_projekt` (`Projekt`),
  KEY `lut_projektabr_satzextra` (`SatzExtra`),
  KEY `lut_projektabr_satzrk` (`SatzRK`),
  KEY `lut_projektabr_satzma` (`SatzMA`),
  KEY `lut_projektabr_satzab` (`SatzAB`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_skill_wp` (
  `id` int NOT NULL AUTO_INCREMENT,
  `wp_id` int DEFAULT NULL,
  `skill_grp_id` int DEFAULT NULL,
  `proportion` double DEFAULT NULL,
  `start` datetime DEFAULT NULL,
  `end` datetime DEFAULT NULL,
  `description` longtext COLLATE utf8mb4_general_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_staff_cost_centre` (
  `id` int NOT NULL AUTO_INCREMENT,
  `staff_id` int DEFAULT NULL,
  `cost_centre_id` int DEFAULT NULL,
  `from_date` datetime DEFAULT NULL,
  `to_date` datetime DEFAULT NULL,
  `description` longtext COLLATE utf8mb4_general_ci,
  `unique_add_id` varchar(140) COLLATE utf8mb4_general_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_staff_gross_hourly_wage` (
  `id` int NOT NULL AUTO_INCREMENT,
  `staff_id` int DEFAULT NULL,
  `gross_hourly_wage` double DEFAULT NULL,
  `from_date` datetime DEFAULT NULL,
  `to_date` datetime DEFAULT NULL,
  `description` longtext COLLATE utf8mb4_general_ci,
  `unique_add_id` varchar(140) COLLATE utf8mb4_general_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_staff_skill_group` (
  `id` int NOT NULL AUTO_INCREMENT,
  `staff_id` int DEFAULT NULL,
  `skill_id` int DEFAULT NULL,
  `from_date` datetime DEFAULT NULL,
  `to_date` datetime DEFAULT NULL,
  `description` longtext COLLATE utf8mb4_general_ci,
  `unique_add_id` varchar(140) COLLATE utf8mb4_general_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_staff_staff_group` (
  `id` int NOT NULL AUTO_INCREMENT,
  `staff_id` int NOT NULL,
  `staff_group_id` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_staff_wp` (
  `id` int NOT NULL AUTO_INCREMENT,
  `rp_id` int DEFAULT NULL,
  `staff_id` int DEFAULT NULL,
  `proportion` double DEFAULT NULL,
  `description` longtext COLLATE utf8mb4_general_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_termin_teilnehmer` (
  `LfdNr_Termin` int DEFAULT NULL,
  `LfdNr_Adr` int DEFAULT NULL,
  `OrdNr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `lut_termin_teilnehmer_lfdnr_termin` (`LfdNr_Termin`),
  KEY `lut_termin_teilnehmer_lfdnr_adr` (`LfdNr_Adr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `lut_working_user` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int NOT NULL,
  `date` datetime NOT NULL,
  `type` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `item_id` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `mail_id` (
  `LfdNr` int DEFAULT NULL,
  `Mail_ID` varchar(500) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Mail_ID_long` varchar(500) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `inbox_id` varchar(11) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `outbox_id` varchar(11) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  KEY `mail_id_Mail_ID` (`Mail_ID`(200)),
  KEY `mail_id_Mail_ID_long` (`Mail_ID_long`(200))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `messaging_message` (
  `id` int NOT NULL AUTO_INCREMENT,
  `text` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `url` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `sticky` tinyint(1) NOT NULL,
  `staff_id` int DEFAULT NULL,
  `min_right` smallint DEFAULT NULL,
  `from_date` datetime DEFAULT NULL,
  `to_date` datetime DEFAULT NULL,
  `active` tinyint(1) NOT NULL,
  `created_by_id` int NOT NULL,
  `changed_by_id` int NOT NULL,
  `created_date` datetime NOT NULL,
  `change_date` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `messaging_received` (
  `id` int NOT NULL AUTO_INCREMENT,
  `message_id` int NOT NULL,
  `staff_id` int NOT NULL,
  `show_date` datetime NOT NULL,
  `active` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `messsize` (
  `MessSize_Name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `modifications` (
  `id` int NOT NULL AUTO_INCREMENT,
  `date` datetime DEFAULT NULL,
  `staff` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `staff_id` int DEFAULT NULL,
  `title` longtext COLLATE utf8mb4_general_ci,
  `info` longblob,
  `isCompressed` tinyint DEFAULT '0',
  `item_model` varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `item_title` text COLLATE utf8mb4_general_ci,
  `item_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `move_form_types_log` (
  `id` int NOT NULL AUTO_INCREMENT,
  `moving_session_id` varchar(50) COLLATE utf8mb4_general_ci NOT NULL,
  `project_id` int NOT NULL,
  `correspondence_id` int NOT NULL,
  `correspondence_type_id` int NOT NULL,
  `project_path_correspondence` longtext COLLATE utf8mb4_general_ci NOT NULL,
  `correspondence_structure_path` varchar(254) COLLATE utf8mb4_general_ci NOT NULL,
  `filename` varchar(254) COLLATE utf8mb4_general_ci NOT NULL,
  `path_from` longtext COLLATE utf8mb4_general_ci NOT NULL,
  `path_to` longtext COLLATE utf8mb4_general_ci NOT NULL,
  `move_failed` tinyint(1) DEFAULT '0',
  `created_date` datetime NOT NULL,
  `created_by_id` int NOT NULL,
  `change_date` datetime NOT NULL,
  `changed_by_id` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `move_form_types_log_archive` (
  `id` int NOT NULL,
  `moving_session_id` varchar(50) COLLATE utf8mb4_general_ci NOT NULL,
  `project_id` int NOT NULL,
  `correspondence_id` int NOT NULL,
  `correspondence_type_id` int NOT NULL,
  `project_path_correspondence` longtext COLLATE utf8mb4_general_ci NOT NULL,
  `correspondence_structure_path` varchar(254) COLLATE utf8mb4_general_ci NOT NULL,
  `filename` varchar(254) COLLATE utf8mb4_general_ci NOT NULL,
  `path_from` longtext COLLATE utf8mb4_general_ci NOT NULL,
  `path_to` longtext COLLATE utf8mb4_general_ci NOT NULL,
  `created_date` datetime NOT NULL,
  `created_by_id` int NOT NULL
) ENGINE=ARCHIVE DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `node_chat_messages` (
  `id` int NOT NULL AUTO_INCREMENT,
  `staff_id` int DEFAULT NULL,
  `room` varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `message` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `created_date` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `nummern_generieren` (
  `Nummer` int DEFAULT NULL,
  `Text` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `User` int DEFAULT NULL,
  `Projekt` int DEFAULT NULL,
  `Datum` datetime DEFAULT NULL,
  `Jahr` varchar(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Monat` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  KEY `nummern_generieren_user` (`User`),
  KEY `nummern_generieren_projekt` (`Projekt`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `nummern_protokoll` (
  `Nummer` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Datum` datetime DEFAULT NULL,
  `User` int DEFAULT NULL,
  `Bemerkung` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  KEY `nummern_protokoll_user` (`User`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `oauth_clients` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `client_type` varchar(20) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `client_authority` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `client_id` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `client_secret` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `internal_client_secret` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `internal_client_secret_date` date DEFAULT NULL,
  `client_config` longtext COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `oauth_tokens` (
  `staff_id` int NOT NULL,
  `account_id` int NOT NULL,
  `access_token` longblob NOT NULL,
  `refresh_token` longblob NOT NULL,
  `login_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `last_update` datetime NOT NULL,
  `expires_date` datetime DEFAULT NULL,
  PRIMARY KEY (`staff_id`,`account_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `opendocs` (
  `OpenDoc_Nr` int DEFAULT NULL,
  `User_LfdNr` int DEFAULT NULL,
  `session_uniqid` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `lock_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `orte` (
  `Ort` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Km` double DEFAULT NULL,
  `company_id` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `outbox` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `no` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `content` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `date` datetime DEFAULT NULL,
  `outbox_index` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `address_id` int DEFAULT NULL,
  `staff_id` int DEFAULT NULL,
  `dispatch_mode_id` int DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `created_by_id` int DEFAULT NULL,
  `change_date` datetime DEFAULT NULL,
  `changed_by_id` int DEFAULT NULL,
  `doc_id` int DEFAULT NULL,
  `attachments` smallint DEFAULT NULL,
  `copies` smallint DEFAULT NULL,
  `mail_out_file` varchar(254) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `is_archived` tinyint unsigned NOT NULL DEFAULT '0',
  `attached_file` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `mail_id` int DEFAULT NULL,
  `parent_id` int DEFAULT NULL,
  `mail_attachments` int DEFAULT NULL,
  `mail_size` int DEFAULT NULL,
  `acc_after_exp_bill_id` int DEFAULT NULL,
  `transmittal_form_id` int DEFAULT NULL,
  `security` int DEFAULT NULL,
  `area_id` int DEFAULT NULL,
  `work_package_id` int DEFAULT NULL,
  `email_cache_id` bigint DEFAULT NULL,
  `email_cache_hash` varchar(500) DEFAULT NULL,
  `email_account_id` int DEFAULT NULL,
  `pid` varchar(50) DEFAULT NULL,
  `email_import_start` datetime DEFAULT NULL,
  `email_import_attempts` int DEFAULT '0',
  `projectmail_account_id` int DEFAULT '0',
  `gobd_date` datetime DEFAULT NULL,
  `gobd_hash` varchar(40) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_id` (`project_id`),
  KEY `date` (`date`),
  KEY `address_id` (`address_id`),
  KEY `staff_id` (`staff_id`),
  KEY `dispatch_mode_id` (`dispatch_mode_id`),
  KEY `created_date` (`created_date`),
  KEY `created_by_id` (`created_by_id`),
  KEY `change_date` (`change_date`),
  KEY `changed_by_id` (`changed_by_id`),
  KEY `doc_id` (`doc_id`),
  KEY `mail_id` (`mail_id`),
  KEY `parent_id` (`parent_id`),
  KEY `acc_after_exp_bill_id` (`acc_after_exp_bill_id`),
  KEY `transmittal_form_id` (`transmittal_form_id`),
  KEY `work_package_id` (`work_package_id`),
  KEY `emailcount_test` (`created_by_id`,`email_cache_id`,`email_account_id`,`pid`,`email_import_start`,`email_import_attempts`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `payments` (
  `id` int NOT NULL AUTO_INCREMENT,
  `offer_id` int NOT NULL,
  `correspondence_type_id` int NOT NULL,
  `from_date` datetime DEFAULT NULL COMMENT 'Optional',
  `to_date` datetime DEFAULT NULL COMMENT 'Optional',
  `fee_type` int NOT NULL COMMENT 'instalment or final',
  `vat` double DEFAULT '0',
  `fee_no` varchar(30) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'set when invoiced',
  `fee_date` datetime DEFAULT NULL COMMENT 'set when invoiced',
  `due_days` int NOT NULL,
  `status` int NOT NULL COMMENT 'PLANNED 10, INVOICED 20, INVALID 30',
  `invoice_date` datetime DEFAULT NULL,
  `discount` double NOT NULL,
  `discount_days` int NOT NULL,
  `round` int DEFAULT '0',
  `round_gross` tinyint(1) DEFAULT '0',
  `approved_by` int DEFAULT NULL COMMENT 'set when approved',
  `approved_date` datetime DEFAULT NULL COMMENT 'set when approved',
  `value_supplement` double DEFAULT '0' COMMENT 'set when approved. all values not beeing part of payments_fees.',
  `value_specserv` double DEFAULT '0' COMMENT 'set when approved. all values not beeing part of payments_fees.',
  `value_extras` double DEFAULT '0' COMMENT 'set when approved. all values not beeing part of payments_fees.',
  `value_rebate` double DEFAULT '0' COMMENT 'set when approved. all values not beeing part of payments_fees.',
  `value_ontop` double DEFAULT '0' COMMENT 'set when approved. all values not beeing part of payments_fees.',
  `created_date` datetime NOT NULL,
  `created_by_id` int NOT NULL,
  `change_date` datetime NOT NULL,
  `changed_by_id` int NOT NULL,
  PRIMARY KEY (`id`),
  KEY `offer_id` (`offer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `payments_change_project_offer` (
  `id` int NOT NULL AUTO_INCREMENT,
  `payment_id` int NOT NULL,
  `old_offer_id` int NOT NULL,
  `new_offer_id` int NOT NULL,
  `change_date` datetime NOT NULL,
  `staff_id` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `payments_fees` (
  `id` int NOT NULL AUTO_INCREMENT,
  `payments_id` int NOT NULL,
  `fee_areas_offer_id` int NOT NULL,
  `percentage` double NOT NULL,
  `value` double DEFAULT '0' COMMENT 'set when invoiced',
  `fixed_value` double DEFAULT '0' COMMENT 'set when invoiced',
  `value_otcurr` double DEFAULT '0' COMMENT 'set when invoiced',
  `extras_value` double DEFAULT '0' COMMENT 'set when invoiced',
  `rebate_value` double DEFAULT '0' COMMENT 'set when invoiced',
  `extras_otcurr` double DEFAULT '0' COMMENT 'set when invoiced',
  `rebate_otcurr` double DEFAULT '0' COMMENT 'set when invoiced',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `personen` (
  `Name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Strasse` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Ort` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Pltz` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Telefon1` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Telefon2` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Fax` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Bruttolohn` double DEFAULT NULL,
  `currency_id` int DEFAULT NULL,
  `Start` datetime DEFAULT NULL,
  `Ende` datetime DEFAULT NULL,
  `SVNummer` varchar(25) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Geschlecht` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `passwort` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `passwort_mode` int DEFAULT NULL,
  `Bemerkung` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `UserNum` int DEFAULT NULL,
  `Prioritaet` int DEFAULT NULL,
  `ErstAm` datetime DEFAULT NULL,
  `ErstVon` int DEFAULT NULL,
  `AendAm` datetime DEFAULT NULL,
  `AendVon` int DEFAULT NULL,
  `BLZ` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Bank` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `KontoNr` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Kurzzeichen` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `DW` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `EMail` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Zusatz` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `FeiertagSatz` int DEFAULT NULL,
  `GebDatum` datetime DEFAULT NULL,
  `ModSecurity01` smallint DEFAULT NULL,
  `ModSecurity02` smallint DEFAULT NULL,
  `secdetail_2` smallint DEFAULT '0',
  `ModSecurity03` smallint DEFAULT NULL,
  `secdetail_3` smallint DEFAULT '0',
  `ModSecurity04` smallint DEFAULT NULL,
  `ModSecurity05` smallint DEFAULT NULL,
  `secdetail_5` smallint DEFAULT '0',
  `ModSecurity06` smallint DEFAULT NULL,
  `ModSecurity07` smallint DEFAULT NULL,
  `ModSecurity08` smallint DEFAULT NULL,
  `ModSecurity09` smallint DEFAULT NULL,
  `ModSecurity10` smallint DEFAULT NULL,
  `ModSecurity11` smallint DEFAULT NULL,
  `ModSecurity12` smallint DEFAULT NULL,
  `ModSecurity13` smallint DEFAULT NULL,
  `ModSecurity14` smallint DEFAULT NULL,
  `ModSecurity15` smallint DEFAULT NULL,
  `ModSecurity16` smallint DEFAULT NULL,
  `secdetail_16` smallint DEFAULT '0',
  `ModSecurity17` smallint DEFAULT NULL,
  `ModSecurity18` smallint DEFAULT NULL,
  `ModSecurity19` smallint DEFAULT NULL,
  `ModSecurity20` smallint DEFAULT NULL,
  `ModSecurity21` smallint DEFAULT NULL,
  `ModSecurity22` smallint DEFAULT NULL,
  `ModSecurity23` smallint DEFAULT NULL,
  `ModSecurity24` smallint DEFAULT NULL,
  `ModSecurity25` smallint DEFAULT NULL,
  `ModSecurity26` smallint DEFAULT NULL,
  `ModSecurity27` smallint DEFAULT NULL,
  `ModSecurity28` smallint DEFAULT NULL,
  `ModSecurity29` smallint DEFAULT NULL,
  `ModSecurity30` smallint DEFAULT NULL,
  `ModSecurity31` smallint DEFAULT NULL,
  `ModSecurity32` smallint DEFAULT NULL,
  `ModSecurity33` smallint DEFAULT NULL,
  `ModSecurity34` smallint DEFAULT NULL,
  `ModSecurity35` smallint DEFAULT NULL,
  `ModSecurity36` smallint DEFAULT NULL,
  `ModSecurity37` smallint DEFAULT NULL,
  `ModSecurity38` smallint DEFAULT NULL,
  `ModSecurity39` smallint DEFAULT NULL,
  `ModSecurity40` smallint DEFAULT NULL,
  `ModSecurity41` smallint DEFAULT NULL,
  `ModSecurity42` smallint DEFAULT NULL,
  `ModSecurity43` smallint DEFAULT NULL,
  `ModSecurity44` smallint DEFAULT NULL,
  `ModSecurity45` smallint DEFAULT NULL,
  `ModSecurity46` smallint DEFAULT NULL,
  `ModSecurity47` smallint DEFAULT NULL,
  `ModSecurity48` smallint DEFAULT NULL,
  `ModSecurity49` smallint DEFAULT NULL,
  `ModSecurity50` smallint DEFAULT NULL,
  `Firmen_ID` int DEFAULT NULL,
  `UseLeiterInfo` tinyint unsigned NOT NULL DEFAULT '0',
  `IstProjektLeiter` tinyint unsigned NOT NULL DEFAULT '0',
  `DientUnter` int DEFAULT NULL,
  `IsSU` tinyint unsigned NOT NULL DEFAULT '0',
  `PersKostenStelle` int DEFAULT NULL,
  `KstPrioritaet` int DEFAULT NULL,
  `EditHowManyDays` int DEFAULT NULL,
  `days_warning_no_workinput` int NOT NULL DEFAULT '7',
  `days_warning_no_mail_allocation` int NOT NULL DEFAULT '7',
  `Lehrling` tinyint unsigned NOT NULL DEFAULT '0',
  `Urlaub_Stichtag` datetime DEFAULT NULL,
  `Urlaub_Anspruch` double DEFAULT NULL,
  `Bilddatei` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `UserName` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  `staff_location_id` int NOT NULL DEFAULT '1',
  PRIMARY KEY (`LfdNr`),
  KEY `personen_usernum` (`UserNum`),
  KEY `personen_erstvon` (`ErstVon`),
  KEY `personen_aendvon` (`AendVon`),
  KEY `personen_feiertagsatz` (`FeiertagSatz`),
  KEY `personen_firmen_id` (`Firmen_ID`),
  KEY `personen_dientunter` (`DientUnter`),
  KEY `personen_perskostenstelle` (`PersKostenStelle`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `perstermin` (
  `Termin` datetime DEFAULT NULL,
  `Zeit` datetime DEFAULT NULL,
  `Projekt` int DEFAULT NULL,
  `Von` int DEFAULT NULL,
  `An` int DEFAULT NULL,
  `Bei` int DEFAULT NULL,
  `summary` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `Bemerkung` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `BearbDatum` datetime DEFAULT NULL,
  `BisZeit` datetime DEFAULT NULL,
  `ErstAm` datetime DEFAULT NULL,
  `ErstVon` int DEFAULT NULL,
  `AendAm` datetime DEFAULT NULL,
  `AendVon` int DEFAULT NULL,
  `Neu` tinyint unsigned NOT NULL DEFAULT '0',
  `Privat` tinyint unsigned NOT NULL DEFAULT '0',
  `FirstLfdNr` int DEFAULT NULL,
  `SeveralDays` tinyint unsigned NOT NULL DEFAULT '0',
  `SeveralNumber` int DEFAULT NULL,
  `TerminBis` datetime DEFAULT NULL,
  `Periodical` smallint DEFAULT NULL,
  `TerminArt` smallint DEFAULT NULL,
  `PeriodeBis` datetime DEFAULT NULL,
  `PeriodNumber` int DEFAULT NULL,
  `Tag` int DEFAULT NULL,
  `bZeit` tinyint unsigned NOT NULL DEFAULT '0',
  `bBei` tinyint unsigned NOT NULL DEFAULT '0',
  `changed_summary` tinyint(1) NOT NULL DEFAULT '0',
  `bBemerkung` tinyint unsigned NOT NULL DEFAULT '0',
  `bBisZeit` tinyint unsigned NOT NULL DEFAULT '0',
  `bProjekt` tinyint unsigned NOT NULL DEFAULT '0',
  `LfdNr_Ressource` int DEFAULT NULL,
  `IsEr` tinyint unsigned NOT NULL DEFAULT '0',
  `ErDate` datetime DEFAULT NULL,
  `bIsEr` tinyint unsigned NOT NULL DEFAULT '0',
  `bErDate` tinyint unsigned NOT NULL DEFAULT '0',
  `TerminStatus` int DEFAULT NULL,
  `bTerminStatus` tinyint unsigned NOT NULL DEFAULT '0',
  `LfdNr_Urlaub` int DEFAULT NULL,
  `Ort` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `url` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `bOrt` tinyint unsigned NOT NULL DEFAULT '0',
  `state_color_id` int DEFAULT NULL,
  `changed_url` tinyint(1) NOT NULL DEFAULT '0',
  `Arbeitsbereich` int DEFAULT NULL,
  `bArbeitsbereich` tinyint unsigned NOT NULL DEFAULT '0',
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  `sabre_synctoken` bigint unsigned NOT NULL,
  `sabre_calendar_data` mediumblob,
  `sabre_uri` varbinary(255) NOT NULL,
  `sabre_uid` varbinary(255) NOT NULL,
  `sabre_etag` varbinary(40) NOT NULL,
  PRIMARY KEY (`LfdNr`),
  UNIQUE KEY `sabre_unique` (`An`,`sabre_uri`),
  KEY `perstermin_projekt` (`Projekt`),
  KEY `perstermin_von` (`Von`),
  KEY `perstermin_an` (`An`),
  KEY `perstermin_erstvon` (`ErstVon`),
  KEY `perstermin_aendvon` (`AendVon`),
  KEY `perstermin_firstlfdnr` (`FirstLfdNr`),
  KEY `perstermin_severalnumber` (`SeveralNumber`),
  KEY `perstermin_periodnumber` (`PeriodNumber`),
  KEY `perstermin_lfdnr_ressource` (`LfdNr_Ressource`),
  KEY `perstermin_lfdnr_urlaub` (`LfdNr_Urlaub`),
  KEY `perstermin_arbeitsbereich` (`Arbeitsbereich`),
  KEY `sabre_synctoken_index` (`sabre_synctoken`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `phasen` (
  `PhasenBez` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Bemerkung` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `OrdNr` smallint DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `planart` (
  `ArtText` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Bemerkung` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  `company_id` int DEFAULT NULL,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `planausgabe` (
  `An` int DEFAULT NULL,
  `Plan` int DEFAULT NULL,
  `Anzahl` smallint DEFAULT NULL,
  `Datum` datetime DEFAULT NULL,
  `Bemerkung` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `LieferScheinNr` int DEFAULT NULL,
  `ErstAm` datetime DEFAULT NULL,
  `ErstVon` int DEFAULT NULL,
  `AendAm` datetime DEFAULT NULL,
  `AendVon` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `planausgabe_an` (`An`),
  KEY `planausgabe_plan` (`Plan`),
  KEY `planausgabe_lieferscheinnr` (`LieferScheinNr`),
  KEY `planausgabe_erstvon` (`ErstVon`),
  KEY `planausgabe_aendvon` (`AendVon`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `plangroessen` (
  `Bez` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Flaeche` double DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  `company_id` int DEFAULT NULL,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `poausattachments` (
  `LfdNr_PoA` int DEFAULT NULL,
  `PoAtt_Pfad` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `PoBeschreibung` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `poausattachments_lfdnr_poa` (`LfdNr_PoA`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `poausbcc` (
  `LfdNr_PoA` int DEFAULT NULL,
  `LfdNr_AdrBCC` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `poausbcc_lfdnr_poa` (`LfdNr_PoA`),
  KEY `poausbcc_lfdnr_adrbcc` (`LfdNr_AdrBCC`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `portlets` (
  `id` int NOT NULL AUTO_INCREMENT,
  `position_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `portlet_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `unique_id` varchar(140) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `staff_id` int DEFAULT NULL,
  `col` int unsigned DEFAULT NULL,
  `row` int unsigned DEFAULT NULL,
  `tab` int DEFAULT NULL,
  `page_id` int DEFAULT '1',
  `open` tinyint(1) DEFAULT '0',
  `data` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `title` varchar(140) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `auto_refresh` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `staff_id` (`staff_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `portlets_pages` (
  `id` int NOT NULL AUTO_INCREMENT,
  `staff_id` int NOT NULL DEFAULT '0',
  `name` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `is_deleteable` tinyint(1) DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `portlets_settings` (
  `id` int NOT NULL AUTO_INCREMENT,
  `portlet_id` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `allow_right` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `portlet_id` (`portlet_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `portlets_tabs` (
  `id` int NOT NULL AUTO_INCREMENT,
  `staff_id` int NOT NULL,
  `page_id` int NOT NULL DEFAULT '1',
  `name` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `columns` int DEFAULT '3',
  `color` int DEFAULT '1',
  `sort` smallint NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `postart` (
  `ArtText` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Bemerkung` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  `company_id` int DEFAULT NULL,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `progrp_lut` (
  `Projekt` int DEFAULT NULL,
  `ProGrupNr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `progrp_lut_projekt` (`Projekt`),
  KEY `progrp_lut_progrupnr` (`ProGrupNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `progruppendef` (
  `ProGrupName` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  `filter_id` int DEFAULT NULL,
  `filter_last_count` bigint DEFAULT NULL,
  `filter_hash` varchar(40) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `filter_creator_info` longtext COLLATE utf8mb4_general_ci,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `project_collective_offer` (
  `id` int NOT NULL AUTO_INCREMENT,
  `collective_id` int NOT NULL COMMENT 'correspondence ID of collective offer',
  `offer_id` int NOT NULL,
  `correspondence_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `project_directory_structure_trees` (
  `id` int NOT NULL AUTO_INCREMENT,
  `parent_id` int NOT NULL,
  `structure_id` int NOT NULL,
  `name` varchar(200) COLLATE utf8mb4_general_ci NOT NULL,
  `is_path_correspondence` tinyint(1) DEFAULT NULL,
  `is_path_inbox` tinyint(1) DEFAULT NULL,
  `is_path_outbox` tinyint(1) DEFAULT NULL,
  `is_path_drawings` tinyint(1) DEFAULT NULL,
  `file` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `project_directory_structures` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `exec_script` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `projektabrextra` (
  `Satz` int DEFAULT NULL,
  `Extra` int DEFAULT NULL,
  `NeuerSatz` double DEFAULT NULL,
  `LfdNr_ProjektAbrExtra_Zeit` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `projektabrextra_satz` (`Satz`),
  KEY `projektabrextra_extra` (`Extra`),
  KEY `projektabrextra_lfdnr_projektabrextra_zeit` (`LfdNr_ProjektAbrExtra_Zeit`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `projektabrextra_zeit` (
  `LfdNr_Satz` int DEFAULT NULL,
  `von` datetime DEFAULT NULL,
  `bis` datetime DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `projektabrextra_zeit_lfdnr_satz` (`LfdNr_Satz`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `projektabrma` (
  `Satz` int DEFAULT NULL,
  `Mitarbeiter` int DEFAULT NULL,
  `NeuerSatz` double DEFAULT NULL,
  `PersonenSatz` double DEFAULT NULL,
  `LfdNr_ProjektAbrMA_Zeit` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `projektabrma_satz` (`Satz`),
  KEY `projektabrma_mitarbeiter` (`Mitarbeiter`),
  KEY `projektabrma_lfdnr_projektabrma_zeit` (`LfdNr_ProjektAbrMA_Zeit`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `projektabrma_zeit` (
  `LfdNr_Satz` int DEFAULT NULL,
  `von` datetime DEFAULT NULL,
  `bis` datetime DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `projektabrma_zeit_lfdnr_satz` (`LfdNr_Satz`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `projektabrrk` (
  `Satz` int DEFAULT NULL,
  `RK` int DEFAULT NULL,
  `NeuerSatz` double DEFAULT NULL,
  `LfdNr_ProjektAbrRK_Zeit` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `projektabrrk_satz` (`Satz`),
  KEY `projektabrrk_rk` (`RK`),
  KEY `projektabrrk_lfdnr_projektabrrk_zeit` (`LfdNr_ProjektAbrRK_Zeit`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `projektabrrk_zeit` (
  `LfdNr_Satz` int DEFAULT NULL,
  `von` datetime DEFAULT NULL,
  `bis` datetime DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `projektabrrk_zeit_lfdnr_satz` (`LfdNr_Satz`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `projektabrsaetze` (
  `RKSatz` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `ExtraSatz` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `MASatz` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Beschreibung` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `ABSatz` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `currency_id` int DEFAULT NULL,
  `aktiv` tinyint(1) DEFAULT '1',
  `company_id` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `projektangebot` (
  `ProjLfdNr` int DEFAULT NULL,
  `AdrLfdNr` int DEFAULT NULL,
  `AngebotsNummer` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `AngebotsDatum` datetime DEFAULT NULL,
  `AngebotsStatus` int DEFAULT NULL,
  `Datei` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `title` varchar(80) COLLATE utf8mb4_general_ci DEFAULT '',
  `Bezeichnung` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `GueltigBis` datetime DEFAULT NULL,
  `BeauftragNr` varchar(40) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `BeauftragDatum` datetime DEFAULT NULL,
  `BeauftragWahrscheinl` int DEFAULT NULL,
  `vat_rate` double DEFAULT NULL,
  `Person` int DEFAULT NULL,
  `IsCalcexp` tinyint(1) DEFAULT '0',
  `IsEstimation` tinyint(1) DEFAULT '0',
  `portlet_data` longtext COLLATE utf8mb4_general_ci,
  `portlet_desc` longtext COLLATE utf8mb4_general_ci,
  `HOI_importiert` tinyint unsigned NOT NULL DEFAULT '0',
  `HOI_importiert_Datum` datetime DEFAULT NULL,
  `HOI_importiert_Datei` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `HOI_importiert_Index` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  `currency_id` int DEFAULT NULL,
  `retention_type` int NOT NULL DEFAULT '0',
  `retention_years` int NOT NULL DEFAULT '0',
  `retention` double NOT NULL DEFAULT '0',
  `rebate_type` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`LfdNr`),
  KEY `projektangebot_projlfdnr` (`ProjLfdNr`),
  KEY `projektangebot_adrlfdnr` (`AdrLfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `projektarchive` (
  `ArchivBezeichnung` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `projekte` (
  `ProjektNummer` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Projekt` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Beginn` datetime DEFAULT NULL,
  `Ende` datetime DEFAULT NULL,
  `Beschreibung` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `Kategorie` int DEFAULT NULL,
  `Ort` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Bauherr` int DEFAULT NULL,
  `Planer1` int DEFAULT NULL,
  `Planer2` int DEFAULT NULL,
  `Planer3` int DEFAULT NULL,
  `Planer4` int DEFAULT NULL,
  `Planer5` int DEFAULT NULL,
  `Planer6` int DEFAULT NULL,
  `Planer7` int DEFAULT NULL,
  `UserNum` int DEFAULT NULL,
  `AbrArt` tinyint unsigned NOT NULL DEFAULT '0',
  `PrivatProjekt` tinyint unsigned NOT NULL DEFAULT '0',
  `ErstAm` datetime DEFAULT NULL,
  `ErstVon` int DEFAULT NULL,
  `AendAm` datetime DEFAULT NULL,
  `AendVon` int DEFAULT NULL,
  `company_id` int DEFAULT NULL COMMENT 'Project company ID rules over staff company ID',
  `currency_id` int DEFAULT NULL COMMENT 'Is derived on creation from company',
  `Kostenstelle__old` int DEFAULT NULL,
  `Aufwand` tinyint unsigned NOT NULL DEFAULT '0',
  `StdAbr` tinyint unsigned NOT NULL DEFAULT '0',
  `BerSatz` int DEFAULT NULL,
  `ProTodo` tinyint unsigned NOT NULL DEFAULT '0',
  `SV_Pfad` varchar(500) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `path_correspondence_default` varchar(500) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `SV_REP_Pfad` varchar(254) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `EM_Pfad` varchar(254) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `path_inbox_default` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `EM_OUT_Pfad` varchar(254) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `path_outbox_default` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `planpfad` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `path_drawings_default` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `orig_structure_id` int DEFAULT NULL,
  `orig_structure_tree_root_node` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `orig_translated_structure_tree_root_node` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `LfdNr_Phase` int DEFAULT NULL,
  `FertigGrad` double DEFAULT NULL,
  `FertigGradDatum` datetime DEFAULT NULL,
  `FertigGradVon` int DEFAULT NULL,
  `isSchwelle` tinyint unsigned NOT NULL DEFAULT '0',
  `SyncroDok` tinyint unsigned NOT NULL DEFAULT '0',
  `SyncroEmailIn` tinyint unsigned NOT NULL DEFAULT '0',
  `SyncroEmailOut` tinyint unsigned NOT NULL DEFAULT '0',
  `MessSize_LfdNr` int DEFAULT NULL,
  `MessSize_Value` double DEFAULT NULL,
  `IsLoooped` tinyint unsigned NOT NULL DEFAULT '0',
  `BudgetNotBound` tinyint unsigned NOT NULL DEFAULT '0',
  `Lieferscheinpfad` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Rechnungspfad` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `SyncroLieferschein` tinyint unsigned NOT NULL DEFAULT '0',
  `SyncroRechnung` tinyint unsigned NOT NULL DEFAULT '0',
  `Bilddatei` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `LfdNr_ProjektArchiv` int DEFAULT NULL,
  `AufbewahrungsFrist` datetime DEFAULT NULL,
  `ArchivierungsDatum` datetime DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  `ignore_required_purpose` tinyint(1) DEFAULT '0',
  `work_package_preset_id` bigint DEFAULT NULL,
  `auto_calc` int DEFAULT '1',
  `auto_calc_fee` int DEFAULT '0',
  `show_tags` int DEFAULT '0',
  `use_budget_top_prop` int DEFAULT '0',
  PRIMARY KEY (`LfdNr`),
  KEY `projekte_beginn` (`Beginn`),
  KEY `projekte_ende` (`Ende`),
  KEY `projekte_privatprojekt` (`PrivatProjekt`),
  KEY `projekte_kategorie` (`Kategorie`),
  KEY `projekte_bauherr` (`Bauherr`),
  KEY `projekte_planer1` (`Planer1`),
  KEY `projekte_planer2` (`Planer2`),
  KEY `projekte_planer3` (`Planer3`),
  KEY `projekte_planer4` (`Planer4`),
  KEY `projekte_planer5` (`Planer5`),
  KEY `projekte_planer6` (`Planer6`),
  KEY `projekte_planer7` (`Planer7`),
  KEY `projekte_usernum` (`UserNum`),
  KEY `projekte_erstvon` (`ErstVon`),
  KEY `projekte_aendvon` (`AendVon`),
  KEY `projekte_kostenstelle` (`Kostenstelle__old`),
  KEY `projekte_bersatz` (`BerSatz`),
  KEY `projekte_lfdnr_phase` (`LfdNr_Phase`),
  KEY `projekte_fertiggradvon` (`FertigGradVon`),
  KEY `projekte_messsize_lfdnr` (`MessSize_LfdNr`),
  KEY `projekte_lfdnr_projektarchiv` (`LfdNr_ProjektArchiv`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `prokategorie` (
  `OrdNr` smallint DEFAULT NULL,
  `Kategorie` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Bemerkung` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `propersonen` (
  `Projekt` int DEFAULT NULL,
  `Person` int DEFAULT NULL,
  `LfdNr_Kat` int DEFAULT NULL,
  `isFreigeber` tinyint unsigned NOT NULL DEFAULT '0',
  `Reihenfolge` smallint DEFAULT NULL,
  `Bemerkung` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `propersonen_projekt` (`Projekt`),
  KEY `propersonen_person` (`Person`),
  KEY `propersonen_lfdnr_kat` (`LfdNr_Kat`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `raumtab` (
  `raum` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `regaltab` (
  `regal` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `lfdNrRegal` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `regaltab_lfdnrregal` (`lfdNrRegal`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `reisekosten` (
  `KostenArt` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Satz` double DEFAULT NULL,
  `Einheit` varchar(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `OrdNr` smallint DEFAULT NULL,
  `KmVonBis` tinyint unsigned NOT NULL DEFAULT '0',
  `ZeitVonBis` tinyint unsigned NOT NULL DEFAULT '0',
  `company_id` int DEFAULT NULL,
  `currency_id` int DEFAULT NULL,
  `MwStReise` double DEFAULT NULL,
  `active` int DEFAULT '1',
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `reminder_appoi_received` (
  `id` int NOT NULL AUTO_INCREMENT,
  `appoi_id` int NOT NULL,
  `staff_id` int NOT NULL,
  `show_date` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `reminder_opta_received` (
  `id` int NOT NULL AUTO_INCREMENT,
  `opta_id` int NOT NULL,
  `staff_id` int NOT NULL,
  `show_date` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `report_designs` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `company_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Report design settings';
-- EOC

CREATE TABLE `report_designs_vars` (
  `id` int NOT NULL AUTO_INCREMENT,
  `design_id` int NOT NULL,
  `name` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `param` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `report_output_portlet` (
  `id` int NOT NULL AUTO_INCREMENT,
  `xml_id` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `name` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `company_id` int DEFAULT NULL,
  `output` longtext COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Report column settings for portlet based reports';
-- EOC

CREATE TABLE `report_output_templates` (
  `id` int NOT NULL AUTO_INCREMENT,
  `report_id` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `company_id` int DEFAULT NULL,
  `result` longtext COLLATE utf8mb4_general_ci NOT NULL,
  `output` longtext COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Report column settings';
-- EOC

CREATE TABLE `report_output_templates_sort` (
  `id` int NOT NULL AUTO_INCREMENT,
  `report_id` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `output_template_id` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `sort` smallint NOT NULL DEFAULT '0',
  `inactive` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Report output sorting';
-- EOC

CREATE TABLE `report_working_hours` (
  `staff_id` int NOT NULL,
  `skill_id` int DEFAULT NULL,
  `date` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `hours` float DEFAULT NULL,
  `is_vac` tinyint DEFAULT '0',
  PRIMARY KEY (`staff_id`,`date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `report_working_hours_dirty` (
  `id` int NOT NULL AUTO_INCREMENT,
  `staff_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `reports_history` (
  `report_id` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `created_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `data` longtext COLLATE utf8mb4_general_ci NOT NULL,
  `for_date` date NOT NULL
) ENGINE=ARCHIVE DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `sabre_calendarchanges` (
  `calendarid` int NOT NULL,
  `uri` varbinary(255) NOT NULL,
  `synctoken` int unsigned NOT NULL,
  `operation` tinyint NOT NULL,
  `date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  UNIQUE KEY `calendarid_synctoken` (`calendarid`,`synctoken`,`operation`),
  KEY `synctoken_index` (`synctoken`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `sabre_cardchanges` (
  `uri` varbinary(255) NOT NULL,
  `synctoken` int unsigned NOT NULL,
  `operation` tinyint NOT NULL,
  `date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  UNIQUE KEY `cardid_synctoken` (`synctoken`,`operation`),
  KEY `synctoken_index` (`synctoken`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `sabre_locks` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `owner` varchar(100) DEFAULT NULL,
  `timeout` int unsigned DEFAULT NULL,
  `created` int DEFAULT NULL,
  `token` varbinary(100) DEFAULT NULL,
  `scope` tinyint DEFAULT NULL,
  `depth` tinyint DEFAULT NULL,
  `uri` varbinary(1000) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `token` (`token`),
  KEY `uri` (`uri`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `sabre_log` (
  `id` int NOT NULL AUTO_INCREMENT,
  `date` datetime DEFAULT NULL,
  `staff` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `staff_id` int DEFAULT NULL,
  `title` longtext COLLATE utf8mb4_general_ci,
  `info` longblob,
  `isCompressed` tinyint DEFAULT '0',
  `item_model` varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `item_title` text COLLATE utf8mb4_general_ci,
  `item_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `sabre_taskchanges` (
  `calendarid` int NOT NULL,
  `uri` varbinary(255) NOT NULL,
  `synctoken` int unsigned NOT NULL,
  `operation` tinyint NOT NULL,
  `date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  UNIQUE KEY `taskid_synctoken` (`calendarid`,`synctoken`,`operation`),
  KEY `synctoken_index` (`synctoken`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `sendmail` (
  `id` int NOT NULL AUTO_INCREMENT,
  `send_account` int DEFAULT NULL,
  `recipients_to` longtext COLLATE utf8mb4_general_ci NOT NULL,
  `recipients_to_ids` mediumtext COLLATE utf8mb4_general_ci,
  `recipients_cc` longtext COLLATE utf8mb4_general_ci NOT NULL,
  `recipients_cc_ids` mediumtext COLLATE utf8mb4_general_ci,
  `recipients_bcc` longtext COLLATE utf8mb4_general_ci NOT NULL,
  `recipients_bcc_ids` mediumtext COLLATE utf8mb4_general_ci,
  `recipients` mediumtext COLLATE utf8mb4_general_ci NOT NULL,
  `subject` text COLLATE utf8mb4_general_ci NOT NULL,
  `message` longtext COLLATE utf8mb4_general_ci NOT NULL,
  `related_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `related_type` varchar(30) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `status` enum('new','send_do','send_done') COLLATE utf8mb4_general_ci NOT NULL,
  `flags` varchar(255) COLLATE utf8mb4_general_ci DEFAULT '',
  `outbox` varchar(255) COLLATE utf8mb4_general_ci DEFAULT '',
  `attachments` longtext COLLATE utf8mb4_general_ci,
  `zip_attachments` tinyint(1) DEFAULT '0',
  `external` longtext COLLATE utf8mb4_general_ci,
  `flags_mode` varchar(255) COLLATE utf8mb4_general_ci DEFAULT '',
  `created_date` datetime NOT NULL,
  `created_by_id` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `settingssystem` (
  `SettingType` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `SettingValue` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `company_id` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `settingssystem_settingtype` (`SettingType`(190))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `settingsuser` (
  `SettingType` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `SettingValue` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `LfdNr_User` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `settingsuser_settingtype` (`SettingType`),
  KEY `settingsuser_lfdnr_user` (`LfdNr_User`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `skill_group` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `description` longtext COLLATE utf8mb4_general_ci,
  `sort` smallint DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `sse_event` (
  `uniqid` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `staff_id` int NOT NULL,
  PRIMARY KEY (`uniqid`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `sse_event_data` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `staff_id` int NOT NULL,
  `data_object` longtext COLLATE utf8mb4_general_ci,
  `lifetime` datetime DEFAULT NULL,
  `uniqid` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `ensure_execution_lock` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `staff_groups` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `created_by_id` int NOT NULL,
  `security` smallint DEFAULT NULL,
  `company_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `staff_last_login` (
  `id` int NOT NULL AUTO_INCREMENT,
  `staff_id` int NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `staff_id` (`staff_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `staff_last_login_fail` (
  `id` int NOT NULL AUTO_INCREMENT,
  `staff_id` int DEFAULT NULL,
  `staff_name` varchar(50) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `ip_address` varchar(50) COLLATE utf8mb4_general_ci NOT NULL,
  `user_agent` varchar(150) COLLATE utf8mb4_general_ci NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `staff_locations` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `address` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `tapi` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `staff_status` (
  `staff_id` int DEFAULT NULL,
  `status` int NOT NULL,
  `comment` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `max_age` datetime DEFAULT NULL
) ENGINE=MEMORY DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `staff_token` (
  `id` int NOT NULL AUTO_INCREMENT,
  `staff_id` int NOT NULL,
  `date` datetime NOT NULL,
  `token` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `stechprojekte` (
  `Projekt` int DEFAULT NULL,
  `Person` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `stechprojekte_projekt` (`Projekt`),
  KEY `stechprojekte_person` (`Person`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `system_modifications_log` (
  `datetime` datetime NOT NULL,
  `us_serial` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `us_instinfo_hash` varchar(50) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `us_version` varchar(50) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `us_last_update` varchar(20) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `us_datapath` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `us_datapath_writeable` varchar(10) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `us_advanced_is_readable` varchar(10) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `us_base_url` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `apache_os` varchar(50) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `apache_user` varchar(50) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `apache_on_host` varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `apache_on_port` varchar(10) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `apache_version` varchar(150) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `php_version` varchar(50) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `mysql_version` varchar(50) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `mysql_sql_mode` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `mysql_on_host` varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `mysql_on_port` varchar(10) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `mysql_database` varchar(50) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `tempmysql_on_host` varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `tempmysql_on_port` varchar(10) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `tempmysql_database` varchar(50) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `java_path` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `java_executable` varchar(10) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `java_version` varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `libre_path` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `libre_temppath` varchar(10) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `libre_executable` varchar(10) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `proxy_host` varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `proxy_port` varchar(10) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `proxy_reachable` varchar(10) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `mof_installed` varchar(10) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `mof_version` varchar(50) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `mof_as_server` varchar(10) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `mof_server_version` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `mof_server_reachable` varchar(10) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `enough_diskspace` varchar(10) COLLATE utf8mb4_general_ci DEFAULT NULL
) ENGINE=ARCHIVE DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `tableconfig` (
  `id` int NOT NULL AUTO_INCREMENT,
  `table_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `column` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `staff_id` int DEFAULT NULL,
  `visible` tinyint(1) DEFAULT NULL,
  `visiblemob` tinyint(1) DEFAULT NULL,
  `width` double DEFAULT NULL,
  `maxchars` double DEFAULT NULL,
  `widthmob` double DEFAULT NULL,
  `maxcharsmob` double DEFAULT NULL,
  `order` smallint DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `staff_id` (`staff_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `tableconfig_save` (
  `id` int NOT NULL AUTO_INCREMENT,
  `table_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `config` longtext COLLATE utf8mb4_general_ci NOT NULL,
  `staff_id` int DEFAULT NULL,
  `security` smallint DEFAULT NULL,
  `company_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `table_id` (`table_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `tagessollstd` (
  `Pers_LfdNr` int DEFAULT NULL,
  `unique_add_id` varchar(140) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Nz01` double DEFAULT NULL,
  `Nz02` double DEFAULT NULL,
  `Nz03` double DEFAULT NULL,
  `Nz04` double DEFAULT NULL,
  `Nz05` double DEFAULT NULL,
  `Nz06` double DEFAULT NULL,
  `Nz07` double DEFAULT NULL,
  `TagSollvon` datetime DEFAULT NULL,
  `TagSollbis` datetime DEFAULT NULL,
  `tagSollDatum` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Erstvon` int DEFAULT NULL,
  `Erstam` datetime DEFAULT NULL,
  `Aendvon` int DEFAULT NULL,
  `Aendam` datetime DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  PRIMARY KEY (`LfdNr`),
  KEY `tagessollstd_pers_lfdnr` (`Pers_LfdNr`),
  KEY `tagessollstd_erstvon` (`Erstvon`),
  KEY `tagessollstd_aendvon` (`Aendvon`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `telefonate` (
  `Datum` datetime DEFAULT NULL,
  `RufNummer` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `ausgehend` tinyint unsigned NOT NULL DEFAULT '0' COMMENT '0 Inbound\n1 Outbound\n2 Unknown',
  `angenommen` tinyint unsigned NOT NULL DEFAULT '0',
  `LfdNr_Adr` int DEFAULT NULL,
  `LfdNr_Adr_Caller` int DEFAULT NULL,
  `No_Adr_Caller` tinyint(1) DEFAULT '0',
  `LfdNr_User` int DEFAULT NULL,
  `intern` tinyint unsigned NOT NULL DEFAULT '0',
  `beendet` datetime DEFAULT NULL,
  `disconnected` tinyint(1) DEFAULT '0',
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  `last_update` datetime DEFAULT NULL,
  PRIMARY KEY (`LfdNr`),
  KEY `telefonate_lfdnr_adr` (`LfdNr_Adr`),
  KEY `telefonate_lfdnr_user` (`LfdNr_User`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `thementab` (
  `thema` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `times` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `staff_id` int DEFAULT NULL,
  `number` double DEFAULT NULL,
  `factor` double DEFAULT NULL,
  `time_from` datetime DEFAULT NULL,
  `time_to` datetime DEFAULT NULL,
  `purpose` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `purpose_internal` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `is_client_changed` tinyint unsigned NOT NULL DEFAULT '0',
  `addi_val1` double NOT NULL DEFAULT '0',
  `addi_val2` double NOT NULL DEFAULT '0',
  `date` datetime DEFAULT NULL,
  `area_id` int DEFAULT NULL,
  `cost_centre_id` int DEFAULT NULL,
  `is_deducted` tinyint unsigned DEFAULT NULL,
  `calcexp_id` int DEFAULT NULL,
  `deducted_day` datetime DEFAULT NULL,
  `is_ignore` tinyint unsigned NOT NULL DEFAULT '0',
  `is_deducted_staff` tinyint unsigned DEFAULT NULL,
  `calcexp_id_staff` int DEFAULT NULL,
  `deducted_day_staff` datetime DEFAULT NULL,
  `is_ignore_staff` tinyint unsigned NOT NULL DEFAULT '0',
  `is_deducted_woa` tinyint unsigned DEFAULT NULL,
  `calcexp_id_woa` int DEFAULT NULL,
  `deducted_day_woa` datetime DEFAULT NULL,
  `is_ignore_woa` tinyint unsigned NOT NULL DEFAULT '0',
  `number_external` double DEFAULT NULL,
  `number_external_changed` tinyint unsigned NOT NULL DEFAULT '0',
  `change_date` datetime DEFAULT NULL,
  `changed_by_id` int DEFAULT NULL,
  `price_per_unit` double DEFAULT NULL,
  `price_external_staff` double DEFAULT NULL,
  `price_area` double DEFAULT NULL,
  `gross_hourly_wage` double DEFAULT NULL,
  `percntg1` double DEFAULT NULL,
  `percntg2` double DEFAULT NULL,
  `percntg3` double DEFAULT NULL,
  `percntg4` double DEFAULT NULL,
  `percntg5` double DEFAULT NULL,
  `percntg6` double DEFAULT NULL,
  `percntg7` double DEFAULT NULL,
  `percntg8` double DEFAULT NULL,
  `percntg9` double DEFAULT NULL,
  `value1` double DEFAULT NULL,
  `value2` double DEFAULT NULL,
  `value3` double DEFAULT NULL,
  `value4` double DEFAULT NULL,
  `value5` double DEFAULT NULL,
  `value6` double DEFAULT NULL,
  `value7` double DEFAULT NULL,
  `value8` double DEFAULT NULL,
  `value9` double DEFAULT NULL,
  `company_id` int DEFAULT NULL,
  `company_value1` double DEFAULT NULL,
  `company_value2` double DEFAULT NULL,
  `company_value3` double DEFAULT NULL,
  `company_value4` double DEFAULT NULL,
  `company_value5` double DEFAULT NULL,
  `company_value6` double DEFAULT NULL,
  `company_value7` double DEFAULT NULL,
  `company_value8` double DEFAULT NULL,
  `company_value9` double DEFAULT NULL,
  `company_value_ex` double NOT NULL DEFAULT '1',
  `company_value_id` int DEFAULT NULL,
  `vacation_id` int DEFAULT NULL,
  `persapp_id` int DEFAULT NULL,
  `company_gross_hourly_wage` double DEFAULT NULL,
  `company_gross_hourly_wage_ex` double NOT NULL DEFAULT '1',
  `company_gross_hourly_wage_id` int DEFAULT NULL,
  `company_price_per_unit` double DEFAULT NULL,
  `company_price_per_unit_ex` double NOT NULL DEFAULT '1',
  `company_price_per_unit_id` int DEFAULT NULL,
  `company_price_external_staff` double DEFAULT NULL,
  `company_price_external_staff_ex` double NOT NULL DEFAULT '1',
  `company_price_external_staff_id` int DEFAULT NULL,
  `company_price_area` double DEFAULT NULL,
  `company_price_area_ex` double NOT NULL DEFAULT '1',
  `company_price_area_id` int DEFAULT NULL,
  `opta_id` int DEFAULT NULL,
  `skill_id` int DEFAULT NULL,
  `work_package_id` int DEFAULT NULL,
  `staff_cost_centre` int DEFAULT '0',
  `auto_assigned_wp` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `project_id` (`project_id`),
  KEY `date` (`date`),
  KEY `staff_id` (`staff_id`),
  KEY `cost_centre_id` (`cost_centre_id`),
  KEY `changed_by_id` (`changed_by_id`),
  KEY `company_id` (`company_id`),
  KEY `is_deducted` (`is_deducted`),
  KEY `is_deducted_staff` (`is_deducted_staff`),
  KEY `is_deducted_woa` (`is_deducted_woa`),
  KEY `vacation_id` (`vacation_id`),
  KEY `persapp_id` (`persapp_id`),
  KEY `opta_id` (`opta_id`),
  KEY `skill_id` (`skill_id`),
  KEY `work_package_id` (`work_package_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `times_logging` (
  `id` int DEFAULT NULL,
  `project_id` int DEFAULT NULL,
  `staff_id` int DEFAULT NULL,
  `number` double DEFAULT NULL,
  `factor` double DEFAULT NULL,
  `time_from` datetime DEFAULT NULL,
  `time_to` datetime DEFAULT NULL,
  `purpose` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `date` datetime DEFAULT NULL,
  `area_id` int DEFAULT NULL,
  `cost_centre_id` int DEFAULT NULL,
  `is_deducted` tinyint unsigned DEFAULT NULL,
  `deducted_day` datetime DEFAULT NULL,
  `changed_by_id` int DEFAULT NULL,
  `is_ignore` tinyint unsigned NOT NULL DEFAULT '0',
  `gross_hourly_wage` double DEFAULT NULL,
  `log_change_mode` smallint DEFAULT NULL,
  `log_change_date` datetime DEFAULT NULL,
  `log_changed_by_id` int DEFAULT NULL,
  `company_id` int DEFAULT NULL,
  `purpose_internal` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `is_client_changed` tinyint unsigned NOT NULL DEFAULT '0',
  `skill_id` int DEFAULT NULL,
  `addi_val1` double NOT NULL DEFAULT '0',
  `addi_val2` double NOT NULL DEFAULT '0',
  `work_package_id` int DEFAULT NULL,
  KEY `project_id` (`project_id`),
  KEY `date` (`date`),
  KEY `staff_id` (`staff_id`),
  KEY `cost_centre_id` (`cost_centre_id`),
  KEY `changed_by_id` (`changed_by_id`),
  KEY `log_change_date` (`log_change_date`),
  KEY `log_changed_by_id` (`log_changed_by_id`),
  KEY `company_id` (`company_id`),
  KEY `is_deducted` (`is_deducted`),
  KEY `skill_id` (`skill_id`),
  KEY `work_package_id` (`work_package_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `todo` (
  `Projekt` int DEFAULT NULL,
  `Person` int DEFAULT NULL,
  `Beschreibung` varchar(240) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Bis` datetime DEFAULT NULL,
  `Erledigt` tinyint unsigned NOT NULL DEFAULT '0',
  `ErlVon` int DEFAULT NULL,
  `Datum` datetime DEFAULT NULL,
  `ErlAm` datetime DEFAULT NULL,
  `ZuTunVon` int DEFAULT NULL,
  `ErstAm` datetime DEFAULT NULL,
  `ErstVon` int DEFAULT NULL,
  `AendAm` datetime DEFAULT NULL,
  `AendVon` int DEFAULT NULL,
  `ErlVermerk` longtext COLLATE utf8mb4_general_ci,
  `Neu` tinyint unsigned NOT NULL DEFAULT '0',
  `Privat` tinyint unsigned NOT NULL DEFAULT '0',
  `prioritaet` tinyint unsigned NOT NULL DEFAULT '0',
  `dringend` smallint DEFAULT NULL,
  `Mail_File` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `isEr` tinyint unsigned NOT NULL DEFAULT '0',
  `ErDate` datetime DEFAULT NULL,
  `LfdNr_Adr` int DEFAULT NULL,
  `IsLoooped` tinyint unsigned NOT NULL DEFAULT '0',
  `PathLooop` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Bemerkung` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `period_value` int DEFAULT '1',
  `unit` int DEFAULT '1',
  `working_hours` double DEFAULT NULL,
  `active_from` datetime DEFAULT NULL,
  `ToDoParent` int DEFAULT NULL,
  `IsPostAusgang` tinyint unsigned NOT NULL DEFAULT '0',
  `lfdnr_post` varchar(50) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Arbeitsbereich` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  `work_package_id` bigint DEFAULT NULL,
  `sabre_synctoken` bigint unsigned NOT NULL,
  `sabre_calendar_data` mediumblob,
  `sabre_uri` varbinary(255) NOT NULL,
  `sabre_uid` varbinary(255) NOT NULL,
  `sabre_etag` varbinary(40) NOT NULL,
  PRIMARY KEY (`LfdNr`),
  UNIQUE KEY `sabre_unique` (`ZuTunVon`,`sabre_uri`),
  KEY `todo_projekt` (`Projekt`),
  KEY `todo_person` (`Person`),
  KEY `todo_erlvon` (`ErlVon`),
  KEY `todo_zutunvon` (`ZuTunVon`),
  KEY `todo_erstvon` (`ErstVon`),
  KEY `todo_aendvon` (`AendVon`),
  KEY `todo_lfdnr_adr` (`LfdNr_Adr`),
  KEY `todo_todoparent` (`ToDoParent`),
  KEY `todo_arbeitsbereich` (`Arbeitsbereich`),
  KEY `sabre_synctoken_index` (`sabre_synctoken`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `translations` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(50) COLLATE utf8mb4_general_ci NOT NULL,
  `language` varchar(50) COLLATE utf8mb4_general_ci NOT NULL,
  `value` text COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `transmittal_form` (
  `id` int NOT NULL AUTO_INCREMENT,
  `date` datetime DEFAULT NULL,
  `project_id` int DEFAULT NULL,
  `address_id` int DEFAULT NULL,
  `staff_id` int DEFAULT NULL,
  `purpose` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `created_date` datetime DEFAULT NULL,
  `created_by_id` int DEFAULT NULL,
  `change_date` datetime DEFAULT NULL,
  `changed_by_id` int DEFAULT NULL,
  `transmittal_form_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `doc_file` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `pdf_file` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `print_purpose` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `comment` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `remarks` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `work_area_id` int DEFAULT NULL,
  `work_package_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_id` (`project_id`),
  KEY `address_id` (`address_id`),
  KEY `staff_id` (`staff_id`),
  KEY `date` (`date`),
  KEY `created_by_id` (`created_by_id`),
  KEY `changed_by_id` (`changed_by_id`),
  KEY `work_package_id` (`work_package_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `travels` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `staff_id` int DEFAULT NULL,
  `route` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `purpose` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `number` double DEFAULT NULL,
  `is_company_car` tinyint unsigned NOT NULL DEFAULT '0',
  `km_from` double DEFAULT NULL,
  `km_to` double DEFAULT NULL,
  `time_from` datetime DEFAULT NULL,
  `time_to` datetime DEFAULT NULL,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `is_client_changed` tinyint unsigned NOT NULL DEFAULT '0',
  `addi_val1` double NOT NULL DEFAULT '0',
  `addi_val2` double NOT NULL DEFAULT '0',
  `date` datetime DEFAULT NULL,
  `cost_per_unit` double DEFAULT NULL,
  `price_per_unit` double DEFAULT NULL,
  `type_id` int DEFAULT NULL,
  `area_id` int DEFAULT NULL,
  `cost_centre_id` int DEFAULT NULL,
  `is_deducted` tinyint unsigned DEFAULT NULL,
  `calcexp_id` int DEFAULT NULL,
  `deducted_day` datetime DEFAULT NULL,
  `number_external` double DEFAULT NULL,
  `change_date` datetime DEFAULT NULL,
  `changed_by_id` int DEFAULT NULL,
  `is_ignore` tinyint unsigned NOT NULL DEFAULT '0',
  `company_id` int DEFAULT NULL,
  `company_cost_per_unit` double DEFAULT NULL,
  `company_cost_per_unit_ex` double NOT NULL DEFAULT '1',
  `company_cost_per_unit_id` int DEFAULT NULL,
  `company_price_per_unit` double DEFAULT NULL,
  `company_price_per_unit_ex` double NOT NULL DEFAULT '1',
  `company_price_per_unit_id` int DEFAULT NULL,
  `vat` double DEFAULT NULL,
  `work_package_id` int DEFAULT NULL,
  `staff_cost_centre` int DEFAULT '0',
  `auto_assigned_wp` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `project_id` (`project_id`),
  KEY `date` (`date`),
  KEY `staff_id` (`staff_id`),
  KEY `type_id` (`type_id`),
  KEY `cost_centre_id` (`cost_centre_id`),
  KEY `changed_by_id` (`changed_by_id`),
  KEY `company_id` (`company_id`),
  KEY `is_deducted` (`is_deducted`),
  KEY `work_package_id` (`work_package_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `travels_logging` (
  `id` int DEFAULT NULL,
  `project_id` int DEFAULT NULL,
  `staff_id` int DEFAULT NULL,
  `route` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `purpose` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `number` double DEFAULT NULL,
  `is_company_car` tinyint unsigned NOT NULL DEFAULT '0',
  `km_from` double DEFAULT NULL,
  `km_to` double DEFAULT NULL,
  `time_from` datetime DEFAULT NULL,
  `time_to` datetime DEFAULT NULL,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `date` datetime DEFAULT NULL,
  `type_id` int DEFAULT NULL,
  `area_id` int DEFAULT NULL,
  `cost_centre_id` int DEFAULT NULL,
  `cost_per_unit` double DEFAULT NULL,
  `is_deducted` tinyint unsigned DEFAULT NULL,
  `deducted_day` datetime DEFAULT NULL,
  `changed_by_id` int DEFAULT NULL,
  `is_ignore` tinyint unsigned NOT NULL DEFAULT '0',
  `log_change_mode` smallint DEFAULT NULL,
  `log_change_date` datetime DEFAULT NULL,
  `log_changed_by_id` int DEFAULT NULL,
  `company_id` int DEFAULT NULL,
  `is_client_changed` tinyint unsigned NOT NULL DEFAULT '0',
  `addi_val1` double NOT NULL DEFAULT '0',
  `addi_val2` double NOT NULL DEFAULT '0',
  `work_package_id` int DEFAULT NULL,
  KEY `project_id` (`project_id`),
  KEY `date` (`date`),
  KEY `staff_id` (`staff_id`),
  KEY `type_id` (`type_id`),
  KEY `cost_centre_id` (`cost_centre_id`),
  KEY `changed_by_id` (`changed_by_id`),
  KEY `log_change_date` (`log_change_date`),
  KEY `log_changed_by_id` (`log_changed_by_id`),
  KEY `company_id` (`company_id`),
  KEY `is_deducted` (`is_deducted`),
  KEY `work_package_id` (`work_package_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `u10_calendar` (
  `date` date NOT NULL,
  `datemonth` varchar(10) COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `u10_ci_config` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `value` text COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `u10_ci_session_flashdata` (
  `uniqid` varchar(40) COLLATE utf8mb4_general_ci NOT NULL,
  `name` varchar(55) COLLATE utf8mb4_general_ci NOT NULL,
  `value` longblob,
  PRIMARY KEY (`name`,`uniqid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `u10_ci_sessions` (
  `uniqid` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `session_id` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0',
  `old1_session_id` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `old2_session_id` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `ip_address` varchar(50) COLLATE utf8mb4_general_ci NOT NULL,
  `user_agent` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `first_activity` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `last_activity` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `login_time` datetime DEFAULT NULL,
  `login_type` tinyint(1) DEFAULT '0',
  `login_staff_id` int DEFAULT NULL,
  `user_data` varbinary(20000) DEFAULT NULL,
  PRIMARY KEY (`session_id`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

-- CREATE TABLE `u10_mutex` (
--   `i` int NOT NULL,
--   PRIMARY KEY (`i`)
-- ) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

CREATE OR REPLACE ALGORITHM = MERGE VIEW `u10_mutex` AS SELECT 0 AS i  FROM dual UNION ALL SELECT 1;
-- EOC

CREATE TABLE `u10_session_log` (
  `info` varchar(500) COLLATE utf8mb4_general_ci NOT NULL,
  `session_id` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `old1_session_id` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `old2_session_id` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `session_uniqid` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `ip_address` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `user_agent` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `last_activity` int unsigned DEFAULT NULL,
  `aktuser_id` int DEFAULT NULL COMMENT 'LfdNr_AktUser',
  `staff_id` int DEFAULT NULL COMMENT 'UserNummer',
  `staff_name` varchar(50) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'UserName',
  `login_update_time` datetime DEFAULT NULL COMMENT 'LoginTime',
  `browser_info` varchar(50) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'WorkstationName',
  `aktuser_uniqid` varchar(50) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'WorkstationLogin',
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=ARCHIVE DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `uesatz` (
  `OrdNr` smallint DEFAULT NULL,
  `SatzArt` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Satz` double DEFAULT NULL,
  `active` int DEFAULT '1',
  `Drucken` tinyint unsigned NOT NULL DEFAULT '0',
  `company_id` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `uestd` (
  `Projekt` int DEFAULT NULL,
  `Person` int DEFAULT NULL,
  `Datum` datetime DEFAULT NULL,
  `UeStdSatz` double DEFAULT NULL,
  `BruttoSatz` double DEFAULT NULL,
  `company_price_per_unit` double DEFAULT NULL,
  `company_price_per_unit_ex` double NOT NULL DEFAULT '1',
  `company_price_per_unit_id` int DEFAULT NULL,
  `Anzahl` double DEFAULT NULL,
  `SatzArt` int DEFAULT NULL,
  `Lagerung` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Ausbezahlt` tinyint unsigned NOT NULL DEFAULT '0',
  `WerHatAusb` int DEFAULT NULL,
  `company_id` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `uestd_projekt` (`Projekt`),
  KEY `uestd_person` (`Person`),
  KEY `uestd_satzart` (`SatzArt`),
  KEY `uestd_werhatausb` (`WerHatAusb`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `update_counters` (
  `type` int NOT NULL,
  `count` bigint NOT NULL,
  UNIQUE KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `us_add_to_table` (
  `do_not_use_x1_installer` varchar(150) COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`do_not_use_x1_installer`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `uv_buchungen` (
  `LfdNr_Mitarbeiter` int DEFAULT NULL,
  `LfdNr_Projekt` int DEFAULT NULL,
  `UV_DatumVon` datetime DEFAULT NULL,
  `UV_DatumBis` datetime DEFAULT NULL,
  `UV_Tage` double DEFAULT NULL,
  `UV_Bemerkung` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `UV_OK` tinyint unsigned NOT NULL DEFAULT '0',
  `is_ok_pre` tinyint unsigned NOT NULL DEFAULT '0',
  `UV_Beantragt` tinyint unsigned NOT NULL DEFAULT '0',
  `UV_NO` tinyint unsigned NOT NULL DEFAULT '0',
  `UV_ZA` tinyint unsigned NOT NULL DEFAULT '0',
  `is_absent_social` tinyint(1) DEFAULT '0',
  `ErstAm` datetime DEFAULT NULL,
  `ErstVon` int DEFAULT NULL,
  `AendAm` datetime DEFAULT NULL,
  `AendVon` int DEFAULT NULL,
  `EingabeSaved` tinyint unsigned NOT NULL DEFAULT '0',
  `PersTerminSaved` tinyint unsigned NOT NULL DEFAULT '0',
  `aufgestockt` tinyint unsigned NOT NULL DEFAULT '0',
  `Saldo` double DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `uv_buchungen_lfdnr_mitarbeiter` (`LfdNr_Mitarbeiter`),
  KEY `uv_buchungen_erstvon` (`ErstVon`),
  KEY `uv_buchungen_aendvon` (`AendVon`),
  KEY `uv_buchungen_lfdnr_projekt` (`LfdNr_Projekt`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `watchdog` (
  `keyname` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `created` datetime NOT NULL,
  `updated` datetime NOT NULL,
  PRIMARY KEY (`keyname`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `work_areas_rates` (
  `id` int NOT NULL AUTO_INCREMENT,
  `rate_id` int DEFAULT NULL,
  `area_id` int DEFAULT NULL,
  `rate` double DEFAULT NULL,
  `history_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `rate_id` (`rate_id`),
  KEY `history_id` (`history_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `work_areas_rates_history` (
  `id` int NOT NULL AUTO_INCREMENT,
  `rate_id` int DEFAULT NULL,
  `date_from` datetime DEFAULT NULL,
  `date_to` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `rate_id` (`rate_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `work_package_presets` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `tag_id` int DEFAULT NULL,
  `lft` bigint DEFAULT NULL,
  `rgt` bigint DEFAULT NULL,
  `tree_id` int DEFAULT NULL,
  `is_purpose_required` tinyint(1) DEFAULT NULL,
  `is_fee_area` tinyint(1) DEFAULT NULL,
  `is_special` int DEFAULT '0',
  `is_special_phase` int DEFAULT NULL,
  `threshold` double DEFAULT '0',
  `is_extern` tinyint DEFAULT '0',
  `old_fee_area_id` int DEFAULT NULL,
  `old_work_area_id` int DEFAULT NULL,
  `cost_centre_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `wpp_lft_unique` (`tree_id`,`lft`),
  UNIQUE KEY `wpp_rgt_unique` (`tree_id`,`rgt`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `work_packages` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name` varchar(203) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `tag_id` int DEFAULT NULL,
  `lft` bigint DEFAULT NULL,
  `rgt` bigint DEFAULT NULL,
  `project_id` int DEFAULT NULL,
  `is_purpose_required` tinyint(1) DEFAULT NULL,
  `is_fee_area` tinyint(1) DEFAULT NULL,
  `is_special` int DEFAULT '0',
  `is_special_phase` int DEFAULT NULL,
  `completion_level` double DEFAULT NULL,
  `budget_proportion` double DEFAULT '0',
  `budget_planned_costs` double DEFAULT '0',
  `budget_planned_hours` double DEFAULT '0',
  `budget_start` datetime DEFAULT NULL,
  `budget_end` datetime DEFAULT NULL,
  `budget_threshold` double DEFAULT '0',
  `fee_costs` double DEFAULT '0',
  `fee_hours` double DEFAULT '0',
  `fee_proportion` double DEFAULT '0',
  `status` double DEFAULT '20',
  `wpp_tree_id` int DEFAULT NULL COMMENT 'Work package preset tree id',
  `old_fee_area_id` int DEFAULT NULL,
  `old_work_area_id` int DEFAULT NULL,
  `category_rate` double DEFAULT '0',
  `cost_centre_id` int DEFAULT NULL,
  `is_extern` tinyint DEFAULT '0',
  `loc_estimation_date` datetime DEFAULT NULL,
  `min_start` datetime DEFAULT NULL,
  `max_end` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `wp_lft_unique` (`project_id`,`lft`),
  UNIQUE KEY `wp_rgt_unique` (`project_id`,`rgt`),
  KEY `is_fee_area` (`is_fee_area`),
  KEY `tag_id` (`tag_id`),
  KEY `cost_centre_id` (`cost_centre_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `work_packages_history` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `completion_level` double DEFAULT NULL,
  `budget_proportion` double DEFAULT NULL,
  `budget_planned_costs` double DEFAULT NULL,
  `budget_planned_hours` double DEFAULT NULL,
  `budget_threshold` double DEFAULT '0',
  `fee_costs` double DEFAULT NULL,
  `fee_hours` double DEFAULT NULL,
  `fee_proportion` double DEFAULT NULL,
  `wpp_tree_id` int DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  `wp_id` bigint DEFAULT NULL,
  `loc_estimation_date` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `wp_history_unique` (`project_id`,`wp_id`,`date`),
  KEY `wp_id_index` (`wp_id`),
  KEY `date` (`date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `work_packages_history_descriptions` (
  `id` int NOT NULL AUTO_INCREMENT,
  `description` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `archive_date` datetime DEFAULT NULL,
  `project_id` int DEFAULT NULL,
  `type` varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `staff_id` int DEFAULT NULL,
  `insert_date` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `work_packages_tags` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `wp_name` varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zeiten_beginnende` (
  `Person` int DEFAULT NULL,
  `Datum` datetime DEFAULT NULL,
  `ZeitBeginn` datetime DEFAULT NULL,
  `ZeitEnde` datetime DEFAULT NULL,
  `ZeitAbzug` double DEFAULT NULL,
  `company_id` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `zeiten_beginnende_person` (`Person`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zip_to_name` (
  `tzip` varchar(50) COLLATE utf8mb4_general_ci NOT NULL,
  `tname` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `tcountry` varchar(50) COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`tzip`,`tname`(150),`tcountry`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_adressen` (
  `adressen_lfdnr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `zusatz_adressen_adressen_lfdnr` (`adressen_lfdnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_adressen_def` (
  `OrdNr` smallint DEFAULT NULL,
  `FeldName` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Typ` smallint DEFAULT NULL,
  `subtype` smallint NOT NULL DEFAULT '0',
  `fieldvalues` text COLLATE utf8mb4_general_ci,
  `isrequired` smallint DEFAULT '0',
  `color` varchar(30) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Laenge` smallint DEFAULT NULL,
  `Sicherheit` smallint DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_extkosten` (
  `extkosten_lfdnr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `zusatz_extkosten_extkosten_lfdnr` (`extkosten_lfdnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_extkosten_def` (
  `OrdNr` smallint DEFAULT NULL,
  `FeldName` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Typ` smallint DEFAULT NULL,
  `subtype` smallint NOT NULL DEFAULT '0',
  `fieldvalues` text COLLATE utf8mb4_general_ci,
  `isrequired` smallint DEFAULT '0',
  `color` varchar(30) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Laenge` smallint DEFAULT NULL,
  `Sicherheit` smallint DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_formular` (
  `formular_lfdnr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `zusatz_formular_formular_lfdnr` (`formular_lfdnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_formular_def` (
  `OrdNr` smallint DEFAULT NULL,
  `FeldName` varchar(30) DEFAULT NULL,
  `Typ` smallint DEFAULT NULL,
  `subtype` smallint NOT NULL DEFAULT '0',
  `fieldvalues` text,
  `isrequired` smallint DEFAULT '0',
  `color` varchar(30) DEFAULT NULL,
  `Name` varchar(100) DEFAULT NULL,
  `Laenge` smallint DEFAULT NULL,
  `Sicherheit` smallint DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_geextkosten` (
  `geextkosten_lfdnr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `zusatz_geextkosten_geextkosten_lfdnr` (`geextkosten_lfdnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_gehonverw` (
  `gehonverw_lfdnr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `zusatz_gehonverw_gehonverw_lfdnr` (`gehonverw_lfdnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_honverw` (
  `honverw_lfdnr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `zusatz_honverw_honverw_lfdnr` (`honverw_lfdnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_honverw_def` (
  `OrdNr` smallint DEFAULT NULL,
  `FeldName` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Typ` smallint DEFAULT NULL,
  `subtype` smallint NOT NULL DEFAULT '0',
  `fieldvalues` text COLLATE utf8mb4_general_ci,
  `isrequired` smallint DEFAULT '0',
  `color` varchar(30) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Laenge` smallint DEFAULT NULL,
  `Sicherheit` smallint DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_personen` (
  `company_id` int DEFAULT NULL,
  `personen_lfdnr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  `web` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  PRIMARY KEY (`LfdNr`),
  KEY `zusatz_personen_personen_lfdnr` (`personen_lfdnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_personen_def` (
  `OrdNr` int DEFAULT NULL,
  `FeldName` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Typ` int DEFAULT NULL,
  `subtype` smallint NOT NULL DEFAULT '0',
  `fieldvalues` text COLLATE utf8mb4_general_ci,
  `isrequired` smallint DEFAULT '0',
  `color` varchar(30) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Laenge` int DEFAULT NULL,
  `Sicherheit` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_planverz` (
  `planverz_lfdnr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `zusatz_planverz_planverz_lfdnr` (`planverz_lfdnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_planverz_def` (
  `OrdNr` smallint DEFAULT NULL,
  `FeldName` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Typ` smallint DEFAULT NULL,
  `subtype` smallint NOT NULL DEFAULT '0',
  `fieldvalues` text COLLATE utf8mb4_general_ci,
  `isrequired` smallint DEFAULT '0',
  `color` varchar(30) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Laenge` smallint DEFAULT NULL,
  `Sicherheit` smallint DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_postaus` (
  `postaus_lfdnr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `zusatz_postaus_postaus_lfdnr` (`postaus_lfdnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_postaus_def` (
  `OrdNr` int DEFAULT NULL,
  `FeldName` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Typ` int DEFAULT NULL,
  `subtype` smallint NOT NULL DEFAULT '0',
  `fieldvalues` text COLLATE utf8mb4_general_ci,
  `isrequired` smallint DEFAULT '0',
  `color` varchar(30) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Laenge` int DEFAULT NULL,
  `Sicherheit` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_postein` (
  `postein_lfdnr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `zusatz_postein_postein_lfdnr` (`postein_lfdnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_postein_def` (
  `OrdNr` int DEFAULT NULL,
  `FeldName` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Typ` int DEFAULT NULL,
  `subtype` smallint NOT NULL DEFAULT '0',
  `fieldvalues` text COLLATE utf8mb4_general_ci,
  `isrequired` smallint DEFAULT '0',
  `color` varchar(30) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Laenge` int DEFAULT NULL,
  `Sicherheit` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_projekt` (
  `projekt_lfdnr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `zusatz_projekt_projekt_lfdnr` (`projekt_lfdnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_projekt_def` (
  `OrdNr` smallint DEFAULT NULL,
  `FeldName` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Typ` smallint DEFAULT NULL,
  `subtype` smallint NOT NULL DEFAULT '0',
  `fieldvalues` text COLLATE utf8mb4_general_ci,
  `isrequired` smallint DEFAULT '0',
  `color` varchar(30) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Laenge` smallint DEFAULT NULL,
  `Sicherheit` smallint DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_propers` (
  `propers_lfdnr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `zusatz_propers_propers_lfdnr` (`propers_lfdnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_propers_def` (
  `OrdNr` smallint DEFAULT NULL,
  `FeldName` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Typ` smallint DEFAULT NULL,
  `subtype` smallint NOT NULL DEFAULT '0',
  `fieldvalues` text COLLATE utf8mb4_general_ci,
  `isrequired` smallint DEFAULT '0',
  `color` varchar(30) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Laenge` smallint DEFAULT NULL,
  `Sicherheit` smallint DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_todo` (
  `todo_lfdnr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `zusatz_todo_todo_lfdnr` (`todo_lfdnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_todo_def` (
  `OrdNr` smallint DEFAULT NULL,
  `FeldName` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Typ` smallint DEFAULT NULL,
  `subtype` smallint NOT NULL DEFAULT '0',
  `fieldvalues` text COLLATE utf8mb4_general_ci,
  `isrequired` smallint DEFAULT '0',
  `color` varchar(30) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Laenge` smallint DEFAULT NULL,
  `Sicherheit` smallint DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_wasistwo` (
  `wasistwo_lfdnr` int DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `zusatz_wasistwo_wasistwo_lfdnr` (`wasistwo_lfdnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zusatz_wasistwo_def` (
  `OrdNr` smallint DEFAULT NULL,
  `FeldName` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Typ` smallint DEFAULT NULL,
  `subtype` smallint NOT NULL DEFAULT '0',
  `fieldvalues` text COLLATE utf8mb4_general_ci,
  `isrequired` smallint DEFAULT '0',
  `color` varchar(30) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Laenge` smallint DEFAULT NULL,
  `Sicherheit` smallint DEFAULT NULL,
  `LfdNr_Alt` int DEFAULT NULL,
  `LfdNr` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

CREATE TABLE `zwischtab` (
  `ThemenlfdNr` int DEFAULT NULL,
  `ArtikellfdNr` int DEFAULT NULL,
  `StandThLfdnr` int DEFAULT NULL,
  KEY `zwischtab_artikellfdnr` (`ArtikellfdNr`),
  KEY `zwischtab_themenlfdnr` (`ThemenlfdNr`),
  KEY `zwischtab_standthlfdnr` (`StandThLfdnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
-- EOC

-- -----------------------------------------------------------------------------
-- Values we need for upgrades
-- -----------------------------------------------------------------------------

INSERT INTO `01migrate_11_12` (`elem`, `info`, `date`) VALUES
('start','Welcome to untermStrich X4',now());
-- EOC

INSERT INTO `01migrate_11_12_steps` (`stepname`, `date`) VALUES
('remove_fulltext_indexes_once_x4',now()),
('remove_fulltext_addi_indexes_once_x4',now()),
('prepare_old_views',now()),
('improve_todo',now()),
('migrate_wa2wpt',now()),
('tables',now()),
('repair_table_structure',now()),
('work_areas_categories',now()),
('projects',now()),
('projects_history_prepare',now()),
('projects_history',now()),
('areas_to_packages',now()),
('migrate_fee_area_tags',now()),
('migrate_translation',now()),
('update_wp_status',now()),
('update_wp_add_one_day',now()),
('update_cost_centres',now()),
('move_fee_work_package',now()),
('update_alloc_with_payments_fees',now()),
('update_lut_fee_areas_offer',now()),
('migrate_drawings_inbox_to_drawings',now()),
('increase_rightblockwidth',now()),
('set_new_default_font',now()),
('table_lut_company_proj',now()),
('table_lut_correspondence_addresses',now()),
('improve_correspondence',now()),
('migrate_timelog_to_user',now()),
('migrate_fee_multipliers_from_system',now()),
('update_cost_centres_cleanup',now()),
('add_staff_coste_centre_times_travles_extras',now()),
('update_lut_staff_cost_centre',now()),
('update_lut_staff_gross_hourly_wage',now()),
('update_split_url_location',now()),
('update_split_summary_comment',now()),
('add_id_to_calcexp_tables',now()),
('save_calc_exp_entries_from_date',now()),
('reset_caldav_rights',now()),
('cleanup',now()),
('us_migrate_12_5__12_6',now()),
('migrate_to_global_email_accounts',now()),
('migrate_to_email_ignored_table',now()),
('clear_calcexp_wrong_deduction',now()),
('recreate_fulltext_addi_indexes_once_x4',now());
-- EOC

-- -----------------------------------------------------------------------------
-- Old tables for views
-- -----------------------------------------------------------------------------

CREATE TABLE `bereichetab` (
  `BereichName` varchar(100) DEFAULT NULL,
  `indi` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `LfdNr_Alt` int(11) DEFAULT NULL,
  `LfdNr` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
-- EOC

CREATE TABLE `honorarbereiche` (
  `HonorarName` varchar(100) DEFAULT NULL,
  `Feld` int(11) DEFAULT NULL,
  `Nummer` int(11) DEFAULT NULL,
  `extern` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `LfdNr_Alt` int(11) DEFAULT NULL,
  `LfdNr` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
-- EOC

CREATE TABLE `arbeitsbereiche` (
  `ArbName` varchar(100) DEFAULT NULL,
  `HonBer` int(11) DEFAULT NULL,
  `Feld` int(11) DEFAULT NULL,
  `Visible` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `LfdNr_Alt` int(11) DEFAULT NULL,
  `LfdNr` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `arbeitsbereiche_honber` (`HonBer`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
-- EOC

CREATE TABLE `lut_hon_proj_history` (
  `Proj_LfdNr` int(11) DEFAULT NULL,
  `GueltigBis` datetime DEFAULT NULL,
  `HistBem` varchar(255) DEFAULT NULL,
  `LfdNr_Alt` int(11) DEFAULT NULL,
  `LfdNr` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `lut_hon_proj_history_gueltigbis` (`GueltigBis`),
  KEY `lut_hon_proj_history_proj_lfdnr` (`Proj_LfdNr`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
-- EOC

CREATE TABLE `sollab_history` (
  `Proj_LfdNr` int(11) DEFAULT NULL,
  `GueltigBis` datetime DEFAULT NULL,
  `HistBem` varchar(255) DEFAULT NULL,
  `LfdNr_Alt` int(11) DEFAULT NULL,
  `LfdNr` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `sollab_history_gueltigbis` (`GueltigBis`),
  KEY `sollab_history_proj_lfdnr` (`Proj_LfdNr`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
-- EOC

CREATE TABLE `schaetzungfertig_history` (
  `Proj_LfdNr` int(11) DEFAULT NULL,
  `GueltigBis` datetime DEFAULT NULL,
  `HistBem` varchar(255) DEFAULT NULL,
  `LfdNr_Alt` int(11) DEFAULT NULL,
  `LfdNr` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `schaetzungfertig_history_gueltigbis` (`GueltigBis`),
  KEY `schaetzungfertig_history_proj_lfdnr` (`Proj_LfdNr`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
-- EOC

CREATE TABLE `lut_arb_hon` (
  `ArbNr` int(11) DEFAULT NULL,
  `SatzNr` int(11) DEFAULT NULL,
  `schwelle` double DEFAULT NULL,
  KEY `lut_arb_hon_arbnr` (`ArbNr`),
  KEY `lut_arb_hon_satznr` (`SatzNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
-- EOC

CREATE TABLE `lut_hon_proj` (
  `Proj_LfdNr` int(11) DEFAULT NULL,
  `Hon_LfdNr` int(11) DEFAULT NULL,
  `Kosten` double DEFAULT NULL,
  `Stunden` double DEFAULT NULL,
  `HonStatus` int(11) DEFAULT NULL,
  `History_LfdNr` int(11) DEFAULT NULL,
  `KostenProzent` double DEFAULT NULL,
  `KostenGesamt` double DEFAULT NULL,
  `KostenGesamtEingabe` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `LfdNr_Alt` int(11) DEFAULT NULL,
  `LfdNr` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`LfdNr`),
  KEY `lut_hon_proj_proj_lfdnr` (`Proj_LfdNr`),
  KEY `lut_hon_proj_hon_lfdnr` (`Hon_LfdNr`),
  KEY `lut_hon_proj_history_lfdnr` (`History_LfdNr`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
-- EOC

CREATE TABLE `sollab` (
  `LfdNr` int(11) DEFAULT NULL,
  `LfdNr_Projekt` int(11) DEFAULT NULL,
  `LfdNr_AB` int(11) DEFAULT NULL,
  `LfdNr_MA` int(11) DEFAULT NULL,
  `Datum` datetime DEFAULT NULL,
  `SollKosten` double DEFAULT NULL,
  `SollStunden` double DEFAULT NULL,
  `Beginn` datetime DEFAULT NULL,
  `Ende` datetime DEFAULT NULL,
  `Anteil` double DEFAULT NULL,
  `schwelle` double DEFAULT NULL,
  `History_LfdNr` int(11) DEFAULT NULL,
  `LfdNr_Alt` int(11) DEFAULT NULL,
  KEY `sollab_lfdnr_projekt` (`LfdNr_Projekt`),
  KEY `sollab_lfdnr_ab` (`LfdNr_AB`),
  KEY `sollab_lfdnr_ma` (`LfdNr_MA`),
  KEY `sollab_history_lfdnr` (`History_LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
-- EOC

CREATE TABLE `schaetzungfertig` (
  `LfdNr` int(11) DEFAULT NULL,
  `LfdNr_Projekt` int(11) DEFAULT NULL,
  `LfdNr_AB` int(11) DEFAULT NULL,
  `LfdNr_MA` int(11) DEFAULT NULL,
  `Datum` datetime DEFAULT NULL,
  `Grad` double DEFAULT NULL,
  `History_LfdNr` int(11) DEFAULT NULL,
  `LfdNr_Alt` int(11) DEFAULT NULL,
  KEY `schaetzungfertig_lfdnr_projekt` (`LfdNr_Projekt`),
  KEY `schaetzungfertig_lfdnr_ab` (`LfdNr_AB`),
  KEY `schaetzungfertig_lfdnr_ma` (`LfdNr_MA`),
  KEY `schaetzungfertig_history_lfdnr` (`History_LfdNr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
-- EOC